
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5403023058681398d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.5403023058681398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7350525871447157d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.7350525871447157d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7350525871447157d);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    int i0 = org.apache.commons.math3.dfp.DfpField.FLAG_DIV_ZERO;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 2);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(1.0d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    int i0 = org.apache.commons.math3.dfp.DfpField.FLAG_INVALID;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5607966601082315d);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.7350525871447157d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7350525871447158d);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign((-1.0f), (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.0f));

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    org.apache.commons.math3.dfp.Dfp dfp0 = null;
    org.apache.commons.math3.dfp.Dfp dfp1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp2 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp0, dfp1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    int i0 = org.apache.commons.math3.dfp.DfpField.FLAG_UNDERFLOW;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 8);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode0 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_DOWN;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode0);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    double d0 = org.apache.commons.math3.util.FastMath.E;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 2.718281828459045d);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.141592653589793d);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.7350525871447158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode0 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode0);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(Double.POSITIVE_INFINITY, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    byte byte0 = org.apache.commons.math3.dfp.Dfp.INFINITE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte0 == (byte)1);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(100.0f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.0f));

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode0 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_DOWN;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode0);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    double d0 = org.apache.commons.math3.util.FastMath.PI;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 3.141592653589793d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.7350525871447158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8257442387303356d);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    org.apache.commons.math3.dfp.Dfp dfp0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp1 = new org.apache.commons.math3.dfp.Dfp(dfp0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-1.0d), 0.7350525871447157d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.936930396265318d));

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.7350525871447158d, 2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948963d);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.7350525871447157d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.085591664932024d);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.7350525871447157d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(1.5707963267948963d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.8734293f, 1.5607966601082315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.87342936f);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.0d, 1.5707963267948963d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948963d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.7350525871447158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0855916649320245d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(1.0855916649320245d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.5403023058681398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.009430054193516519d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(1L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-15.653559774527022d));

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-1L), 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.5607966601082315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.27632259394013d);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.8257442387303356d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6902427174785724d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    int i0 = org.apache.commons.math3.dfp.Dfp.RADIX;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 10000);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(2.718281828459045d, 1.5607966601082315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4451963704655766d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.87342936f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.87342936f);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode0 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode0);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5574077246549023d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode0 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_CEIL;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode0);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(1.5707963267948963d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5430806348152437d);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.009430054193516519d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-7));

  }

  @Test
  public void test060() {}
// Defects4J: flaky method
//   @Test
//   public void test060() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }
// 
// 
//     double d0 = org.apache.commons.math3.util.FastMath.random();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d0 == 0.42398743697967656d);
// 
//   }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    int i0 = org.apache.commons.math3.dfp.DfpField.FLAG_INEXACT;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 16);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7615941559557649d));

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.1622776601683795d);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-1L), (-580322300536297111L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-580322300536297111L));

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.000001f);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(1.5707963267948963d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.5707963267948963d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 89.99999999999999d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(100.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    int i0 = org.apache.commons.math3.dfp.DfpField.FLAG_OVERFLOW;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 4);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(1.0855916649320245d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7952635054308896d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(1.5574077246549023d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5574077246549025d);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.5574077246549025d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6420926159343305d);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp5 = dfp3.newInstance("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9999999999999999d));

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.6420926159343305d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(25, 10000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10000);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(2, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(1.0f, 10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(25, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 25);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(100.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(2.27632259394013d, 1.5574077246549025d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5574077246549025d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-0.7615941559557649d), 2.085591664932024d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.7615941559557649d));

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.7350525871447158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8573520788711694d);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.8257442387303356d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6019877059498201d);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.6420926159343305d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6972247958331285d);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0L);
    boolean b2 = mersenneTwister1.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f5 = mersenneTwister4.nextFloat();
    byte[] byte_array8 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister4.nextBytes(byte_array8);
    mersenneTwister1.nextBytes(byte_array8);
    int[] i_array11 = new int[] {  };
    // The following exception was thrown during execution in test generation
    try {
      mersenneTwister1.setSeed(i_array11);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f5 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan((-0.936930396265318d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.3604468816094677d));

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.6972247958331285d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6972247958331285d);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.09254824092588047d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-4));

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.7952635054308896d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7140481089883228d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.6019877059498201d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6019877059498201d);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    boolean b4 = dfp2.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0f, 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.4451963704655766d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4188520513081068d);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(1.0f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.0f));

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.0d, 0.6972247958331285d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6972247958331285d);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    int i0 = org.apache.commons.math3.dfp.Dfp.ERR_SCALE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 32760);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint((-1.3604468816094677d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(1.5430806348152437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians((-1.3604468816094677d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.023744277382574706d));

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.5403023058681398d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.0d));

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.6902427174785724d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0120470080579141d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    byte byte0 = org.apache.commons.math3.dfp.Dfp.QNAN;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte0 == (byte)3);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(10.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-4), 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 16);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.4188520513081068d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7482043271740013d);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt((-15.653559774527022d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.501522260875372d));

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.7952635054308896d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.58515181084917d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.4188520513081068d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)2.27632259394013d);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(3.1622776601683795d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 11.7910068511973d);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    org.apache.commons.math3.dfp.Dfp dfp0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField2.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField4 = dfp3.getField();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField4.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = dfpField4.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField4.newDfp((byte)(-1));
    int i10 = dfp9.log10K();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getZero();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField12.getSqr2();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp15 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp0, dfp9, dfp14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.8257442387303356d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-0.9999999999999999d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-18.714973875118524d));

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-2.501522260875372d), 0.58515181084917d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.501522260875372d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-0.023744277382574706d), 0.6019877059498201d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-580322300536297111L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 580322300536297111L);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(1.5574077246549023d, 0.7482043271740013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5574077246549023d);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(2.085591664932024d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8703935071703467d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.5574077246549025d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.013388202148675516d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.013388202148675516d, 0.8573520788711694d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.035681198449381356d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.6902427174785724d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6367243583584816d);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 10);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.8573520788711694d, 0.6902427174785724d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1006759723810273d);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(2.27632259394013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.03972932410179319d);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 10L);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(11.7910068511973d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.20579189167860198d);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f2 = mersenneTwister1.nextFloat();
    byte[] byte_array5 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister1.nextBytes(byte_array5);
    long long7 = mersenneTwister1.nextLong();
    double d8 = mersenneTwister1.nextGaussian();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-580322300536297111L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.7662291450527712d);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.7140481089883228d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(10.0f, 10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(10.0f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.5403023058681398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5669767943827976d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    byte byte0 = org.apache.commons.math3.dfp.Dfp.FINITE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte0 == (byte)0);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.8703935071703467d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(2.718281828459045d, 0.035681198449381356d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.036325411673969d);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    int i7 = dfp6.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp9 = dfp6.divide(dfp8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 25);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(89.99999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.102016471589117E38d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    int i0 = org.apache.commons.math3.dfp.Dfp.MAX_EXP;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 32768);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(2.718281828459045d, 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2980.957987041727d);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.6972247958331285d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8867290596149093d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.87342936f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.8734294f);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.42398743697967656d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.8772835888791541E-4d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.7482043271740013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6423508872891401d);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.41078129050290885d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(11.7910068511973d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 66029.68354481232d);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.4451963704655766d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    boolean b19 = dfp18.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp13.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp21, dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp5, dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp5.newInstance(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-0.7615941559557649d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9999999999999999d));

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(10, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(66029.68354481232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 11.791006851082619d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.8734293f);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.0120470080579141d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0121198655370807d);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(1.036325411673969d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.8188398840562523d);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp4.newInstance(0L);
    int i9 = dfp8.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-4));

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn5();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(1.036325411673969d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8605382580390188d);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.17701406236121286d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0157079409803143d);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.power10K((-1));
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField16 = dfp15.getField();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField22 = dfp21.getField();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp23.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField29 = dfp28.getField();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getLn2();
    boolean b31 = dfp30.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp30.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp25.nextAfter(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField35.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField37 = dfp36.getField();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp38.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp41 = org.apache.commons.math3.dfp.Dfp.copysign(dfp33, dfp40);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp10.dotrap(10000, "", dfp17, dfp41);
    boolean b43 = dfp10.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(1.5574077246549023d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9389941379013969d);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(0.021825671f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p((-0.023744277382574706d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.024030716009390794d));

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-0.7615941559557649d), 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.7615941559557649d));

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(8, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.7482043271740013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.1132019882389192d);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.6902427174785724d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6041473911933937d);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.8867290596149093d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 50.805832687538675d);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(50.805832687538675d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.6423508872891401d, 0.7662291450527712d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6423508872891401d);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(0, 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 8);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(32760);
    org.apache.commons.math3.dfp.Dfp dfp7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp8 = dfp6.subtract(dfp7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.8734294f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.7482043271740013d, 0.20579189167860198d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7759897021755878d);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.5669767943827976d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt((-0.023744277382574706d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.2874217652586125d));

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    int i7 = dfp6.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(0.021825671f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.8626451E-9f);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.7350525871447157d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7350525871447157d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0L);
    boolean b2 = mersenneTwister1.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f5 = mersenneTwister4.nextFloat();
    byte[] byte_array8 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister4.nextBytes(byte_array8);
    mersenneTwister1.nextBytes(byte_array8);
    byte[] byte_array11 = new byte[] {  };
    mersenneTwister1.nextBytes(byte_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f5 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array11);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance((byte)1, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp4.newInstance((-4));
    org.apache.commons.math3.dfp.Dfp dfp10 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b11 = dfp9.unequal(dfp10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    int i4 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_EVEN;
    dfpField1.setRoundingMode(roundingMode5);
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getLn5Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp3.divide(4);
    boolean b6 = dfp5.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.6972247958331285d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.7482043271740013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1132019882389192d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(2980.957987041727d, 0.6019877059498201d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2980.9579870417265d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-1L), (-2015080886171156972L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2Reciprocal();
    boolean b19 = dfp4.unequal(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField20 = dfp4.getField();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp4.newInstance((byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode0 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_UP;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode0);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.7350525871447157d, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5403023058681398d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5.9604645E-8f);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(1.5707963267948963d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948963d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(5.9604645E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5.960465E-8f);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.58515181084917d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5560510529666401d);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.17701406236121286d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    boolean b12 = dfp11.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp6.nextAfter(dfp11);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp22 = org.apache.commons.math3.dfp.Dfp.copysign(dfp14, dfp21);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField31 = dfp30.getField();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField31.getE();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.abs();
    boolean b35 = dfp27.lessThan(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp14.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.negate();
    boolean b39 = dfp37.isZero();
    int i40 = dfp37.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == (-32793));

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(0L, 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint((-1.8006504389082143d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.0d));

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-0.024030716009390794d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.02402609136256118d));

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(2.8188398840562523d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.75954660369942d);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0f, 32768);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.6420926159343305d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6420926159343306d);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    dfpField3.clearIEEEFlags();
    int i7 = dfpField3.getIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(10.0f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.09254824092588047d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.478115458699036d);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(Double.NaN, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs((-1.3604468816094677d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3604468816094677d);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-2.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(0.87342936f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.87342936f);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.03972932410179319d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.27632259394013d);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(1.5574077246549025d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5574077246549023d);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.03972932410179319d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-5));

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.0f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.6420926159343305d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.687131741733528d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb((-1.0f), 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-16.0f));

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    int[] i_array0 = new int[] {  };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(i_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    byte byte0 = org.apache.commons.math3.dfp.Dfp.SNAN;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte0 == (byte)2);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    boolean b5 = dfp4.strictlyNegative();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField9 = dfp8.getField();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField14 = dfp13.getField();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.getE();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.abs();
    boolean b18 = dfp10.lessThan(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp4, dfp10);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.negate();
    org.apache.commons.math3.dfp.Dfp dfp21 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp22 = dfp10.add(dfp21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.036325411673969d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(16);
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField12 = dfp11.getField();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getE();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.abs();
    boolean b21 = dfp13.lessThan(dfp19);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField30 = dfp29.getField();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField30.getE();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.abs();
    boolean b34 = dfp26.lessThan(dfp32);
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getZero();
    boolean b38 = dfp26.greaterThan(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp19.multiply(dfp37);
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField41.newDfp(0);
    boolean b44 = dfp39.unequal(dfp43);
    boolean b45 = dfp5.lessThan(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp5.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, 0.03972932410179319d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(2980.957987041727d, 0.8257442387303356d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.023933773968750755d));

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    int i0 = org.apache.commons.math3.dfp.Dfp.MIN_EXP;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == (-32767));

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.6972247958331285d, (-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.04357654973957053d);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(89.99999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 89.0d);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(1.0d, (-2.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.0d));

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0L);
    double d2 = mersenneTwister1.nextDouble();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister(0L);
    boolean b5 = mersenneTwister4.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister7 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f8 = mersenneTwister7.nextFloat();
    byte[] byte_array11 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister7.nextBytes(byte_array11);
    mersenneTwister4.nextBytes(byte_array11);
    mersenneTwister1.nextBytes(byte_array11);
    // The following exception was thrown during execution in test generation
    try {
      int i16 = mersenneTwister1.nextInt(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.15071724896777527d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f8 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array11);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    boolean b12 = dfp11.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp6.nextAfter(dfp11);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp22 = org.apache.commons.math3.dfp.Dfp.copysign(dfp14, dfp21);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField31 = dfp30.getField();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField31.getE();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.abs();
    boolean b35 = dfp27.lessThan(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp14.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.negate();
    java.lang.String str39 = dfp37.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "1.000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000e-131172"+ "'", str39.equals("1.000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000e-131172"));

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.0d, 1.036325411673969d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.58515181084917d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7952635054308896d);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    dfpField3.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField3.newDfp(1L);
    int i10 = dfp9.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    boolean b4 = dfp3.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000000000000002d);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(3.1622776601683795d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8184464592320668d);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.7140481089883228d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0422417651509384d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(32768, 10000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10000);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh((-2.501522260875372d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-6.059546439001158d));

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(580322300536297111L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 580322300536297111L);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn5();
    java.lang.Class clazz4 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getLn10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(1.8772835888791541E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8774598095898436E-4d);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, 47736148);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(1.8184464592320668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-7), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-7));

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.7140481089883228d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8665920902557962d);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.6423508872891401d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.570979180402729d);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.6902427174785724d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2478269220710727d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(10L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(1.0157079409803143d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0157079409803145d);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(1.0422417651509384d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.017968472410822136d);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1023));

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.5574077246549025d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.267909768656307d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.power10K((-1));
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField16 = dfp15.getField();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField22 = dfp21.getField();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp23.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField29 = dfp28.getField();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getLn2();
    boolean b31 = dfp30.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp30.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp25.nextAfter(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField35.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField37 = dfp36.getField();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp38.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp41 = org.apache.commons.math3.dfp.Dfp.copysign(dfp33, dfp40);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp10.dotrap(10000, "", dfp17, dfp41);
    boolean b44 = dfp42.equals((java.lang.Object)0.7350525871447157d);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp42.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.8605382580390188d, 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8605382580390188d);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.6293945E-6f);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)1.478115458699036d, number1, true);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.7350525871447157d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8030557105585454d);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.1132019882389192d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.44179122549037847d);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(1.392736262295483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.025850779389001d);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.8703935071703467d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8703935071703468d);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(1.2478269220710727d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8099639371061449d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(7.6293945E-6f, 5.9604645E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.6293945E-6f);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.4451963704655766d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4316652054909915d);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.8605382580390188d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.41078129050290885d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4107812905029089d);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.7350525871447158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.282535954373479d);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.7140481089883228d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7140481089883228d);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.6019877059498201d, 1.0157079409803143d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6019877059498201d);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.09254824092588047d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(89.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 89L);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.8734293f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.0f));

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.6019877059498201d, (-0.2874217652586125d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1570478369201183d);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.8030557105585454d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2323519383437547d);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(100.0d, 0.6420926159343305d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.564375488874645d);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(100L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.017968472410822136d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.1340465307675739d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(1.1570478369201183d, 1.2323519383437547d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1570478369201183d);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(32760);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp6.getTwo();
    int i8 = dfp6.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 25);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1.0422417651509384d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7123962111148385d);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(0, (-7));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, 0.7952635054308896d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.8703935071703468d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3347006188476986d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    boolean b19 = dfp18.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp13.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp21, dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField41 = dfp40.getField();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField41.getE();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.abs();
    boolean b45 = dfp37.lessThan(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getZero();
    boolean b49 = dfp37.greaterThan(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp32.nextAfter(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp28, dfp50);
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField55 = dfp54.getField();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField55.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array57 = dfpField55.getLn2Split();
    dfpField55.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField55.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp60 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp5, dfp50, dfp59);
    boolean b61 = dfp60.isNaN();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField63.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField65 = dfp64.getField();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField65.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField68 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp69 = dfpField68.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField70 = dfp69.getField();
    org.apache.commons.math3.dfp.Dfp dfp71 = dfpField70.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp72 = dfpField70.getE();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp72.abs();
    boolean b74 = dfp66.lessThan(dfp72);
    org.apache.commons.math3.dfp.DfpField dfpField76 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfpField76.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField78 = dfp77.getField();
    org.apache.commons.math3.dfp.Dfp dfp79 = dfpField78.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField81 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp82 = dfpField81.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField83 = dfp82.getField();
    org.apache.commons.math3.dfp.Dfp dfp84 = dfpField83.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp85 = dfpField83.getE();
    org.apache.commons.math3.dfp.Dfp dfp86 = dfp85.abs();
    boolean b87 = dfp79.lessThan(dfp85);
    org.apache.commons.math3.dfp.DfpField dfpField89 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp90 = dfpField89.getZero();
    boolean b91 = dfp79.greaterThan(dfp90);
    org.apache.commons.math3.dfp.Dfp dfp92 = dfp72.multiply(dfp90);
    org.apache.commons.math3.dfp.DfpField dfpField94 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp96 = dfpField94.newDfp(0);
    boolean b97 = dfp92.unequal(dfp96);
    org.apache.commons.math3.dfp.Dfp dfp98 = dfp60.nextAfter(dfp96);
    org.apache.commons.math3.dfp.Dfp dfp99 = dfp98.floor();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b91 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b97 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp98);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp99);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 4);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    int i3 = dfp2.intValue();
    org.apache.commons.math3.dfp.Dfp dfp4 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b5 = dfp2.greaterThan(dfp4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.4188520513081068d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8702375209176326d));

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.7140481089883228d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8450136738469519d);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp4.getOne();
    java.lang.Object obj17 = null;
    boolean b18 = dfp4.equals(obj17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    org.apache.commons.math3.dfp.Dfp dfp0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField2.getZero();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField2.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField2.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField9 = dfp8.getField();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField9.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField9.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField24 = dfp23.getField();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getLn2();
    boolean b26 = dfp25.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp25.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp20.nextAfter(dfp25);
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField32 = dfp31.getField();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp33.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp36 = org.apache.commons.math3.dfp.Dfp.copysign(dfp28, dfp35);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp28.power10(10000);
    boolean b39 = dfp13.unequal(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp38.reciprocal();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp41 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp0, dfp5, dfp38);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.5403023058681398d, (java.lang.Number)1L, false);
    java.lang.Number number5 = numberIsTooSmallException4.getArgument();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException11 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable7, (java.lang.Number)0.5403023058681398d, (java.lang.Number)1L, false);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)numberIsTooSmallException11);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str13 = numberIsTooSmallException11.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.5403023058681398d+ "'", number5.equals(0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 1L+ "'", number6.equals(1L));

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.0d, 0.15071724896777527d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(4.025850779389001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.0d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    boolean b5 = dfp4.strictlyNegative();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField9 = dfp8.getField();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField14 = dfp13.getField();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.getE();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.abs();
    boolean b18 = dfp10.lessThan(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp4, dfp10);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField23 = dfp22.getField();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array25 = dfpField23.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode26 = dfpField23.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField23.newDfp((byte)(-1));
    java.lang.String str29 = dfp28.toString();
    boolean b30 = dfp28.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp10.nextAfter(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "-1."+ "'", str29.equals("-1."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.1006759723810273d, (-7));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5109561115356032d);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)3.141592653589793d, (java.lang.Number)Double.NaN, true);
    java.lang.Throwable[] throwable_array5 = numberIsTooSmallException4.getSuppressed();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = numberIsTooSmallException4.getContext();
    java.lang.Throwable[] throwable_array8 = numberIsTooSmallException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(2980.9579870417265d, 0.7350525871447157d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7350525871447157d);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.8691945f, 0.87342936f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8691945f);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getPi();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField5.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField7 = dfp6.getField();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField7.getLn2Split();
    dfpField7.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField7.newDfp(0L);
    org.apache.commons.math3.dfp.Dfp dfp13 = org.apache.commons.math3.dfp.Dfp.copysign(dfp3, dfp12);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp13.newInstance(0.1340465307675739d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(3.1622776601683795d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.020687957244708476d);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getE();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.abs();
    boolean b15 = dfp7.lessThan(dfp13);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getZero();
    boolean b19 = dfp7.greaterThan(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp2.nextAfter(dfp18);
    int i21 = dfp2.log10K();
    int i22 = dfp2.intValue();
    boolean b24 = dfp2.equals((java.lang.Object)1.2323519383437547d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    boolean b19 = dfp18.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp13.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp21, dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField41 = dfp40.getField();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField41.getE();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.abs();
    boolean b45 = dfp37.lessThan(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getZero();
    boolean b49 = dfp37.greaterThan(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp32.nextAfter(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp28, dfp50);
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField55 = dfp54.getField();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField55.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array57 = dfpField55.getLn2Split();
    dfpField55.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField55.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp60 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp5, dfp50, dfp59);
    boolean b61 = dfp60.isNaN();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField63.getZero();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField63.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField63.getE();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField63.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp60.subtract(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.17701406236121286d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0L);
    boolean b2 = mersenneTwister1.nextBoolean();
    mersenneTwister1.setSeed(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(7.6293945E-6f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.6293945E-6f);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    int i1 = org.apache.commons.math3.util.FastMath.round((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField3.getOne();
    java.lang.String str10 = dfp9.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "1."+ "'", str10.equals("1."));

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    org.apache.commons.math3.dfp.Dfp dfp0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField2.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField4 = dfp3.getField();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField9 = dfp8.getField();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.abs();
    boolean b13 = dfp5.lessThan(dfp11);
    boolean b14 = dfp5.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp5.newInstance(1.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp17 = org.apache.commons.math3.dfp.Dfp.copysign(dfp0, dfp16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.42398743697967656d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(2.1132019882389192d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.274694384868364d);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(1.4E-45f, 0.7482043271740013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.8E-45f);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-0.024030716009390794d), 0.8605382580390188d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.024030716009390794d));

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    int i7 = dfp4.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = dfpField3.getRoundingMode();
    int i8 = dfpField3.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField3.getZero();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField3.getPiSplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.15071724896777527d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.16266786606160577d);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(2L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.1340465307675739d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.13485521404988454d);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp4.ceil();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp4.negate();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp4.power10K(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(2.718281828459045d, 0.6019877059498201d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6019877059498201d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(1.8626451E-9f, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.8626451E-9f);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(580322300536297111L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 580322300536297111L);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    boolean b12 = dfp11.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp6.nextAfter(dfp11);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp22 = org.apache.commons.math3.dfp.Dfp.copysign(dfp14, dfp21);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField31 = dfp30.getField();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField31.getE();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.abs();
    boolean b35 = dfp27.lessThan(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp14.remainder(dfp36);
    int i38 = dfp36.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == (-1));

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField18.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode21 = dfpField18.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode22 = dfpField18.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField18.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getZero();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp4.dotrap(25, "1.000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000e-131172", dfp23, dfp26);
    int i28 = dfp4.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 25);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    boolean b12 = dfp11.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp6.nextAfter(dfp11);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp22 = org.apache.commons.math3.dfp.Dfp.copysign(dfp14, dfp21);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp21.multiply(2);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp24.newInstance((-0.8702375209176326d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor((-15.653559774527022d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-16.0d));

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.0f, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.1340465307675739d, 11.791006851082619d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.1340465307675739d);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.478115458699036d, (-16.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 16.06813073475708d);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance((byte)1, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp4.newInstance((-4));
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.newDfp(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = new org.apache.commons.math3.dfp.Dfp(dfp15);
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField20 = dfp19.getField();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.newDfp();
    boolean b22 = dfp21.isZero();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp4.dotrap(32768, "", dfp15, dfp21);
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField27 = dfp26.getField();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array29 = dfpField27.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField27.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField35 = dfp34.getField();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField35.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp36.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField40 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField42 = dfp41.getField();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getLn2();
    boolean b44 = dfp43.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp43.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp38.nextAfter(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField48.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField50 = dfp49.getField();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp51.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp54 = org.apache.commons.math3.dfp.Dfp.copysign(dfp46, dfp53);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp46.power10(10000);
    boolean b57 = dfp31.unequal(dfp56);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp56.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp59 = new org.apache.commons.math3.dfp.Dfp(dfp56);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp59.getOne();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp60.newInstance(10L);
    boolean b63 = dfp4.lessThan(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == true);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.8605382580390188d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6208658319035287d);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.20579189167860198d, (java.lang.Number)1, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = numberIsTooSmallException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)3);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = new org.apache.commons.math3.dfp.Dfp(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(dfp7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    boolean b19 = dfp18.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp13.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp21, dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp5, dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp5.multiply(10000);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp5.abs();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp5.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(11.791006851082619d, 10000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(13664, (-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 13664);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-5), 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-5));

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.newInstance(2);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.negate();
    org.apache.commons.math3.dfp.Dfp dfp12 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp13 = dfp10.multiply(dfp12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(1L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.6041473911933937d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.009430054193516519d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(6.102016471589117E38d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.102016471589117E38d);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(6.102016471589117E38d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.6423508872891401d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(10.000001f, 5.960465E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.960465E-8f);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.013388202148675516d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.013388202148675518d);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan((-6.059546439001158d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.22744338216745d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = dfpField3.getRoundingMode();
    int i8 = dfpField3.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.6019877059498201d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8257442387303358d);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getSqr2Reciprocal();
    int i5 = dfpField3.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 25);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9171523356672744d);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.564375488874645d, 0.7952635054308896d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.427421740478293d);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.7482043271740013d, (-1.3604468816094677d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7482043271740013d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.013388202148675518d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7670874783870875d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.power10K(4);
    double d7 = dfp6.toDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E16d);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(4.025850779389001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 28.02290208653254d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(2.501522260875372d, 0.6041473911933937d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.501522260875372d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(1.2323519383437547d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.4292855271021514d);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp3.newInstance(0.6902427174785724d);
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField9 = dfp8.getField();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField14 = dfp13.getField();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.getE();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.abs();
    boolean b18 = dfp10.lessThan(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp10.ceil();
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField32 = dfp31.getField();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getLn2();
    boolean b34 = dfp33.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp33.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp28.nextAfter(dfp33);
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField38.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField40 = dfp39.getField();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp41.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp44 = org.apache.commons.math3.dfp.Dfp.copysign(dfp36, dfp43);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp36.power10(10000);
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField48.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField50 = dfp49.getField();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp51.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField55 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField55.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField57 = dfp56.getField();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField57.getLn2();
    boolean b59 = dfp58.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp58.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp53.nextAfter(dfp58);
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp10.dotrap((-7), "-1.", dfp36, dfp61);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp3.nextAfter(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f2 = mersenneTwister1.nextFloat();
    byte[] byte_array5 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister1.nextBytes(byte_array5);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister8 = new org.apache.commons.math3.random.MersenneTwister(0L);
    boolean b9 = mersenneTwister8.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister11 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f12 = mersenneTwister11.nextFloat();
    byte[] byte_array15 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister11.nextBytes(byte_array15);
    mersenneTwister8.nextBytes(byte_array15);
    mersenneTwister1.nextBytes(byte_array15);
    int[] i_array21 = new int[] { 1, 10 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister22 = new org.apache.commons.math3.random.MersenneTwister(i_array21);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister23 = new org.apache.commons.math3.random.MersenneTwister(i_array21);
    mersenneTwister1.setSeed(i_array21);
    boolean b25 = mersenneTwister1.nextBoolean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f12 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.009430054193516519d, 0.6420926159343306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.09499070462885983d);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(32760);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    boolean b19 = dfp18.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp13.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp21, dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField33 = dfp32.getField();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField38 = dfp37.getField();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField38.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField38.getE();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp40.abs();
    boolean b42 = dfp34.lessThan(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp40.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp21.remainder(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp6.nextAfter(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp21.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.6972247958331285d, 0.6041473911933937d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8042185756337769d);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)10);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = notStrictlyPositiveException2.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    boolean b12 = dfp11.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp6.nextAfter(dfp11);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp22 = org.apache.commons.math3.dfp.Dfp.copysign(dfp14, dfp21);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp14.power10(10000);
    boolean b25 = dfp14.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp26 = new org.apache.commons.math3.dfp.Dfp(dfp14);
    org.apache.commons.math3.dfp.Dfp dfp27 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.subtract(dfp27);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.124094486f, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.5730845E29f);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.7662291450527712d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.013373221405912078d);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    dfpField3.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp(0L);
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField10.newDfp((byte)1);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp8.subtract(dfp13);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField16.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField16.newDfp(32760);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField26.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField29 = dfp28.getField();
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField33 = dfp32.getField();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField38 = dfp37.getField();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField38.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField38.getE();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp40.abs();
    boolean b42 = dfp34.lessThan(dfp40);
    boolean b43 = dfp34.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp34.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp34.getOne();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp28.subtract(dfp46);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp22.newInstance(dfp47);
    org.apache.commons.math3.dfp.Dfp dfp49 = org.apache.commons.math3.dfp.Dfp.copysign(dfp13, dfp47);
    boolean b50 = dfp49.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    int i3 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField9 = dfp8.getField();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.abs();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField16 = dfp15.getField();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp17.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField23 = dfp22.getField();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getLn2();
    boolean b25 = dfp24.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp24.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp19.nextAfter(dfp24);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField31 = dfp30.getField();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp35 = org.apache.commons.math3.dfp.Dfp.copysign(dfp27, dfp34);
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField40 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField42 = dfp41.getField();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField47 = dfp46.getField();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField47.getE();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp49.abs();
    boolean b51 = dfp43.lessThan(dfp49);
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getZero();
    boolean b55 = dfp43.greaterThan(dfp54);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp38.nextAfter(dfp54);
    org.apache.commons.math3.dfp.Dfp dfp57 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp34, dfp56);
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField59.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField61 = dfp60.getField();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfpField61.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array63 = dfpField61.getLn2Split();
    dfpField61.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField61.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp66 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp11, dfp56, dfp65);
    boolean b67 = dfp66.isNaN();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp66.newInstance((-580322300536297111L));
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp69.newInstance("2.");
    org.apache.commons.math3.dfp.DfpField dfpField73 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfpField73.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField75 = dfp74.getField();
    org.apache.commons.math3.dfp.Dfp dfp76 = dfpField75.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array77 = dfpField75.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode78 = dfpField75.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode79 = dfpField75.getRoundingMode();
    int i80 = dfpField75.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp81 = dfpField75.getE();
    org.apache.commons.math3.dfp.Dfp dfp82 = dfpField75.getE();
    org.apache.commons.math3.dfp.Dfp dfp83 = dfp69.remainder(dfp82);
    org.apache.commons.math3.dfp.Dfp dfp84 = dfp5.newInstance(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i80 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(10.0f, 0.8691945f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8691945f);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    boolean b12 = dfp11.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp6.nextAfter(dfp11);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField18.getLn2Split();
    dfpField18.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField18.newDfp(0L);
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField25.newDfp((byte)1);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp23.subtract(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp11, dfp29);
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField34 = dfp33.getField();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array36 = dfpField34.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode37 = dfpField34.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField34.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp39.power10K((-1));
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField47 = dfp46.getField();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp48.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField51 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField51.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField53 = dfp52.getField();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp54.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField58 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField58.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField60 = dfp59.getField();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField60.getLn2();
    boolean b62 = dfp61.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp61.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp56.nextAfter(dfp61);
    org.apache.commons.math3.dfp.DfpField dfpField66 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField66.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField68 = dfp67.getField();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfpField68.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp69.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp72 = org.apache.commons.math3.dfp.Dfp.copysign(dfp64, dfp71);
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp41.dotrap(10000, "", dfp48, dfp72);
    int i74 = dfp72.log10K();
    boolean b75 = dfp30.equals((java.lang.Object)i74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == (-32793));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p((-0.2874217652586125d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3388655697214486d));

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.687131741733528d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2455110096795459d);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-7), 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 8);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    int i4 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_EVEN;
    dfpField1.setRoundingMode(roundingMode5);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getLn5();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    boolean b19 = dfp18.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp13.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp21, dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField41 = dfp40.getField();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField41.getE();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.abs();
    boolean b45 = dfp37.lessThan(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getZero();
    boolean b49 = dfp37.greaterThan(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp32.nextAfter(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp28, dfp50);
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField55 = dfp54.getField();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField55.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array57 = dfpField55.getLn2Split();
    dfpField55.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField55.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp60 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp5, dfp50, dfp59);
    boolean b61 = dfp60.isNaN();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField63.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField65 = dfp64.getField();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField65.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField68 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp69 = dfpField68.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField70 = dfp69.getField();
    org.apache.commons.math3.dfp.Dfp dfp71 = dfpField70.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp72 = dfpField70.getE();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp72.abs();
    boolean b74 = dfp66.lessThan(dfp72);
    org.apache.commons.math3.dfp.DfpField dfpField76 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfpField76.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField78 = dfp77.getField();
    org.apache.commons.math3.dfp.Dfp dfp79 = dfpField78.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField81 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp82 = dfpField81.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField83 = dfp82.getField();
    org.apache.commons.math3.dfp.Dfp dfp84 = dfpField83.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp85 = dfpField83.getE();
    org.apache.commons.math3.dfp.Dfp dfp86 = dfp85.abs();
    boolean b87 = dfp79.lessThan(dfp85);
    org.apache.commons.math3.dfp.DfpField dfpField89 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp90 = dfpField89.getZero();
    boolean b91 = dfp79.greaterThan(dfp90);
    org.apache.commons.math3.dfp.Dfp dfp92 = dfp72.multiply(dfp90);
    org.apache.commons.math3.dfp.DfpField dfpField94 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp96 = dfpField94.newDfp(0);
    boolean b97 = dfp92.unequal(dfp96);
    org.apache.commons.math3.dfp.Dfp dfp98 = dfp60.nextAfter(dfp96);
    double[] d_array99 = dfp98.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b91 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b97 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp98);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array99);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getE();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.abs();
    boolean b15 = dfp7.lessThan(dfp13);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getZero();
    boolean b19 = dfp7.greaterThan(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp2.nextAfter(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp18.newInstance(2);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp22.rint();
    int i24 = dfp22.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.newDfp();
    boolean b5 = dfp4.isZero();
    int i6 = dfp4.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-4));

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    mersenneTwister1.setSeed(0);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(2, 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    boolean b20 = dfp19.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp14.nextAfter(dfp19);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp27.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp22, dfp29);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp22.power10(10000);
    boolean b33 = dfp7.unequal(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.reciprocal();
    int i35 = dfp34.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb((-0.2874217652586125d), (-32793));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    org.apache.commons.math3.dfp.Dfp dfp0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField2.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField5.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField7 = dfp6.getField();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField12 = dfp11.getField();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField12.getE();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.abs();
    boolean b16 = dfp8.lessThan(dfp14);
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getZero();
    boolean b20 = dfp8.greaterThan(dfp19);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp3.nextAfter(dfp19);
    int i22 = dfp3.log10K();
    int i23 = dfp3.intValue();
    int i24 = dfp3.log10K();
    double d25 = dfp3.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField27.newDfp((byte)1);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp31 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp0, dfp3, dfp30);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.7071067811865476d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(2L, 580322300536297111L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 580322300536297111L);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.0422417651509384d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.504285679102231d);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(1.5607966601082315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999500037496876d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField19 = dfp18.getField();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField19.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField19.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField27 = dfp26.getField();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp28.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField34 = dfp33.getField();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getLn2();
    boolean b36 = dfp35.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp35.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp30.nextAfter(dfp35);
    org.apache.commons.math3.dfp.DfpField dfpField40 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField42 = dfp41.getField();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp43.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp46 = org.apache.commons.math3.dfp.Dfp.copysign(dfp38, dfp45);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp38.power10(10000);
    boolean b49 = dfp23.unequal(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp48.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp51 = new org.apache.commons.math3.dfp.Dfp(dfp48);
    boolean b52 = dfp4.lessThan(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == true);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0d, 0.04357654973957053d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(1.2455110096795459d, 0.8605382580390188d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9661959005572712d);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.011114359f);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-16.0f), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-15.999999f));

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    int i5 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getLn5Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.power10K((-1));
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField16 = dfp15.getField();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField22 = dfp21.getField();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp23.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField29 = dfp28.getField();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getLn2();
    boolean b31 = dfp30.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp30.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp25.nextAfter(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField35.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField37 = dfp36.getField();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp38.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp41 = org.apache.commons.math3.dfp.Dfp.copysign(dfp33, dfp40);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp10.dotrap(10000, "", dfp17, dfp41);
    boolean b43 = dfp17.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.7482043271740013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7329116887711166d);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.7662291450527712d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8434375525142134d);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField3.getSqr3();
    int i7 = dfpField3.getIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 16);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(0.15071724896777527d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getLn2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.0d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(10000);
    mersenneTwister1.setSeed(100);
    long long4 = mersenneTwister1.nextLong();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == (-8422692239103173864L));

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.power10K((-1));
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp8.newInstance((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp8.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(0, 10000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10000);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.7670874783870875d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9640331872041475d);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    dfpField3.setIEEEFlagsBits(4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp(100);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getLn5();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp10 = dfpField3.newDfp("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.2455110096795459d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.59345807551497d);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.009430054193516519d, 1.3347006188476986d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.009430054193516519d);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getLn10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(89L, 89L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 89L);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField3.getPiSplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(32760, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 32760);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(1.8772835888791541E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8772835778526362E-4d);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.4451963704655766d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5607966601082315d);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)3.141592653589793d, (java.lang.Number)Double.NaN, true);
    java.lang.Throwable[] throwable_array5 = numberIsTooSmallException4.getSuppressed();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = numberIsTooSmallException4.getContext();
    java.lang.Number number8 = numberIsTooSmallException4.getArgument();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = numberIsTooSmallException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 3.141592653589793d+ "'", number8.equals(3.141592653589793d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(89.99999999999999d, (-0.8702375209176326d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3655353454838256d);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.629395E-6f);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    boolean b19 = dfp18.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp13.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp21, dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField41 = dfp40.getField();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField41.getE();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.abs();
    boolean b45 = dfp37.lessThan(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getZero();
    boolean b49 = dfp37.greaterThan(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp32.nextAfter(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp28, dfp50);
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField55 = dfp54.getField();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField55.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array57 = dfpField55.getLn2Split();
    dfpField55.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField55.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp60 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp5, dfp50, dfp59);
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField62.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField64 = dfp63.getField();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField64.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField67 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField67.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField69 = dfp68.getField();
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField69.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp71 = dfpField69.getE();
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp71.abs();
    boolean b73 = dfp65.lessThan(dfp71);
    boolean b74 = dfp65.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp65.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp65.getOne();
    boolean b78 = dfp50.greaterThan(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == true);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(266490893, 725161617);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 725161617);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(10.000001f, 1.5730845E29f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000001f);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    dfpField1.setIEEEFlags(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(32760);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)100, (byte)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.1955427247895969d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.003412864375899602d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(-1.3604468816094677d));
    boolean b3 = notStrictlyPositiveException2.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.power10K((-1));
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.newInstance((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp10.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-5));
    int i2 = dfpField1.getIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 16);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.13485521404988454d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.13444684100643403d);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.power10K((-1));
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField16 = dfp15.getField();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField22 = dfp21.getField();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp23.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField29 = dfp28.getField();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getLn2();
    boolean b31 = dfp30.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp30.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp25.nextAfter(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField35.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField37 = dfp36.getField();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp38.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp41 = org.apache.commons.math3.dfp.Dfp.copysign(dfp33, dfp40);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp10.dotrap(10000, "", dfp17, dfp41);
    org.apache.commons.math3.dfp.Dfp dfp43 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b44 = dfp42.greaterThan(dfp43);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.9389941379013969d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.662169352997253d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.0d, (-0.7805794640849414d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.0f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.0f));

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)3.141592653589793d, (java.lang.Number)Double.NaN, true);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = numberIsTooSmallException4.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number5, Double.NaN, 0);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.6027633824638368d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.2198531387013502d));

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    boolean b5 = dfp4.strictlyNegative();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField9 = dfp8.getField();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField14 = dfp13.getField();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.getE();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.abs();
    boolean b18 = dfp10.lessThan(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp4, dfp10);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField23 = dfp22.getField();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array25 = dfpField23.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode26 = dfpField23.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField23.newDfp((byte)(-1));
    java.lang.String str29 = dfp28.toString();
    boolean b30 = dfp28.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp10.nextAfter(dfp28);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp33 = dfp28.newInstance("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "-1."+ "'", str29.equals("-1."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField16 = dfp15.getField();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField21 = dfp20.getField();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField21.getE();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp23.abs();
    boolean b25 = dfp17.lessThan(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getZero();
    boolean b29 = dfp17.greaterThan(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp10.multiply(dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField32.newDfp(0);
    boolean b35 = dfp30.unequal(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp30.power10((-4));
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp37.divide(25);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp37.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)100.0f);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField3.getLn5();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField18.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode21 = dfpField18.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode22 = dfpField18.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField18.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getZero();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp4.dotrap(25, "1.000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000e-131172", dfp23, dfp26);
    org.apache.commons.math3.dfp.Dfp dfp28 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp29 = dfp26.subtract(dfp28);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(11.7910068511973d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(1.0E16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E16d);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10((-0.8702375209176326d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(2.718281828459045d, 0.1340465307675739d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.1340465307675739d);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp4.newInstance((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp4.getZero();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(1);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0L);
    boolean b2 = mersenneTwister1.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f5 = mersenneTwister4.nextFloat();
    byte[] byte_array8 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister4.nextBytes(byte_array8);
    mersenneTwister1.nextBytes(byte_array8);
    mersenneTwister1.clear();
    int i12 = mersenneTwister1.nextInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f5 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 839849605);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0);
    int i2 = mersenneTwister1.nextInt();
    mersenneTwister1.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1937831252));

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.1955427247895969d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    boolean b12 = dfp11.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp6.nextAfter(dfp11);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField18.getLn2Split();
    dfpField18.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField18.newDfp(0L);
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField25.newDfp((byte)1);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp23.subtract(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp11, dfp29);
    org.apache.commons.math3.dfp.Dfp dfp31 = new org.apache.commons.math3.dfp.Dfp(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(10.000001f, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 20.000002f);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    int i4 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_EVEN;
    dfpField1.setRoundingMode(roundingMode5);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp();
    boolean b8 = dfp7.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.7071067811865476d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7602445970756301d);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance((byte)1, (byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getE();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.abs();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.divide(dfp14);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getZero();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField23 = dfp22.getField();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField28 = dfp27.getField();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getE();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp30.abs();
    boolean b32 = dfp24.lessThan(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    boolean b36 = dfp24.greaterThan(dfp35);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp35.newInstance((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp39.newInstance(1L);
    org.apache.commons.math3.dfp.Dfp dfp42 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp14, dfp19, dfp41);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp42.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(50.805832687538675d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 51.0d);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(7.274694384868364d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.58515181084917d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6702614087046531d);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.000001f);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2Reciprocal();
    boolean b19 = dfp4.unequal(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.negate();
    double d21 = dfp18.toDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.7071067811865476d);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.035681198449381356d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0L);
    mersenneTwister1.setSeed((-8322921849960486353L));

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance((byte)1, (byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getE();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.abs();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.divide(dfp14);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField19 = dfp18.getField();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField24 = dfp23.getField();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField24.getE();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.abs();
    boolean b28 = dfp20.lessThan(dfp26);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp20.ceil();
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField35 = dfp34.getField();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField35.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp36.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField40 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField42 = dfp41.getField();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getLn2();
    boolean b44 = dfp43.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp43.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp38.nextAfter(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField48.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField50 = dfp49.getField();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp51.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp54 = org.apache.commons.math3.dfp.Dfp.copysign(dfp46, dfp53);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp46.power10(10000);
    org.apache.commons.math3.dfp.DfpField dfpField58 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField58.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField60 = dfp59.getField();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField60.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp61.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField65 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField65.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField67 = dfp66.getField();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField67.getLn2();
    boolean b69 = dfp68.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp68.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp63.nextAfter(dfp68);
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp20.dotrap((-7), "-1.", dfp46, dfp71);
    boolean b73 = dfp4.equals((java.lang.Object)dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(47736148, 32768);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 32768);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    java.lang.Class clazz4 = dfpField3.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getSqr2();
    boolean b6 = dfp5.isZero();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.power10(47736148);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 16);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.6019877059498201d, 0.20579189167860198d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6019877059498201d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(0, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(2980.9579870417265d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException2 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array1);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 25);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.8605382580390188d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.15019720407596632d));

  }

}
