
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest1 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test001"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.7952635054308896d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test002"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.021825671f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.021825671f);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test003"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    int i4 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_EVEN;
    dfpField1.setRoundingMode(roundingMode5);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(1.036325411673969d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.getE();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test004"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(100, 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 25);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test005"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.6041473911933937d, 16.06813073475708d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6041473911933937d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test006"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp9 = dfp7.newInstance(dfp8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test007"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.17701406236121286d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.17701406236121286d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test008"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    boolean b5 = dfp4.strictlyNegative();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField9 = dfp8.getField();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField14 = dfp13.getField();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.getE();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.abs();
    boolean b18 = dfp10.lessThan(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp4, dfp10);
    double[] d_array20 = dfp4.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test009"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.newInstance(2);
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField14 = dfp13.getField();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField21 = dfp20.getField();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp22.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField28 = dfp27.getField();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getLn2();
    boolean b30 = dfp29.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp29.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp24.nextAfter(dfp29);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp37.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp40 = org.apache.commons.math3.dfp.Dfp.copysign(dfp32, dfp39);
    org.apache.commons.math3.dfp.Dfp dfp41 = org.apache.commons.math3.dfp.Dfp.copysign(dfp16, dfp39);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp16.multiply(10000);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.rint();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp10.multiply(dfp44);
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField49 = dfp48.getField();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField49.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField52.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField54 = dfp53.getField();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField54.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField54.getE();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp56.abs();
    boolean b58 = dfp50.lessThan(dfp56);
    boolean b59 = dfp50.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp50.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField63.getSqr2Reciprocal();
    boolean b65 = dfp50.unequal(dfp64);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp64.divide(100);
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp67.power10K((-1023));
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp45.nextAfter(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test010"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    double d2 = mersenneTwister1.nextGaussian();
    boolean b3 = mersenneTwister1.nextBoolean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.17701406236121286d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test011"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)1);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    boolean b3 = notStrictlyPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test012"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.8605382580390188d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5344709151209276d);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test013"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(1.392736262295483d, (-0.02402609136256118d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3927362622954829d);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test014"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(50.805832687538675d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test015"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = dfpField6.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField6.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test016"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.09254824092588047d, 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.896614469493072E-17d);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test017"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.9171523356672744d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.971584308461297d);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test018"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(5.960465E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test019"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.9999500037496876d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7615731580139388d);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test020"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(1.5607966601082315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test021"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.5430806348152437d, 0.017968472410822136d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.543185248614888d);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test022"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(-1.0f));
    java.lang.Throwable[] throwable_array3 = notStrictlyPositiveException2.getSuppressed();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = notStrictlyPositiveException2.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test023"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.0d, 1.0855916649320245d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test024"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField17.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField17.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField32 = dfp31.getField();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getLn2();
    boolean b34 = dfp33.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp33.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp28.nextAfter(dfp33);
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField38.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField40 = dfp39.getField();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp41.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp44 = org.apache.commons.math3.dfp.Dfp.copysign(dfp36, dfp43);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp36.power10(10000);
    boolean b47 = dfp21.unequal(dfp46);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp46.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp49 = new org.apache.commons.math3.dfp.Dfp(dfp46);
    boolean b50 = dfp4.unequal(dfp46);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp4.newInstance((byte)(-1), (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test025"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.20579189167860198d, (java.lang.Number)1, false);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getLn5();
    java.lang.Class clazz10 = dfpField7.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField7.getLn2Split();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable5, (java.lang.Object[])dfp_array11);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)mathIllegalArgumentException12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test026"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.15071724896777527d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.15071724896777527d);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test027"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp(0);
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getLn5();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test028"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField3.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp10 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp11 = dfp9.newInstance(dfp10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test029"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test030"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.5574077246549023d, (-7));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.04499701751654114d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test031"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp4.getOne();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp4.negate();
    boolean b15 = dfp4.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test032"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.59345807551497d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4659065448429041d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test033"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.5403023058681398d, (java.lang.Number)1L, false);
    java.lang.Number number5 = numberIsTooSmallException4.getArgument();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException11 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable7, (java.lang.Number)0.5403023058681398d, (java.lang.Number)1L, false);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)numberIsTooSmallException11);
    java.lang.Throwable throwable13 = null;
    // The following exception was thrown during execution in test generation
    try {
      numberIsTooSmallException11.addSuppressed(throwable13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.5403023058681398d+ "'", number5.equals(0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 1L+ "'", number6.equals(1L));

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test034"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-0.02402609136256118d), (java.lang.Number)66029.68354481232d, true);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test035"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(100L, 89L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test036"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.13485521404988454d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-3));

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test037"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField16 = dfp15.getField();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField21 = dfp20.getField();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField21.getE();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp23.abs();
    boolean b25 = dfp17.lessThan(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getZero();
    boolean b29 = dfp17.greaterThan(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp10.multiply(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp10.floor();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test038"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(32760, 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 8);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test039"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.36343257420573716d, 0.035681198449381356d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.36343257420573716d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test040"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = dfp3.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField4);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test041"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(5.960465E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5.960466E-8f);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test042"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.662169352997253d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 37.93950924965098d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test043"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.6972247958331285d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3606474010904185d));

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test044"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(1.2478269220710727d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test045"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians((-0.02402609136256118d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-4.1933440066166324E-4d));

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test046"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.6702614087046531d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6281336418795539d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test047"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.20579189167860198d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.45364291207799334d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test048"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    dfpField3.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getZero();
    org.apache.commons.math3.dfp.Dfp dfp9 = new org.apache.commons.math3.dfp.Dfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.subtract(dfp10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test049"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(1.3604468816094677d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9779580097026501d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test050"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.8E-45f);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test051"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.8042185756337769d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6364368213478668d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test052"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0L);
    double d2 = mersenneTwister1.nextDouble();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister(0L);
    boolean b5 = mersenneTwister4.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister7 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f8 = mersenneTwister7.nextFloat();
    byte[] byte_array11 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister7.nextBytes(byte_array11);
    mersenneTwister4.nextBytes(byte_array11);
    mersenneTwister1.nextBytes(byte_array11);
    mersenneTwister1.setSeed(100L);
    int i18 = mersenneTwister1.nextInt(2);
    mersenneTwister1.setSeed((-5));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.15071724896777527d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f8 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test053"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.getSqr2();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode8 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_ODD;
    dfpField3.setRoundingMode(roundingMode8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode8);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test054"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-15.999999f), (-4.1933440066166324E-4d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-15.999998f));

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test055"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(1.282535954373479d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.605772214704747d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test056"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    boolean b20 = dfp19.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp14.nextAfter(dfp19);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp27.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp22, dfp29);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp22.power10(10000);
    boolean b33 = dfp7.unequal(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp35 = new org.apache.commons.math3.dfp.Dfp(dfp32);
    int i36 = dfp35.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 10000);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test057"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test058"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f2 = mersenneTwister1.nextFloat();
    byte[] byte_array5 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister1.nextBytes(byte_array5);
    int i8 = mersenneTwister1.nextInt(1);
    mersenneTwister1.setSeed(0L);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister12 = new org.apache.commons.math3.random.MersenneTwister(0L);
    double d13 = mersenneTwister12.nextDouble();
    int i14 = mersenneTwister12.nextInt();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister16 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f17 = mersenneTwister16.nextFloat();
    byte[] byte_array20 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister16.nextBytes(byte_array20);
    int i23 = mersenneTwister16.nextInt(1);
    mersenneTwister16.setSeed(0L);
    byte[] byte_array26 = new byte[] {  };
    mersenneTwister16.nextBytes(byte_array26);
    mersenneTwister12.nextBytes(byte_array26);
    mersenneTwister1.nextBytes(byte_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.15071724896777527d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 839849605);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f17 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array26);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test059"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    int i3 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getE();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp6.newInstance(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test060"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    dfpField3.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getZero();
    org.apache.commons.math3.dfp.Dfp dfp9 = new org.apache.commons.math3.dfp.Dfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test061"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    int i3 = dfp2.intValue();
    boolean b4 = dfp2.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test062"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(10.0d, 0.17701406236121286d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 10.0d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test063"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    dfpField3.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp(0L);
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField10.newDfp((byte)1);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp8.subtract(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp8.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp16 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp17 = dfp15.multiply(dfp16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test064"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.011114359f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.01111436f);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test065"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField2.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField4 = dfp3.getField();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField9 = dfp8.getField();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.abs();
    boolean b13 = dfp5.lessThan(dfp11);
    boolean b14 = dfp5.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp5.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getSqr2Reciprocal();
    boolean b20 = dfp5.unequal(dfp19);
    org.apache.commons.math3.dfp.DfpField dfpField21 = dfp5.getField();
    org.apache.commons.math3.dfp.Dfp[] dfp_array22 = dfpField21.getPiSplit();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException23 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])dfp_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array22);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test066"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    boolean b19 = dfp18.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp13.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp21, dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp5, dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.newInstance((-2015080886171156972L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test067"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(1.0121198655370807d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.005231949122996081d);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test068"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.8772835778526362E-4d, 1.1006759723810273d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.8772835778526362E-4d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test069"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test070"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    int i3 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getE();
    dfpField1.setIEEEFlags(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test071"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    dfpField1.setIEEEFlags(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn5Split();
    int i5 = dfpField1.getIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 4);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test072"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.20579189167860198d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test073"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f2 = mersenneTwister1.nextFloat();
    byte[] byte_array5 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister1.nextBytes(byte_array5);
    // The following exception was thrown during execution in test generation
    try {
      int i8 = mersenneTwister1.nextInt((-1023));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test074"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(89.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.181815110469487d);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test075"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(20.000002f, 11.7910068511973d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 20.0f);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test076"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f2 = mersenneTwister1.nextFloat();
    byte[] byte_array5 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister1.nextBytes(byte_array5);
    int i8 = mersenneTwister1.nextInt(1);
    mersenneTwister1.setSeed(0L);
    double d11 = mersenneTwister1.nextDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.15071724896777527d);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test077"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2Reciprocal();
    boolean b19 = dfp4.unequal(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField20 = dfp4.getField();
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField20.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField20.newDfp();
    dfpField20.setIEEEFlags((-1937831252));
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField20.getLn2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test078"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(10.0f, 20.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test079"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(10L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test080"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)3.1622776601683795d, (java.lang.Number)(-32793), false);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test081"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.8450136738469519d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6884555126603528d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test082"); }


    int[] i_array2 = new int[] { 1, 10 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister3 = new org.apache.commons.math3.random.MersenneTwister(i_array2);
    long long4 = mersenneTwister3.nextLong();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister6 = new org.apache.commons.math3.random.MersenneTwister(0L);
    double d7 = mersenneTwister6.nextDouble();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister9 = new org.apache.commons.math3.random.MersenneTwister(0L);
    boolean b10 = mersenneTwister9.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister12 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f13 = mersenneTwister12.nextFloat();
    byte[] byte_array16 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister12.nextBytes(byte_array16);
    mersenneTwister9.nextBytes(byte_array16);
    mersenneTwister6.nextBytes(byte_array16);
    mersenneTwister3.nextBytes(byte_array16);
    double d21 = mersenneTwister3.nextDouble();
    float f22 = mersenneTwister3.nextFloat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == (-2015080886171156972L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.15071724896777527d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f13 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.6863064115873578d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f22 == 0.23776984f);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test083"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.0d, (-18.714973875118524d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-18.714973875118524d));

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test084"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.8867290596149093d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test085"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, 1.5607966601082315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test086"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test087"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    dfpField1.setIEEEFlags(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(32760);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)3, (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test088"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(7.274694384868364d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 721.6553601029892d);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test089"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-5), 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-5));

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test090"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians((-1.8006504389082143d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.03142727883642935d));

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test091"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.41078129050290885d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.38638934505622d));

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test092"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp7.newInstance((byte)3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test093"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(580322300536297111L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 580322300536297111L);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test094"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(1.75954660369942d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test095"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.6364368213478668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.599817142300167d);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test096"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test097"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField8.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField8.newDfp(32760);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField18.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField21 = dfp20.getField();
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField30 = dfp29.getField();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField30.getE();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.abs();
    boolean b34 = dfp26.lessThan(dfp32);
    boolean b35 = dfp26.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp26.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp26.getOne();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp20.subtract(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp14.newInstance(dfp39);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp40.divide(0);
    boolean b43 = dfp6.lessThan(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test098"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    int i4 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_EVEN;
    dfpField1.setRoundingMode(roundingMode5);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(1.036325411673969d);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp("0.");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test099"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    boolean b12 = dfp11.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp6.nextAfter(dfp11);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp22 = org.apache.commons.math3.dfp.Dfp.copysign(dfp14, dfp21);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp21.multiply(2);
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField28 = dfp27.getField();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array30 = dfpField28.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField28.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp37.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField43 = dfp42.getField();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getLn2();
    boolean b45 = dfp44.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp44.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp39.nextAfter(dfp44);
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField49.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField51 = dfp50.getField();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField51.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp52.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp55 = org.apache.commons.math3.dfp.Dfp.copysign(dfp47, dfp54);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp47.power10(10000);
    boolean b58 = dfp32.unequal(dfp57);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp57.reciprocal();
    boolean b60 = dfp59.strictlyPositive();
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField62.newDfp(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array65 = dfpField62.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField62.newDfp(0.15071724896777527d);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField62.getZero();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp59.subtract(dfp68);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp21.multiply(dfp69);
    org.apache.commons.math3.dfp.DfpField dfpField71 = dfp69.getField();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp69.power10K(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test100"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(2);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getESplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test101"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.8099639371061449d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test102"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp7.newInstance(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test103"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.035681198449381356d, 0.4316652054909915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.25204676382348934d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test104"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp(0);
    dfpField1.clearIEEEFlags();
    dfpField1.clearIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test105"); }


    int[] i_array2 = new int[] { 1, 10 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister3 = new org.apache.commons.math3.random.MersenneTwister(i_array2);
    long long4 = mersenneTwister3.nextLong();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister6 = new org.apache.commons.math3.random.MersenneTwister(0L);
    double d7 = mersenneTwister6.nextDouble();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister9 = new org.apache.commons.math3.random.MersenneTwister(0L);
    boolean b10 = mersenneTwister9.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister12 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f13 = mersenneTwister12.nextFloat();
    byte[] byte_array16 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister12.nextBytes(byte_array16);
    mersenneTwister9.nextBytes(byte_array16);
    mersenneTwister6.nextBytes(byte_array16);
    mersenneTwister3.nextBytes(byte_array16);
    float f21 = mersenneTwister3.nextFloat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == (-2015080886171156972L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.15071724896777527d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f13 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f21 == 0.68630636f);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test106"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance((byte)1, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp8 = new org.apache.commons.math3.dfp.Dfp(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test107"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(0.23776984f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4901161E-8f);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test108"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8115262724608532d);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test109"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.09499070462885983d);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test110"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(725161617, 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 725161617);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test111"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(1.0422417651509384d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.01819055040368137d);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test112"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(10L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test113"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.4901161E-8f, 32760);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test114"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(-4));

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test115"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField3.newDfp(8);
    dfpField3.setIEEEFlagsBits(16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test116"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.8573520788711694d, 0.25204676382348934d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8573520788711693d);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test117"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0L);
    boolean b2 = mersenneTwister1.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f5 = mersenneTwister4.nextFloat();
    byte[] byte_array8 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister4.nextBytes(byte_array8);
    mersenneTwister1.nextBytes(byte_array8);
    mersenneTwister1.clear();
    double d12 = mersenneTwister1.nextGaussian();
    double d13 = mersenneTwister1.nextGaussian();
    mersenneTwister1.setSeed(580322300536297111L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f5 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.6365903589914876d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.78729745478389d);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test118"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(byte)100, (java.lang.Number)1.5607966601082315d, false);
    java.lang.Throwable[] throwable_array5 = numberIsTooSmallException4.getSuppressed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = numberIsTooSmallException4.getContext();
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getLn5();
    java.lang.Class clazz12 = dfpField9.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array13 = dfpField9.getLn2Split();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable7, (java.lang.Object[])dfp_array13);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)mathIllegalArgumentException14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array13);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test119"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-15.999999f), 0.68630636f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.68630636f);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test120"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.570979180402729d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.009965466658366303d);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test121"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.0E16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 36.841361487904734d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test122"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(0.68630636f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.68630636f);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test123"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(-0.023744277382574706d));
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException6 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable2, (java.lang.Number)0.5403023058681398d, (java.lang.Number)1L, false);
    java.lang.Number number7 = numberIsTooSmallException6.getArgument();
    java.lang.Number number8 = numberIsTooSmallException6.getMin();
    notStrictlyPositiveException1.addSuppressed((java.lang.Throwable)numberIsTooSmallException6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0.5403023058681398d+ "'", number7.equals(0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 1L+ "'", number8.equals(1L));

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test124"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test125"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)10);
    java.lang.Number number3 = notStrictlyPositiveException2.getArgument();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = notStrictlyPositiveException2.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 10+ "'", number3.equals(10));

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test126"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.7615731580139388d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7237513319742168d);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test127"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(2.8188398840562523d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 16.757398865546364d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test128"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.17701406236121286d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.16298077583736445d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test129"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.013373221405912078d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.013373221405912078d);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test130"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.6364368213478668d, (-32793));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test131"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2Reciprocal();
    int i4 = dfp3.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 25);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test132"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1024);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test133"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getZero();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.newInstance(10);
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test134"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f2 = mersenneTwister1.nextFloat();
    int i3 = mersenneTwister1.nextInt();
    double d4 = mersenneTwister1.nextGaussian();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 47736148);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.5191953774068153d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test135"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(0.01111436f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.313226E-10f);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test136"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(4.9E-324d, 0.6041473911933937d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.769343895759708E-4d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test137"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.59345807551497d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.262322492675691d);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test138"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.124094486f, 0.8867290596149093d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.12409449f);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test139"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp4.floor();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp16.newInstance((byte)100);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp18.negate();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField23 = dfp22.getField();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array25 = dfpField23.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField23.newDfp(100);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp27.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField33 = dfp32.getField();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array35 = dfpField33.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField33.newDfp((byte)0);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp29.subtract(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp19.nextAfter(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test140"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.9661959005572712d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.03438866972192749d));

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test141"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test142"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    boolean b12 = dfp11.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp6.nextAfter(dfp11);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp22 = org.apache.commons.math3.dfp.Dfp.copysign(dfp14, dfp21);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp14.power10(10000);
    boolean b25 = dfp14.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp26 = new org.apache.commons.math3.dfp.Dfp(dfp14);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp14.newInstance((byte)2);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test143"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.5730845E29f, (-1937831252));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test144"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.42398743697967656d, 1.478115458699036d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.27934310371786186d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test145"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test146"); }


    int[] i_array2 = new int[] { 1, 10 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister3 = new org.apache.commons.math3.random.MersenneTwister(i_array2);
    long long4 = mersenneTwister3.nextLong();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister6 = new org.apache.commons.math3.random.MersenneTwister(0L);
    double d7 = mersenneTwister6.nextDouble();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister9 = new org.apache.commons.math3.random.MersenneTwister(0L);
    boolean b10 = mersenneTwister9.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister12 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f13 = mersenneTwister12.nextFloat();
    byte[] byte_array16 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister12.nextBytes(byte_array16);
    mersenneTwister9.nextBytes(byte_array16);
    mersenneTwister6.nextBytes(byte_array16);
    mersenneTwister3.nextBytes(byte_array16);
    double d21 = mersenneTwister3.nextDouble();
    double d22 = mersenneTwister3.nextGaussian();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == (-2015080886171156972L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.15071724896777527d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f13 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.6863064115873578d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0995739600190667d);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test147"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.8184464592320668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.24512646241203326d));

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test148"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2Reciprocal();
    boolean b19 = dfp4.unequal(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField20 = dfp4.getField();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField22.newDfp(0);
    int i25 = dfpField22.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode26 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_EVEN;
    dfpField22.setRoundingMode(roundingMode26);
    dfpField20.setRoundingMode(roundingMode26);
    dfpField20.setIEEEFlags(10000);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode31 = dfpField20.getRoundingMode();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode31);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test149"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.6027633824638368d, (-0.3388655697214486d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.07496775697906044d));

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test150"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.971584308461297d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test151"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    boolean b12 = dfp11.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp6.nextAfter(dfp11);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp22 = org.apache.commons.math3.dfp.Dfp.copysign(dfp14, dfp21);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField31 = dfp30.getField();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField31.getE();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.abs();
    boolean b35 = dfp27.lessThan(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp14.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.negate();
    boolean b39 = dfp37.isZero();
    org.apache.commons.math3.dfp.Dfp dfp40 = new org.apache.commons.math3.dfp.Dfp(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test152"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = dfpField3.getRoundingMode();
    int i8 = dfpField3.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField3.getLn5Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test153"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(-1.3604468816094677d));
    java.lang.Number number3 = notStrictlyPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test154"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.7670874783870875d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test155"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(1024, (-5));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1024);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test156"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.599817142300167d, 0.9389941379013969d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.3391769956012298d));

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test157"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getOne();
    dfpField1.setIEEEFlagsBits(1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test158"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-0.2198531387013502d), (-0.936930396265318d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.9111099525078967d));

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test159"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0L);
    double d2 = mersenneTwister1.nextDouble();
    int i3 = mersenneTwister1.nextInt();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister5 = new org.apache.commons.math3.random.MersenneTwister(0L);
    double d6 = mersenneTwister5.nextDouble();
    int i7 = mersenneTwister5.nextInt();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister9 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f10 = mersenneTwister9.nextFloat();
    byte[] byte_array13 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister9.nextBytes(byte_array13);
    int i16 = mersenneTwister9.nextInt(1);
    mersenneTwister9.setSeed(0L);
    byte[] byte_array19 = new byte[] {  };
    mersenneTwister9.nextBytes(byte_array19);
    mersenneTwister5.nextBytes(byte_array19);
    mersenneTwister1.nextBytes(byte_array19);
    mersenneTwister1.setSeed(32760);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.15071724896777527d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 839849605);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.15071724896777527d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 839849605);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f10 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array19);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test160"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.12409449f, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test161"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter((-1.8006504389082143d), 2.085591664932024d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.800650438908214d));

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test162"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)3.141592653589793d, (java.lang.Number)Double.NaN, true);
    java.lang.Throwable[] throwable_array5 = numberIsTooSmallException4.getSuppressed();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = numberIsTooSmallException4.getContext();
    java.lang.Number number8 = numberIsTooSmallException4.getArgument();
    java.lang.Throwable[] throwable_array9 = numberIsTooSmallException4.getSuppressed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext10 = numberIsTooSmallException4.getContext();
    java.lang.Throwable throwable11 = null;
    // The following exception was thrown during execution in test generation
    try {
      numberIsTooSmallException4.addSuppressed(throwable11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 3.141592653589793d+ "'", number8.equals(3.141592653589793d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test163"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(0.011114359f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.011114359f);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test164"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2Reciprocal();
    boolean b19 = dfp4.unequal(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField20 = dfp4.getField();
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField20.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField20.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp22.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.newDfp(0);
    int i28 = dfpField25.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode29 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_EVEN;
    dfpField25.setRoundingMode(roundingMode29);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField25.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField38 = dfp37.getField();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField38.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField43 = dfp42.getField();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField43.getE();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp45.abs();
    boolean b47 = dfp39.lessThan(dfp45);
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField49.getZero();
    boolean b51 = dfp39.greaterThan(dfp50);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp34.nextAfter(dfp50);
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField54.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField56 = dfp55.getField();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField56.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField56.getE();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp58.abs();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp58.newInstance(16);
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp61.floor();
    org.apache.commons.math3.dfp.DfpField dfpField64 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField64.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField66 = dfp65.getField();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField66.getLn2();
    boolean b68 = dfp67.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp67.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp61.divide(dfp69);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp52.divide(dfp70);
    org.apache.commons.math3.dfp.Dfp dfp72 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp22, dfp31, dfp52);
    java.lang.String str73 = dfp72.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "-Infinity"+ "'", str73.equals("-Infinity"));

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test165"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(10.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test166"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField3.getSqr3();
    dfpField3.clearIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test167"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0d, 0.6019877059498201d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test168"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp((byte)0, (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test169"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp(100);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.newDfp(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = new org.apache.commons.math3.dfp.Dfp(dfp11);
    org.apache.commons.math3.dfp.Dfp dfp13 = org.apache.commons.math3.dfp.Dfp.copysign(dfp7, dfp12);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp13.newInstance((-1937831252));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test170"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f2 = mersenneTwister1.nextFloat();
    byte[] byte_array5 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister1.nextBytes(byte_array5);
    int i8 = mersenneTwister1.nextInt(1);
    mersenneTwister1.setSeed(0L);
    boolean b11 = mersenneTwister1.nextBoolean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test171"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(4.025850779389001d, 0.41078129050290885d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.025850779389001d);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test172"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test173"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp((byte)0);
    dfpField3.clearIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test174"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    boolean b19 = dfp18.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp13.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp21, dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField41 = dfp40.getField();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField41.getE();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.abs();
    boolean b45 = dfp37.lessThan(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getZero();
    boolean b49 = dfp37.greaterThan(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp32.nextAfter(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp28, dfp50);
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField55 = dfp54.getField();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField55.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array57 = dfpField55.getLn2Split();
    dfpField55.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField55.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp60 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp5, dfp50, dfp59);
    boolean b61 = dfp60.isNaN();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp60.newInstance((-580322300536297111L));
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp60.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test175"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)1);
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField9 = dfp8.getField();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField14 = dfp13.getField();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.getE();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.abs();
    boolean b18 = dfp10.lessThan(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField22 = dfp21.getField();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField27 = dfp26.getField();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField27.getE();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp29.abs();
    boolean b31 = dfp23.lessThan(dfp29);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getZero();
    boolean b35 = dfp23.greaterThan(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp16.multiply(dfp34);
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField38.newDfp(0);
    boolean b41 = dfp36.unequal(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp36.power10((-4));
    int i44 = dfp43.intValue();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp5.add(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test176"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(1.5574077246549025d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test177"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.27934310371786186d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test178"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)3.141592653589793d, (java.lang.Number)Double.NaN, true);
    java.lang.Throwable[] throwable_array5 = numberIsTooSmallException4.getSuppressed();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = numberIsTooSmallException4.getContext();
    java.lang.Number number8 = numberIsTooSmallException4.getArgument();
    java.lang.Throwable[] throwable_array9 = numberIsTooSmallException4.getSuppressed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext10 = numberIsTooSmallException4.getContext();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str11 = numberIsTooSmallException4.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 3.141592653589793d+ "'", number8.equals(3.141592653589793d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test179"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(100.0f, 20.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test180"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(2.1132019882389192d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.036882332454459626d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test181"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.2323519383437547d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test182"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-0.6603601810079769d), 10000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test183"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.6863064115873578d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test184"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp10.newInstance(16);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.floor();
    org.apache.commons.math3.dfp.DfpField dfpField15 = dfp13.getField();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.newDfp(10L);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField15.newDfp(100L);
    boolean b20 = dfp4.unequal(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test185"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField15 = dfp14.getField();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.abs();
    boolean b19 = dfp11.lessThan(dfp17);
    boolean b20 = dfp11.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp11.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp11.getOne();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp5.subtract(dfp23);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp5.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test186"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(10);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test187"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp("-Infinity");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test188"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0L);
    double d2 = mersenneTwister1.nextDouble();
    int i3 = mersenneTwister1.nextInt();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister5 = new org.apache.commons.math3.random.MersenneTwister(0L);
    double d6 = mersenneTwister5.nextDouble();
    int i7 = mersenneTwister5.nextInt();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister9 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f10 = mersenneTwister9.nextFloat();
    byte[] byte_array13 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister9.nextBytes(byte_array13);
    int i16 = mersenneTwister9.nextInt(1);
    mersenneTwister9.setSeed(0L);
    byte[] byte_array19 = new byte[] {  };
    mersenneTwister9.nextBytes(byte_array19);
    mersenneTwister5.nextBytes(byte_array19);
    mersenneTwister1.nextBytes(byte_array19);
    // The following exception was thrown during execution in test generation
    try {
      int i24 = mersenneTwister1.nextInt((-4));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.15071724896777527d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 839849605);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.15071724896777527d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 839849605);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f10 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array19);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test189"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField16 = dfp15.getField();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField21 = dfp20.getField();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField21.getE();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp23.abs();
    boolean b25 = dfp17.lessThan(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getZero();
    boolean b29 = dfp17.greaterThan(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp10.multiply(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp10.sqrt();
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField35 = dfp34.getField();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField35.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array37 = dfpField35.getLn2Split();
    dfpField35.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField35.newDfp(0L);
    java.lang.String str41 = dfp40.toString();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp31.divide(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "0."+ "'", str41.equals("0."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test190"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.009430054193516519d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.00943005419351652d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test191"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    dfpField1.setIEEEFlags(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(32760);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(0.45364291207799334d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test192"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test193"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    dfpField3.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp(0L);
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField10.newDfp((byte)1);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp8.subtract(dfp13);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField16.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField16.newDfp(32760);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField26.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField29 = dfp28.getField();
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField33 = dfp32.getField();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField38 = dfp37.getField();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField38.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField38.getE();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp40.abs();
    boolean b42 = dfp34.lessThan(dfp40);
    boolean b43 = dfp34.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp34.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp34.getOne();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp28.subtract(dfp46);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp22.newInstance(dfp47);
    org.apache.commons.math3.dfp.Dfp dfp49 = org.apache.commons.math3.dfp.Dfp.copysign(dfp13, dfp47);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp49.getOne();
    double[] d_array51 = dfp50.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test194"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.282535954373479d, 0.7237513319742168d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4726555825430274d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test195"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField15 = dfp14.getField();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.abs();
    boolean b19 = dfp11.lessThan(dfp17);
    boolean b20 = dfp11.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp11.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2Reciprocal();
    boolean b26 = dfp11.unequal(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp25.negate();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp27.newInstance((-18.714973875118524d));
    boolean b30 = dfp6.unequal(dfp29);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp29.power10(839849605);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test196"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(1.8774598095898436E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5706085808128347d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test197"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    int i7 = dfp6.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField16 = dfp15.getField();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField16.getE();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp18.abs();
    boolean b20 = dfp12.lessThan(dfp18);
    boolean b21 = dfp12.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp12.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2Reciprocal();
    boolean b27 = dfp12.unequal(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField28 = dfp12.getField();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getOne();
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp6, dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test198"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-0.9999999999999999d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5403023058681398d);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test199"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField16 = dfp15.getField();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField16.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField16.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField24 = dfp23.getField();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp25.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField31 = dfp30.getField();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getLn2();
    boolean b33 = dfp32.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp27.nextAfter(dfp32);
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField39 = dfp38.getField();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp40.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp43 = org.apache.commons.math3.dfp.Dfp.copysign(dfp35, dfp42);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp35.power10(10000);
    boolean b46 = dfp20.unequal(dfp45);
    boolean b47 = dfp4.equals((java.lang.Object)b46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test200"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp((-16.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1253517471925912E-7d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test201"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    boolean b5 = dfp4.strictlyNegative();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField9 = dfp8.getField();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField14 = dfp13.getField();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.getE();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.abs();
    boolean b18 = dfp10.lessThan(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp4, dfp10);
    java.lang.String str20 = dfp19.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "1.884169385363720109902159116925401334697265056454741386092606479802878205484684602244776733382183"+ "'", str20.equals("1.884169385363720109902159116925401334697265056454741386092606479802878205484684602244776733382183"));

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test202"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)3);
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test203"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0f, (-7));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test204"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(1, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test205"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)3.141592653589793d, (java.lang.Number)Double.NaN, true);
    java.lang.Throwable[] throwable_array5 = numberIsTooSmallException4.getSuppressed();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = numberIsTooSmallException4.getContext();
    java.lang.Number number8 = numberIsTooSmallException4.getArgument();
    java.lang.Throwable[] throwable_array9 = numberIsTooSmallException4.getSuppressed();
    java.lang.Number number10 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 3.141592653589793d+ "'", number8.equals(3.141592653589793d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number10, Double.NaN, 0);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test206"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn5();
    java.lang.Class clazz4 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField7 = dfp6.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField7);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test207"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-15.999999f), 1.8772835778526362E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-15.999998f));

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test208"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.8434375525142134d, 0.4107812905029089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4107812905029089d);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test209"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.6902427174785724d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6902427174785724d);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test210"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-0.03438866972192749d), 0.13485521404988454d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.03438866972192749d);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test211"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.687131741733528d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.687131741733528d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test212"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(10.000001f, 0.124094486f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.124094486f);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test213"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2Reciprocal();
    boolean b19 = dfp4.unequal(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField20 = dfp4.getField();
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField20.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField20.newDfp();
    org.apache.commons.math3.dfp.Dfp[] dfp_array23 = dfpField20.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField20.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test214"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.6365903589914876d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.49261502821727315d);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test215"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getTwo();
    double[] d_array6 = dfp5.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test216"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test217"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(1560931061, 10000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1560931061);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test218"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(2.501522260875372d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test219"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.440892098500626E-16d);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test220"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    boolean b12 = dfp11.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp6.nextAfter(dfp11);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp22 = org.apache.commons.math3.dfp.Dfp.copysign(dfp14, dfp21);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField29 = dfp28.getField();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField34 = dfp33.getField();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField34.getE();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.abs();
    boolean b38 = dfp30.lessThan(dfp36);
    org.apache.commons.math3.dfp.DfpField dfpField40 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getZero();
    boolean b42 = dfp30.greaterThan(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp25.nextAfter(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp44 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp21, dfp43);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp44.sqrt();
    boolean b46 = dfp44.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test221"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(580322300536297111L, 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test222"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.7952635054308896d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 102.86102197505151d);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test223"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.59345807551497d, 839849605);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test224"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(721.6553601029892d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 41347.80639689489d);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test225"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField9 = dfp8.getField();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField9.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode12 = dfpField9.getRoundingMode();
    dfpField1.setRoundingMode(roundingMode12);
    int i14 = dfpField1.getIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 16);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test226"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test227"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test228"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.5707963267948966d, Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test229"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.2323519383437547d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 70.60856494186339d);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test230"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-1.3604468816094677d), (-1.3604468816094677d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test231"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2Reciprocal();
    boolean b19 = dfp4.unequal(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField20 = dfp4.getField();
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField20.getPiSplit();
    java.lang.Class clazz22 = dfpField20.getRuntimeClass();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz22);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test232"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getLn10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test233"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(4.025850779389001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2202074798429958d);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test234"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(6.102016471589117E38d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test235"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn5();
    java.lang.Class clazz4 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField13 = dfp12.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getE();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.abs();
    boolean b17 = dfp9.lessThan(dfp15);
    boolean b18 = dfp9.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2Reciprocal();
    boolean b24 = dfp9.unequal(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getOne();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField1.newDfp(dfp26);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance();
    boolean b29 = dfp28.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test236"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField15 = dfp14.getField();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.abs();
    boolean b19 = dfp11.lessThan(dfp17);
    boolean b20 = dfp11.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp11.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp11.getOne();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp5.subtract(dfp23);
    int i25 = dfp23.classify();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test237"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1024);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test238"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(4.440892098500626E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.440892098500626E-16d);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test239"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(0.0f, 20.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test240"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test241"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)3.141592653589793d, (java.lang.Number)Double.NaN, true);
    java.lang.Throwable[] throwable_array5 = numberIsTooSmallException4.getSuppressed();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = numberIsTooSmallException4.getContext();
    java.lang.Number number8 = numberIsTooSmallException4.getArgument();
    boolean b9 = numberIsTooSmallException4.getBoundIsAllowed();
    java.lang.Number number10 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 3.141592653589793d+ "'", number8.equals(3.141592653589793d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number10, Double.NaN, 0);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test242"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test243"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test244"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(1.1132019882389192d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.019429039934516334d);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test245"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister((-8422692239103173864L));
    double d2 = mersenneTwister1.nextGaussian();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5604930992617612d);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test246"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.6884555126603528d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6884555126603528d);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test247"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.7140481089883228d, 0.7071067811865476d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0290038825471413d);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test248"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    dfpField3.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getZero();
    dfpField3.setIEEEFlagsBits(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField3.getTwo();
    boolean b12 = dfp11.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test249"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)1.5574077246549023d);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test250"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp((-2.9111099525078967d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.05441529794069167d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test251"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.78729745478389d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5807046771567224d);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test252"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.017968472410822136d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.017969439327902466d);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test253"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(Float.POSITIVE_INFINITY, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test254"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0);
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException7 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable3, (java.lang.Number)0.20579189167860198d, (java.lang.Number)1, false);
    notStrictlyPositiveException2.addSuppressed((java.lang.Throwable)numberIsTooSmallException7);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test255"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-0.023933773968750755d), 32760);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test256"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp(100);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getLn5();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField12 = dfp11.getField();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField12.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.getTwo();
    boolean b16 = dfp8.equals((java.lang.Object)dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test257"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(28.02290208653254d, 0.6420926159343305d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.229173014578004d));

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test258"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-2.501522260875372d), 0.00943005419351652d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.501522260875372d));

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test259"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-0.8702375209176326d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.3340575114981115d));

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test260"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField12 = dfp11.getField();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField12.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode15 = dfpField12.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode16 = dfpField12.getRoundingMode();
    int i17 = dfpField12.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode18 = dfpField12.getRoundingMode();
    dfpField3.setRoundingMode(roundingMode18);
    int i20 = dfpField3.getIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 16);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test261"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(50.805832687538675d, 0.013388202148675518d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 50.80583445154828d);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test262"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.03438866972192749d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test263"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.8691945f, 5.9604645E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.9604645E-8f);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test264"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, 1.3927362622954829d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test265"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(0.01111436f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test266"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.13444684100643403d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.36666993469117976d);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test267"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.7140481089883228d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7140481089883229d);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test268"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0L);
    boolean b2 = mersenneTwister1.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f5 = mersenneTwister4.nextFloat();
    byte[] byte_array8 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister4.nextBytes(byte_array8);
    mersenneTwister1.nextBytes(byte_array8);
    boolean b11 = mersenneTwister1.nextBoolean();
    mersenneTwister1.setSeed(580322300536297111L);
    mersenneTwister1.setSeed((-2015080886171156972L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f5 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test269"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.03972932410179319d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0397188733386598d);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test270"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-5));
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getE();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test271"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test272"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField3.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test273"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder((-0.3391769956012298d), 1.262322492675691d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.3391769956012298d));

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test274"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.00943005419351652d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.00943005419351652d);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test275"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin((-18.714973875118524d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test276"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField16 = dfp15.getField();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField21 = dfp20.getField();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField21.getE();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp23.abs();
    boolean b25 = dfp17.lessThan(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getZero();
    boolean b29 = dfp17.greaterThan(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp10.multiply(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp30.newInstance("1.000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000e-131172");
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp37.newInstance((byte)1, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp37.newInstance((-4));
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp42.newInstance((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp45 = org.apache.commons.math3.dfp.Dfp.copysign(dfp32, dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test277"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.6208658319035287d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6208658319035287d);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test278"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(16.757398865546364d, 1.8184464592320668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.8184464592320668d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test279"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.003412864375899602d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.001706432187949801d);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test280"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f2 = mersenneTwister1.nextFloat();
    byte[] byte_array5 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister1.nextBytes(byte_array5);
    int i8 = mersenneTwister1.nextInt(1);
    mersenneTwister1.setSeed(0L);
    byte[] byte_array11 = new byte[] {  };
    mersenneTwister1.nextBytes(byte_array11);
    mersenneTwister1.setSeed((-2015080886171156972L));
    double d15 = mersenneTwister1.nextGaussian();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == (-1.9665724694739952d));

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test281"); }


    int[] i_array2 = new int[] { 1, 10 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister3 = new org.apache.commons.math3.random.MersenneTwister(i_array2);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister(i_array2);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister6 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f7 = mersenneTwister6.nextFloat();
    byte[] byte_array10 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister6.nextBytes(byte_array10);
    long long12 = mersenneTwister6.nextLong();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister14 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f15 = mersenneTwister14.nextFloat();
    byte[] byte_array18 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister14.nextBytes(byte_array18);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister21 = new org.apache.commons.math3.random.MersenneTwister(0L);
    boolean b22 = mersenneTwister21.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister24 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f25 = mersenneTwister24.nextFloat();
    byte[] byte_array28 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister24.nextBytes(byte_array28);
    mersenneTwister21.nextBytes(byte_array28);
    mersenneTwister14.nextBytes(byte_array28);
    mersenneTwister6.nextBytes(byte_array28);
    mersenneTwister4.nextBytes(byte_array28);
    boolean b34 = mersenneTwister4.nextBoolean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f7 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-580322300536297111L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f15 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f25 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test282"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    int i3 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(580322300536297111L);
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getESplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test283"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.87342936f, 1.4901161E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.87342936f);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test284"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((-580322300536297111L));
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.newDfp(0);
    int i13 = dfpField10.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode14 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_EVEN;
    dfpField10.setRoundingMode(roundingMode14);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField10.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField10.newDfp(1.036325411673969d);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField10.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp8.remainder(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test285"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0);
    long long2 = mersenneTwister1.nextLong();
    mersenneTwister1.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-8322921849960486353L));

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test286"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp6.newInstance("1.000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000e-131172");
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test287"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(0.87342936f, 1.5730845E29f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.87342936f);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test288"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-8422692239103173864L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 8422692239103173864L);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test289"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    boolean b20 = dfp19.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp14.nextAfter(dfp19);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp27.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp22, dfp29);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp22.power10(10000);
    boolean b33 = dfp7.unequal(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.reciprocal();
    double[] d_array35 = dfp34.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp36 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b37 = dfp34.lessThan(dfp36);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test290"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn5();
    java.lang.Class clazz4 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getZero();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField7.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField7.newDfp(32760);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp12.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField20 = dfp19.getField();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField24 = dfp23.getField();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField29 = dfp28.getField();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField29.getE();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.abs();
    boolean b33 = dfp25.lessThan(dfp31);
    boolean b34 = dfp25.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp25.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp25.getOne();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp19.subtract(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp13.newInstance(dfp38);
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getZero();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField41.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField41.newDfp(32760);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp46.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField49.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField51 = dfp50.getField();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField51.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField51.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField54 = dfp53.getField();
    org.apache.commons.math3.dfp.DfpField dfpField56 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField56.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField58 = dfp57.getField();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField58.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField61 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp62 = dfpField61.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField63 = dfp62.getField();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField63.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField63.getE();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp65.abs();
    boolean b67 = dfp59.lessThan(dfp65);
    boolean b68 = dfp59.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp59.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp59.getOne();
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp53.subtract(dfp71);
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp47.newInstance(dfp72);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp38.multiply(dfp47);
    boolean b75 = dfp5.greaterThan(dfp47);
    boolean b76 = dfp5.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test291"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(2.0d, 0.03438866972192749d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.03438866972192749d);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test292"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-0.024030716009390794d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.024030716009390794d);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test293"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField3.newDfp(8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField3.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField3.getSqr2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test294"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = null;
    dfpField1.setRoundingMode(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test295"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.12409449f, 0.68630636f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.12409449f);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test296"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.4316652054909915d, 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.15748573284506204d);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test297"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.03438866972192749d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.03440223192860908d);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test298"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    boolean b19 = dfp18.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp13.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp21, dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp21.power10(10000);
    boolean b32 = dfp21.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp33 = new org.apache.commons.math3.dfp.Dfp(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp21.newInstance((byte)2);
    boolean b36 = dfp6.unequal(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test299"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.001706432187949801d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0017078889718723147d);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test300"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(1.2202074798429958d, 2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.220207479842996d);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test301"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    boolean b12 = dfp11.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp6.nextAfter(dfp11);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp22 = org.apache.commons.math3.dfp.Dfp.copysign(dfp14, dfp21);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp21.multiply(2);
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField28 = dfp27.getField();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array30 = dfpField28.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField28.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp37.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField43 = dfp42.getField();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getLn2();
    boolean b45 = dfp44.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp44.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp39.nextAfter(dfp44);
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField49.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField51 = dfp50.getField();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField51.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp52.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp55 = org.apache.commons.math3.dfp.Dfp.copysign(dfp47, dfp54);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp47.power10(10000);
    boolean b58 = dfp32.unequal(dfp57);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp57.reciprocal();
    boolean b60 = dfp59.strictlyPositive();
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField62.newDfp(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array65 = dfpField62.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField62.newDfp(0.15071724896777527d);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField62.getZero();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp59.subtract(dfp68);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp21.multiply(dfp69);
    org.apache.commons.math3.dfp.DfpField dfpField71 = dfp69.getField();
    boolean b72 = dfp69.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test302"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh((-1.9665724694739952d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test303"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    dfpField1.setIEEEFlags(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(10L);
    java.lang.Class clazz6 = dfpField1.getRuntimeClass();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz6);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test304"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)3.141592653589793d, (java.lang.Number)Double.NaN, true);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = numberIsTooSmallException4.getContext();
    java.lang.Throwable[] throwable_array7 = numberIsTooSmallException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test305"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test306"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(25);
    double d2 = mersenneTwister1.nextGaussian();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7125261229939746d);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test307"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp((byte)10, (byte)(-1));
    int i9 = dfpField3.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField3.getESplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test308"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.04357654973957053d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0436041534378967d);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test309"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)3);
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getLn5();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test310"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(4);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr2Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test311"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.7125261229939746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7125261229939747d);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test312"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 10L);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test313"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.5403023058681398d, (java.lang.Number)1L, false);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException9 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable5, (java.lang.Number)3.141592653589793d, (java.lang.Number)Double.NaN, true);
    java.lang.Throwable[] throwable_array10 = numberIsTooSmallException9.getSuppressed();
    java.lang.Number number11 = numberIsTooSmallException9.getMin();
    org.apache.commons.math3.exception.util.Localizable localizable12 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException16 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable12, (java.lang.Number)0.5403023058681398d, (java.lang.Number)1L, false);
    java.lang.Number number17 = numberIsTooSmallException16.getArgument();
    numberIsTooSmallException9.addSuppressed((java.lang.Throwable)numberIsTooSmallException16);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)numberIsTooSmallException9);
    java.lang.Throwable[] throwable_array20 = numberIsTooSmallException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + 0.5403023058681398d+ "'", number17.equals(0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test314"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.03438866972192749d, (-0.02402609136256118d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.03438866972192748d);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test315"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.001706432187949801d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0017064321879498013d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test316"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfp2.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test317"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test318"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.036882332454459626d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.33286857187713753d);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test319"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(0.15071724896777527d);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.newDfp(0L);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField8.getSqr3();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test320"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)532981786);
    java.lang.Throwable[] throwable_array3 = notStrictlyPositiveException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test321"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.0d, Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test322"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(byte)100, (java.lang.Number)1.5607966601082315d, false);
    java.lang.Throwable[] throwable_array5 = numberIsTooSmallException4.getSuppressed();
    boolean b6 = numberIsTooSmallException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test323"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-15.653559774527022d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-16L));

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test324"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(16);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.floor();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp8.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.newDfp(10L);
    java.lang.Class clazz13 = dfpField10.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField10.newDfp(0L);
    boolean b16 = dfp15.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test325"); }


    int i1 = org.apache.commons.math3.util.FastMath.round((-15.999998f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-16));

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test326"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp6 = new org.apache.commons.math3.dfp.Dfp(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp6.newInstance((byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test327"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.8772835888791541E-4d, (-0.02402609136256118d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.8772835888791541E-4d);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test328"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs((-32767));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 32767);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test329"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0L);
    boolean b2 = mersenneTwister1.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f5 = mersenneTwister4.nextFloat();
    byte[] byte_array8 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister4.nextBytes(byte_array8);
    mersenneTwister1.nextBytes(byte_array8);
    mersenneTwister1.clear();
    double d12 = mersenneTwister1.nextGaussian();
    mersenneTwister1.setSeed(1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f5 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.6365903589914876d);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test330"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.7662291450527712d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7205305842940156d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test331"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(16);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.floor();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp8.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test332"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.5403023058681398d, (java.lang.Number)1L, false);
    java.lang.Number number5 = numberIsTooSmallException4.getArgument();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException11 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable7, (java.lang.Number)0.5403023058681398d, (java.lang.Number)1L, false);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)numberIsTooSmallException11);
    java.lang.Throwable[] throwable_array13 = numberIsTooSmallException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.5403023058681398d+ "'", number5.equals(0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 1L+ "'", number6.equals(1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test333"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getE();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.abs();
    boolean b15 = dfp7.lessThan(dfp13);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getZero();
    boolean b19 = dfp7.greaterThan(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp2.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField24 = dfp23.getField();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField24.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.getZero();
    boolean b28 = dfp18.lessThan(dfp27);
    boolean b29 = dfp18.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test334"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(Float.POSITIVE_INFINITY, (-15.999999f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test335"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(0.15071724896777527d);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array13 = dfpField11.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField19 = dfp18.getField();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp20.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    boolean b28 = dfp27.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp27.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp22.nextAfter(dfp27);
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField34 = dfp33.getField();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp35.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp38 = org.apache.commons.math3.dfp.Dfp.copysign(dfp30, dfp37);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp30.power10(10000);
    boolean b41 = dfp15.unequal(dfp40);
    boolean b42 = dfp15.strictlyPositive();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp15.newInstance((-2015080886171156972L));
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp7.multiply(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test336"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.0d, 0.6041473911933937d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test337"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.4316652054909915d, 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4316652054909915d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test338"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp((byte)10, (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField3.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField3.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test339"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.6902427174785724d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test340"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.013388202148675516d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-7));

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test341"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.013388202148675518d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-4.313381396503285d));

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test342"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField9 = dfp8.getField();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.abs();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField16 = dfp15.getField();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp17.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField23 = dfp22.getField();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getLn2();
    boolean b25 = dfp24.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp24.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp19.nextAfter(dfp24);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField31 = dfp30.getField();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp35 = org.apache.commons.math3.dfp.Dfp.copysign(dfp27, dfp34);
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField40 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField42 = dfp41.getField();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField47 = dfp46.getField();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField47.getE();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp49.abs();
    boolean b51 = dfp43.lessThan(dfp49);
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getZero();
    boolean b55 = dfp43.greaterThan(dfp54);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp38.nextAfter(dfp54);
    org.apache.commons.math3.dfp.Dfp dfp57 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp34, dfp56);
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField59.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField61 = dfp60.getField();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfpField61.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array63 = dfpField61.getLn2Split();
    dfpField61.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField61.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp66 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp11, dfp56, dfp65);
    boolean b67 = dfp66.isNaN();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp66.newInstance((-580322300536297111L));
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp69.newInstance("2.");
    org.apache.commons.math3.dfp.DfpField dfpField73 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfpField73.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField75 = dfp74.getField();
    org.apache.commons.math3.dfp.Dfp dfp76 = dfpField75.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array77 = dfpField75.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode78 = dfpField75.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode79 = dfpField75.getRoundingMode();
    int i80 = dfpField75.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp81 = dfpField75.getE();
    org.apache.commons.math3.dfp.Dfp dfp82 = dfpField75.getE();
    org.apache.commons.math3.dfp.Dfp dfp83 = dfp69.remainder(dfp82);
    org.apache.commons.math3.dfp.Dfp dfp84 = dfpField1.newDfp(dfp69);
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp86 = dfpField1.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i80 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp86);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test343"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(1.392736262295483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9841891471220509d);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test344"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.16298077583736445d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.338110597248729d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test345"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(50.805832687538675d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 51L);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test346"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0L);
    boolean b2 = mersenneTwister1.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f5 = mersenneTwister4.nextFloat();
    byte[] byte_array8 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister4.nextBytes(byte_array8);
    mersenneTwister1.nextBytes(byte_array8);
    boolean b11 = mersenneTwister1.nextBoolean();
    int i12 = mersenneTwister1.nextInt();
    double d13 = mersenneTwister1.nextDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f5 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 532981786);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.1653253813890907d);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test347"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    boolean b12 = dfp11.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp6.nextAfter(dfp11);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp22 = org.apache.commons.math3.dfp.Dfp.copysign(dfp14, dfp21);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp14.power10(10000);
    boolean b25 = dfp14.strictlyPositive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test348"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(16.757398865546364d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 960.1282306131203d);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test349"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn5();
    java.lang.Class clazz4 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField12 = dfp11.getField();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField12.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField12.newDfp(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp16.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField20.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField20.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp22.divide(4);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.newInstance(2);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp5.dotrap(0, "1.884169385363720109902159116925401334697265056454741386092606479802878205484684602244776733382183", dfp16, dfp26);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test350"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.25204676382348934d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test351"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    boolean b20 = dfp19.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp14.nextAfter(dfp19);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp27.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp22, dfp29);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp22.power10(10000);
    boolean b33 = dfp7.unequal(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.reciprocal();
    boolean b35 = dfp34.strictlyPositive();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField37.newDfp(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField37.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField37.newDfp(0.15071724896777527d);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField37.getZero();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp34.subtract(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField46.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField49.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField51 = dfp50.getField();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField51.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField54.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField56 = dfp55.getField();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField56.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField56.getE();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp58.abs();
    boolean b60 = dfp52.lessThan(dfp58);
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField62.getZero();
    boolean b64 = dfp52.greaterThan(dfp63);
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp47.nextAfter(dfp63);
    org.apache.commons.math3.dfp.DfpField dfpField67 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField67.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField69 = dfp68.getField();
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField69.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp71 = dfpField69.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp71.getZero();
    boolean b73 = dfp63.lessThan(dfp72);
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp63.newInstance((-1L));
    boolean b76 = dfp44.unequal(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == true);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test352"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(5.960466E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5.960466E-8f);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test353"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField15 = dfp14.getField();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.abs();
    boolean b19 = dfp11.lessThan(dfp17);
    boolean b20 = dfp11.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp11.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp11.getOne();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp5.subtract(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField31 = dfp30.getField();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField36.getE();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp38.abs();
    boolean b40 = dfp32.lessThan(dfp38);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getZero();
    boolean b44 = dfp32.greaterThan(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp27.nextAfter(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp23.subtract(dfp45);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp46.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test354"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.4901161E-8f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4901161E-8f);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test355"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.0017078889718723147d);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test356"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    int i5 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(2L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp("-Infinity");
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField1.getLn5Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test357"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance((byte)1, (byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getE();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.abs();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.divide(dfp14);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getZero();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField23 = dfp22.getField();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField28 = dfp27.getField();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getE();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp30.abs();
    boolean b32 = dfp24.lessThan(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    boolean b36 = dfp24.greaterThan(dfp35);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp35.newInstance((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp39.newInstance(1L);
    org.apache.commons.math3.dfp.Dfp dfp42 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp14, dfp19, dfp41);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp19.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test358"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.282535954373479d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.24883933226902932d);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test359"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    int i5 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(2L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp("-Infinity");
    org.apache.commons.math3.dfp.Dfp dfp10 = new org.apache.commons.math3.dfp.Dfp(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test360"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(89L);
    double d2 = mersenneTwister1.nextGaussian();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6569737206553016d);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test361"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.5403023058681398d, (java.lang.Number)1L, false);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException9 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable5, (java.lang.Number)3.141592653589793d, (java.lang.Number)Double.NaN, true);
    java.lang.Throwable[] throwable_array10 = numberIsTooSmallException9.getSuppressed();
    java.lang.Number number11 = numberIsTooSmallException9.getMin();
    org.apache.commons.math3.exception.util.Localizable localizable12 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException16 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable12, (java.lang.Number)0.5403023058681398d, (java.lang.Number)1L, false);
    java.lang.Number number17 = numberIsTooSmallException16.getArgument();
    numberIsTooSmallException9.addSuppressed((java.lang.Throwable)numberIsTooSmallException16);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)numberIsTooSmallException9);
    java.lang.Number number20 = numberIsTooSmallException9.getMin();
    java.lang.Throwable[] throwable_array21 = numberIsTooSmallException9.getSuppressed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext22 = numberIsTooSmallException9.getContext();
    java.lang.Throwable[] throwable_array23 = numberIsTooSmallException9.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + 0.5403023058681398d+ "'", number17.equals(0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test362"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    boolean b20 = dfp19.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp14.nextAfter(dfp19);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp27.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp22, dfp29);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp22.power10(10000);
    boolean b33 = dfp7.unequal(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp35 = new org.apache.commons.math3.dfp.Dfp(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp32.newInstance("-0.7071067811865475244008443621048490392848359376884740365883398689953662392310535194251937671638207863");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test363"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp((byte)(-1));
    java.lang.String str9 = dfp8.toString();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "-1."+ "'", str9.equals("-1."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test364"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f2 = mersenneTwister1.nextFloat();
    byte[] byte_array5 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister1.nextBytes(byte_array5);
    int i8 = mersenneTwister1.nextInt(1);
    double d9 = mersenneTwister1.nextGaussian();
    mersenneTwister1.setSeed(0L);
    boolean b12 = mersenneTwister1.nextBoolean();
    mersenneTwister1.setSeed(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.09254824092588047d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test365"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.0017078889718723147d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test366"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    boolean b20 = dfp19.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp14.nextAfter(dfp19);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp27.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp22, dfp29);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp22.power10(10000);
    boolean b33 = dfp7.unequal(dfp32);
    boolean b34 = dfp32.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == true);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test367"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    double d2 = mersenneTwister1.nextGaussian();
    mersenneTwister1.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.17701406236121286d);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test368"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)1);
    dfpField1.setIEEEFlags(10);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getSqr2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test369"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.6702614087046531d, 11.791006851082619d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 11.810042037108758d);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test370"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(6.102016471589117E38d, 1.220207479842996d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.1020164715891165E38d);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test371"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(6.102016471589117E38d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0650027844015711E37d);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test372"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(4);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp6.newInstance((-8322921849960486353L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test373"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.13485521404988454d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.726634610391706d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test374"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.4316652054909915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5398195057389559d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test375"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.36343257420573716d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.35587322589462245d);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test376"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-0.03142727883642935d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test377"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.6420926159343306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7478015508290538d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test378"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.getOne();
    boolean b7 = dfp6.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test379"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test380"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(1.564375488874645d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test381"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.0787171938695459d, 0.6208658319035287d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.1261132854954694d);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test382"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.getOne();
    boolean b7 = dfp6.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test383"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(3.4292855271021514d, 1.036325411673969d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.5862878047177125d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test384"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    boolean b5 = dfp4.strictlyNegative();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField9 = dfp8.getField();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField14 = dfp13.getField();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.getE();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.abs();
    boolean b18 = dfp10.lessThan(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField22 = dfp21.getField();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField27 = dfp26.getField();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField27.getE();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp29.abs();
    boolean b31 = dfp23.lessThan(dfp29);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getZero();
    boolean b35 = dfp23.greaterThan(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp16.multiply(dfp34);
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField38.newDfp(0);
    boolean b41 = dfp36.unequal(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp36.getOne();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp4.newInstance(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test385"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    boolean b19 = dfp18.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp13.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp21, dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField41 = dfp40.getField();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField41.getE();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.abs();
    boolean b45 = dfp37.lessThan(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getZero();
    boolean b49 = dfp37.greaterThan(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp32.nextAfter(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp28, dfp50);
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField55 = dfp54.getField();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField55.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array57 = dfpField55.getLn2Split();
    dfpField55.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField55.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp60 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp5, dfp50, dfp59);
    boolean b61 = dfp60.isNaN();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField63.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField65 = dfp64.getField();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField65.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField68 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp69 = dfpField68.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField70 = dfp69.getField();
    org.apache.commons.math3.dfp.Dfp dfp71 = dfpField70.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp72 = dfpField70.getE();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp72.abs();
    boolean b74 = dfp66.lessThan(dfp72);
    org.apache.commons.math3.dfp.DfpField dfpField76 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfpField76.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField78 = dfp77.getField();
    org.apache.commons.math3.dfp.Dfp dfp79 = dfpField78.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField81 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp82 = dfpField81.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField83 = dfp82.getField();
    org.apache.commons.math3.dfp.Dfp dfp84 = dfpField83.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp85 = dfpField83.getE();
    org.apache.commons.math3.dfp.Dfp dfp86 = dfp85.abs();
    boolean b87 = dfp79.lessThan(dfp85);
    org.apache.commons.math3.dfp.DfpField dfpField89 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp90 = dfpField89.getZero();
    boolean b91 = dfp79.greaterThan(dfp90);
    org.apache.commons.math3.dfp.Dfp dfp92 = dfp72.multiply(dfp90);
    org.apache.commons.math3.dfp.DfpField dfpField94 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp96 = dfpField94.newDfp(0);
    boolean b97 = dfp92.unequal(dfp96);
    org.apache.commons.math3.dfp.Dfp dfp98 = dfp60.nextAfter(dfp96);
    int i99 = dfp98.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b91 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b97 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp98);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i99 == 0);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test386"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.013388202148675518d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.013387402316583726d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test387"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.0f, 5.960465E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.960465E-8f);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test388"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(-1.0f));
    java.lang.Throwable[] throwable_array3 = notStrictlyPositiveException2.getSuppressed();
    java.lang.Number number4 = notStrictlyPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0+ "'", number4.equals(0));

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test389"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp((-2.501522260875372d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.440892098500626E-16d);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test390"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.0397188733386598d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.04051821565928124d);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test391"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(3.1622776601683795d, 32768);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test392"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.687131741733528d, (-0.229173014578004d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test393"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array13 = dfpField11.getLn2Split();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode15 = dfpField11.getRoundingMode();
    dfpField3.setRoundingMode(roundingMode15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode15);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test394"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3Reciprocal();
    int i4 = dfpField1.getIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 16);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test395"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn5();
    java.lang.Class clazz4 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance((byte)10, (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test396"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.7071067811865476d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5347999967395703d);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test397"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { 3.1622776601683795d };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException3 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array2);
    java.lang.Throwable[] throwable_array4 = mathIllegalArgumentException3.getSuppressed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = mathIllegalArgumentException3.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = mathIllegalArgumentException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test398"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-15.999999f), 0.12409449f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.12409449f);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test399"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f2 = mersenneTwister1.nextFloat();
    byte[] byte_array5 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister1.nextBytes(byte_array5);
    int i8 = mersenneTwister1.nextInt(1);
    mersenneTwister1.setSeed(0L);
    byte[] byte_array11 = new byte[] {  };
    mersenneTwister1.nextBytes(byte_array11);
    int i13 = mersenneTwister1.nextInt();
    mersenneTwister1.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1560931061);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test400"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(32760);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp6.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField14 = dfp13.getField();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField23 = dfp22.getField();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField23.getE();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.abs();
    boolean b27 = dfp19.lessThan(dfp25);
    boolean b28 = dfp19.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp19.getOne();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp13.subtract(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp7.newInstance(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp7.newInstance(0.03440223192860908d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test401"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(580322300536297111L, (-16L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 580322300536297111L);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test402"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    boolean b13 = dfp12.strictlyNegative();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField22 = dfp21.getField();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField22.getE();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp24.abs();
    boolean b26 = dfp18.lessThan(dfp24);
    org.apache.commons.math3.dfp.Dfp dfp27 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp12, dfp18);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp18.negate();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField1.newDfp(dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField33 = dfp32.getField();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array35 = dfpField33.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode36 = dfpField33.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField33.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField33.newDfp(8);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField44 = dfp43.getField();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField44.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp45.ceil();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField33.newDfp(dfp46);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp28.divide(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test403"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.newInstance(0.6902427174785724d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test404"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-0.3388655697214486d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3324173883447951d));

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test405"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians((-0.3391769956012298d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.005919755320263785d));

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test406"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField18.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode21 = dfpField18.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode22 = dfpField18.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField18.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getZero();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp4.dotrap(25, "1.000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000e-131172", dfp23, dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField31 = dfp30.getField();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField31.getE();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.abs();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(16);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.floor();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp27.nextAfter(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp27.newInstance(2);
    boolean b41 = dfp40.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test407"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.662169352997253d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9389941379013969d);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test408"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p((-1.800650438908214d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test409"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    int i4 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_EVEN;
    dfpField1.setRoundingMode(roundingMode5);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp();
    int i8 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getSqr2Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test410"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 100L);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test411"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(7.726634610391706d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1133.9786129155827d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test412"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-8422692239103173864L), 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test413"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test414"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-1023), 725161617);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 725161617);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test415"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(2.896614469493072E-17d, 0.1955427247895969d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.835701156637496E-4d);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test416"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-8422692239103173864L), (java.lang.Number)89.0d, false);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test417"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.newDfp();
    java.lang.String str9 = dfp8.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "0."+ "'", str9.equals("0."));

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test418"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(13664, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 13664);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test419"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(725161617, (-32793));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-32793));

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test420"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.5560510529666401d, 1.3927362622954829d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3798603395996842d);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test421"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getSqr3Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test422"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.newInstance(266490893);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test423"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    boolean b19 = dfp18.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp13.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp21, dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField41 = dfp40.getField();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField41.getE();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.abs();
    boolean b45 = dfp37.lessThan(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getZero();
    boolean b49 = dfp37.greaterThan(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp32.nextAfter(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp28, dfp50);
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField55 = dfp54.getField();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField55.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array57 = dfpField55.getLn2Split();
    dfpField55.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField55.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp60 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp5, dfp50, dfp59);
    boolean b61 = dfp60.isNaN();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp60.newInstance((-580322300536297111L));
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp63.newInstance("2.");
    org.apache.commons.math3.dfp.DfpField dfpField67 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField67.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField69 = dfp68.getField();
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField69.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array71 = dfpField69.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode72 = dfpField69.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode73 = dfpField69.getRoundingMode();
    int i74 = dfpField69.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp75 = dfpField69.getE();
    org.apache.commons.math3.dfp.Dfp dfp76 = dfpField69.getE();
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp63.remainder(dfp76);
    boolean b79 = dfp77.equals((java.lang.Object)(-0.24512646241203326d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test424"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException(number0, (java.lang.Number)0.1653253813890907d, true);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test425"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.009430054193516519d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.009474657247388494d);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test426"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.0017078889718723147d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0017078881415865557d);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test427"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.8703935071703468d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7162150489029074d);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test428"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.3927362622954829d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 79.79790980435638d);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test429"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance((byte)1, (byte)0);
    int i8 = dfp4.log10();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp4.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField13 = dfp12.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array15 = dfpField13.getLn2Split();
    dfpField13.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField13.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField13.getZero();
    boolean b19 = dfp9.equals((java.lang.Object)dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField31 = dfp30.getField();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField31.getE();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.abs();
    boolean b35 = dfp27.lessThan(dfp33);
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getZero();
    boolean b39 = dfp27.greaterThan(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp22.nextAfter(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp18.multiply(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp41.rint();
    boolean b43 = dfp42.strictlyPositive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test430"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = dfpField3.getRoundingMode();
    int i8 = dfpField3.getRadixDigits();
    int i9 = dfpField3.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField3.newDfp(0L);
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField15 = dfp14.getField();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField22 = dfp21.getField();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp23.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField29 = dfp28.getField();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getLn2();
    boolean b31 = dfp30.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp30.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp25.nextAfter(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField35.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField37 = dfp36.getField();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp38.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp41 = org.apache.commons.math3.dfp.Dfp.copysign(dfp33, dfp40);
    org.apache.commons.math3.dfp.Dfp dfp42 = org.apache.commons.math3.dfp.Dfp.copysign(dfp17, dfp40);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp17.multiply(10000);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp11.add(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test431"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.599817142300167d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5998171423001671d);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test432"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField18.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode21 = dfpField18.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode22 = dfpField18.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField18.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getZero();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp4.dotrap(25, "1.000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000e-131172", dfp23, dfp26);
    boolean b28 = dfp4.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp29 = new org.apache.commons.math3.dfp.Dfp(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test433"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    boolean b12 = dfp11.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp6.nextAfter(dfp11);
    java.lang.String str15 = dfp6.toString();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp6.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "0."+ "'", str15.equals("0."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test434"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, 2.27632259394013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test435"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.49023235f, 0.011114359f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.011114359f);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test436"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getZero();
    boolean b16 = dfp4.greaterThan(dfp15);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.newInstance((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.newInstance(1L);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp21.newInstance(2980.957987041727d);
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField27 = dfp26.getField();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp30 = new org.apache.commons.math3.dfp.Dfp(dfp29);
    boolean b31 = dfp21.equals((java.lang.Object)dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test437"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.5109561115356032d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6668841604725196d);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test438"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.599817142300167d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5686680932236688d);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test439"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(2.267909768656307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test440"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp3.newInstance(0L);
    boolean b6 = dfp5.strictlyPositive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test441"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((-32793));
    int i8 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getESplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test442"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp10 = org.apache.commons.math3.dfp.Dfp.copysign(dfp8, dfp9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test443"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(0.01111436f, 0.49023235f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.01111436f);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test444"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 100.0f);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test445"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    int i3 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test446"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1.036325411673969d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6893643995071923d);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test447"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException(number0, (java.lang.Number)(-0.023744277382574706d), false);
    java.lang.Throwable[] throwable_array4 = numberIsTooSmallException3.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test448"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)1.0855916649320245d);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test449"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(16);
    int i9 = dfp5.classify();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp5.ceil();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp5.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test450"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(32768, (-3));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 32768);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test451"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.6281336418795539d);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test452"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.7759897021755878d, 0.41078129050290885d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.04557287883022987d));

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test453"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp7.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField13 = dfp12.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array15 = dfpField13.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField13.newDfp((byte)0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp9.subtract(dfp17);
    int i20 = dfp19.intValue();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test454"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    int i4 = dfpField3.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField3.newDfp(0L);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array13 = dfpField11.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.newDfp(100);
    boolean b16 = dfp7.equals((java.lang.Object)dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test455"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp4.getOne();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp4.negate();
    org.apache.commons.math3.dfp.Dfp dfp15 = new org.apache.commons.math3.dfp.Dfp(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test456"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(-1.0f));
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException7 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable3, (java.lang.Number)3.141592653589793d, (java.lang.Number)Double.NaN, true);
    java.lang.Throwable[] throwable_array8 = numberIsTooSmallException7.getSuppressed();
    java.lang.Number number9 = numberIsTooSmallException7.getMin();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext10 = numberIsTooSmallException7.getContext();
    java.lang.Number number11 = numberIsTooSmallException7.getArgument();
    java.lang.Throwable[] throwable_array12 = numberIsTooSmallException7.getSuppressed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext13 = numberIsTooSmallException7.getContext();
    notStrictlyPositiveException2.addSuppressed((java.lang.Throwable)numberIsTooSmallException7);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str15 = numberIsTooSmallException7.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 3.141592653589793d+ "'", number11.equals(3.141592653589793d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext13);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test457"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField2.newDfp(0);
    int i5 = dfpField2.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_EVEN;
    dfpField2.setRoundingMode(roundingMode6);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField2.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField2.newDfp(1.036325411673969d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField2.getSqr2Split();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])dfp_array11);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str13 = mathIllegalArgumentException12.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test458"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getZero();
    boolean b16 = dfp4.greaterThan(dfp15);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.newInstance((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField23 = dfp22.getField();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField23.getE();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.abs();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(16);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.floor();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.newInstance(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test459"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(2147483647, (-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-4));

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test460"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(Float.POSITIVE_INFINITY, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test461"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.9640331872041475d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test462"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn5();
    int i6 = dfpField1.getIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 16);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test463"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getZero();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.newInstance(10);
    boolean b11 = dfp10.strictlyPositive();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getZero();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField13.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField13.newDfp(4);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField13.newDfp(0.0d);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField13.newDfp((-1L));
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp10.remainder(dfp22);
    int i24 = dfp10.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 25);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test464"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.5403023058681398d, (java.lang.Number)1L, false);
    java.lang.Number number5 = numberIsTooSmallException4.getArgument();
    java.lang.Throwable[] throwable_array6 = numberIsTooSmallException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.5403023058681398d+ "'", number5.equals(0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test465"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)(-1.3604468816094677d), (java.lang.Number)0.49261502821727315d, true);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test466"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)3.141592653589793d, (java.lang.Number)Double.NaN, true);
    java.lang.Throwable[] throwable_array5 = numberIsTooSmallException4.getSuppressed();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = numberIsTooSmallException4.getContext();
    java.lang.Number number8 = numberIsTooSmallException4.getArgument();
    java.lang.Throwable[] throwable_array9 = numberIsTooSmallException4.getSuppressed();
    java.lang.Number number10 = numberIsTooSmallException4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 3.141592653589793d+ "'", number8.equals(3.141592653589793d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 3.141592653589793d+ "'", number10.equals(3.141592653589793d));

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test467"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp((-0.02402609136256118d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.469446951953614E-18d);

  }

  @Test
  public void test468() {}
// Defects4J: flaky method
//   @Test
//   public void test468() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test468"); }
// 
// 
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math3.random.MersenneTwister();
//     double d1 = mersenneTwister0.nextDouble();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 0.5042924971385871d);
// 
//   }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test469"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.8734293f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8734293f);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test470"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { 3.1622776601683795d };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException3 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array2);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = mathIllegalArgumentException3.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test471"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.49261502821727315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test472"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(1.75954660369942d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1654310073528082d);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test473"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.12409449f, 1.4901161E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4901161E-8f);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test474"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test475"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.0017078889718723147d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999985415579844d);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test476"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.9999500037496876d);
    java.lang.Throwable[] throwable_array3 = notStrictlyPositiveException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test477"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.017968472410822136d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.7454888428548676d));

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test478"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.7670874783870875d, 0.42398743697967656d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.08088739557226565d));

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test479"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    int i4 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_EVEN;
    dfpField1.setRoundingMode(roundingMode5);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(1.036325411673969d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(100);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test480"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    boolean b5 = dfp4.strictlyNegative();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField9 = dfp8.getField();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField14 = dfp13.getField();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.getE();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.abs();
    boolean b18 = dfp10.lessThan(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp4, dfp10);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField23 = dfp22.getField();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array25 = dfpField23.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode26 = dfpField23.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField23.newDfp((byte)(-1));
    java.lang.String str29 = dfp28.toString();
    boolean b30 = dfp28.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp10.nextAfter(dfp28);
    boolean b32 = dfp28.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "-1."+ "'", str29.equals("-1."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test481"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(1.5574077246549025d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test482"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0L);
    boolean b2 = mersenneTwister1.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f5 = mersenneTwister4.nextFloat();
    byte[] byte_array8 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister4.nextBytes(byte_array8);
    mersenneTwister1.nextBytes(byte_array8);
    mersenneTwister1.clear();
    double d12 = mersenneTwister1.nextGaussian();
    double d13 = mersenneTwister1.nextGaussian();
    mersenneTwister1.setSeed((-8422692239103173864L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f5 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.6365903589914876d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.78729745478389d);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test483"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(89.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.4896128191743455E38d);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test484"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-0.8702375209176326d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7161262917073914d));

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test485"); }


    int i1 = org.apache.commons.math3.util.FastMath.round((-15.999999f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-16));

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test486"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(960.1282306131203d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 30.985936013183792d);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test487"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException(number0, (java.lang.Number)11.7910068511973d, false);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test488"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp3.divide(4);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp3.newInstance(89L);
    boolean b8 = dfp3.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test489"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.1570478369201183d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4330584745736055d);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test490"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2Reciprocal();
    boolean b19 = dfp4.unequal(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp18.divide(100);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp21.power10K((-1023));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField27 = dfp26.getField();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp28.newInstance((byte)1, (byte)0);
    int i32 = dfp28.log10();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp28.power10(32768);
    int i35 = dfp28.classify();
    org.apache.commons.math3.dfp.Dfp dfp36 = org.apache.commons.math3.dfp.Dfp.copysign(dfp23, dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test491"); }


    org.apache.commons.math3.dfp.Dfp dfp0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField2.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField4 = dfp3.getField();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance((byte)1, (byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField12 = dfp11.getField();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField12.getE();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.abs();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp5.divide(dfp15);
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getZero();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField18.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField24 = dfp23.getField();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField29 = dfp28.getField();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField29.getE();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.abs();
    boolean b33 = dfp25.lessThan(dfp31);
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField35.getZero();
    boolean b37 = dfp25.greaterThan(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp36.newInstance((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp40.newInstance(1L);
    org.apache.commons.math3.dfp.Dfp dfp43 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp15, dfp20, dfp42);
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField47 = dfp46.getField();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField52 = dfp51.getField();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField52.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField52.getE();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp54.abs();
    boolean b56 = dfp48.lessThan(dfp54);
    org.apache.commons.math3.dfp.DfpField dfpField58 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField58.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField60 = dfp59.getField();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField60.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField63.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField65 = dfp64.getField();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField65.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField65.getE();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp67.abs();
    boolean b69 = dfp61.lessThan(dfp67);
    org.apache.commons.math3.dfp.DfpField dfpField71 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp72 = dfpField71.getZero();
    boolean b73 = dfp61.greaterThan(dfp72);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp54.multiply(dfp72);
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp43.remainder(dfp54);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp76 = org.apache.commons.math3.dfp.Dfp.copysign(dfp0, dfp54);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test492"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.427421740478293d, (-7));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.011151732347486664d);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test493"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.9171523356672744d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948968d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test494"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(1.5707963267948968d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test495"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-17));

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test496"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251568E-16d);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test497"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.3655353454838256d, 11.791006851082619d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3655353454838256d);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test498"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.8605382580390188d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3936836997756747d);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test499"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField8.getLn2Split();
    dfpField8.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField8.newDfp();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode13 = dfpField8.getRoundingMode();
    dfpField1.setRoundingMode(roundingMode13);
    org.apache.commons.math3.dfp.Dfp[] dfp_array15 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField1.getLn5();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test500"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.9999985415579844d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

}
