
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest2 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test001"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(10L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test002"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.024030716009390794d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.024030716009390794d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test003"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.01111436f, 0.011114359f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.011114359f);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test004"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField3.newDfp("2.");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test005"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.3927362622954829d, 0.8703935071703467d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.6423456255116d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test006"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(66029.68354481232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3058664272904282d));

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test007"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.8605382580390188d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7581936328087945d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test008"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    dfpField1.setIEEEFlags(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test009"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getZero();
    int i9 = dfp8.log10K();
    boolean b10 = dfp8.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test010"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(6.769343895759708E-4d, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.53114507085E-312d);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test011"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    int i4 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_EVEN;
    dfpField1.setRoundingMode(roundingMode5);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp((byte)2);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.newInstance((-8322921849960486353L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test012"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2Reciprocal();
    boolean b19 = dfp4.unequal(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField20 = dfp4.getField();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField24 = dfp23.getField();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp25.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField31 = dfp30.getField();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getLn2();
    boolean b33 = dfp32.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp27.nextAfter(dfp32);
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField39 = dfp38.getField();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp40.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp43 = org.apache.commons.math3.dfp.Dfp.copysign(dfp35, dfp42);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp42.multiply(2);
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField49 = dfp48.getField();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField49.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array51 = dfpField49.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField49.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField55 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField55.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField57 = dfp56.getField();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField57.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp58.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField62.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField64 = dfp63.getField();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField64.getLn2();
    boolean b66 = dfp65.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp65.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp60.nextAfter(dfp65);
    org.apache.commons.math3.dfp.DfpField dfpField70 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfpField70.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField72 = dfp71.getField();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfpField72.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp73.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp76 = org.apache.commons.math3.dfp.Dfp.copysign(dfp68, dfp75);
    org.apache.commons.math3.dfp.Dfp dfp78 = dfp68.power10(10000);
    boolean b79 = dfp53.unequal(dfp78);
    org.apache.commons.math3.dfp.Dfp dfp80 = dfp78.reciprocal();
    boolean b81 = dfp80.strictlyPositive();
    org.apache.commons.math3.dfp.DfpField dfpField83 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp85 = dfpField83.newDfp(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array86 = dfpField83.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp88 = dfpField83.newDfp(0.15071724896777527d);
    org.apache.commons.math3.dfp.Dfp dfp89 = dfpField83.getZero();
    org.apache.commons.math3.dfp.Dfp dfp90 = dfp80.subtract(dfp89);
    org.apache.commons.math3.dfp.Dfp dfp91 = dfp42.multiply(dfp90);
    boolean b92 = dfp4.lessThan(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == false);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test013"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    int i5 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp6.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test014"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(1.4901161E-8f, 0.68630636f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4901161E-8f);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test015"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getZero();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.newInstance(10);
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField14 = dfp13.getField();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField19 = dfp18.getField();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.getE();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.abs();
    boolean b23 = dfp15.lessThan(dfp21);
    boolean b24 = dfp15.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp15.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp15.floor();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp27.newInstance(1.8774598095898436E-4d);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp27.getOne();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp10.divide(dfp30);
    double d32 = dfp31.toDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 10.0d);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test016"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(41347.80639689489d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 41348L);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test017"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getE();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.abs();
    boolean b15 = dfp7.lessThan(dfp13);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getZero();
    boolean b19 = dfp7.greaterThan(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp2.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField24 = dfp23.getField();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField24.getE();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.abs();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp26.newInstance(16);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp29.floor();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField34 = dfp33.getField();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getLn2();
    boolean b36 = dfp35.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp35.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp29.divide(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp20.divide(dfp38);
    double d40 = dfp20.toDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.7071067811865476d);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test018"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    boolean b19 = dfp18.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp13.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp21, dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField41 = dfp40.getField();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField41.getE();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.abs();
    boolean b45 = dfp37.lessThan(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getZero();
    boolean b49 = dfp37.greaterThan(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp32.nextAfter(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp28, dfp50);
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField55 = dfp54.getField();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField55.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array57 = dfpField55.getLn2Split();
    dfpField55.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField55.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp60 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp5, dfp50, dfp59);
    boolean b61 = dfp60.isZero();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField63.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField65 = dfp64.getField();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField65.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp66.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField70 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfpField70.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField72 = dfp71.getField();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfpField72.getLn2();
    boolean b74 = dfp73.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp73.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp68.nextAfter(dfp73);
    org.apache.commons.math3.dfp.DfpField dfpField78 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp79 = dfpField78.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField80 = dfp79.getField();
    org.apache.commons.math3.dfp.Dfp dfp81 = dfpField80.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp83 = dfp81.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp84 = org.apache.commons.math3.dfp.Dfp.copysign(dfp76, dfp83);
    org.apache.commons.math3.dfp.Dfp dfp86 = dfp76.power10(10000);
    boolean b87 = dfp76.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp88 = new org.apache.commons.math3.dfp.Dfp(dfp76);
    org.apache.commons.math3.dfp.Dfp dfp90 = dfp76.newInstance((byte)2);
    org.apache.commons.math3.dfp.Dfp dfp91 = org.apache.commons.math3.dfp.Dfp.copysign(dfp60, dfp90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp91);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test019"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(0.8691945f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test020"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.04499701751654114d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.3468162710920835d));

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test021"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.1654310073528082d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 66.77427803499592d);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test022"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.22744338216745d, (java.lang.Number)0.6420926159343305d, false);
    java.lang.Throwable[] throwable_array5 = numberIsTooSmallException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test023"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(5.9604645E-8f, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.9604645E-8f);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test024"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 10.000000000000002d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test025"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs((-32793));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 32793);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test026"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.5403023058681398d, (java.lang.Number)1L, false);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException9 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable5, (java.lang.Number)3.141592653589793d, (java.lang.Number)Double.NaN, true);
    java.lang.Throwable[] throwable_array10 = numberIsTooSmallException9.getSuppressed();
    java.lang.Number number11 = numberIsTooSmallException9.getMin();
    org.apache.commons.math3.exception.util.Localizable localizable12 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException16 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable12, (java.lang.Number)0.5403023058681398d, (java.lang.Number)1L, false);
    java.lang.Number number17 = numberIsTooSmallException16.getArgument();
    numberIsTooSmallException9.addSuppressed((java.lang.Throwable)numberIsTooSmallException16);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)numberIsTooSmallException9);
    java.lang.Number number20 = numberIsTooSmallException9.getMin();
    java.lang.Throwable[] throwable_array21 = numberIsTooSmallException9.getSuppressed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext22 = numberIsTooSmallException9.getContext();
    java.lang.Number number23 = numberIsTooSmallException9.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + 0.5403023058681398d+ "'", number17.equals(0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number23, Double.NaN, 0);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test027"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.newDfp(4);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField6.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test028"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(2980.957987041727d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.000335406372896d);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test029"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    boolean b19 = dfp18.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp13.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp21, dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp5, dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp5.multiply(10000);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.rint();
    int i34 = dfp32.getRadixDigits();
    int i35 = dfp32.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == (-1));

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test030"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.7140481089883229d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7557169753497153d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test031"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    boolean b20 = dfp19.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp14.nextAfter(dfp19);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp27.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp22, dfp29);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp22.power10(10000);
    boolean b33 = dfp7.unequal(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.reciprocal();
    boolean b35 = dfp34.strictlyPositive();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField37.newDfp(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField37.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField37.newDfp(0.15071724896777527d);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField37.getZero();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp34.subtract(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp44.divide(8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test032"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.newDfp();
    boolean b5 = dfp4.isZero();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance((byte)0);
    boolean b8 = dfp7.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test033"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.3798603395996842d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4203760478302536d));

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test034"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f2 = mersenneTwister1.nextFloat();
    float f3 = mersenneTwister1.nextFloat();
    int i5 = mersenneTwister1.nextInt(32760);
    long long6 = mersenneTwister1.nextLong();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 0.011114359f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 25600);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 4416880500480903301L);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test035"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    double d2 = mersenneTwister1.nextGaussian();
    float f3 = mersenneTwister1.nextFloat();
    mersenneTwister1.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.17701406236121286d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 0.8691945f);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test036"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(Float.POSITIVE_INFINITY, 0.23943949f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.23943949f);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test037"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter((-18.714973875118524d), (-1.5610342061694307d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-18.71497387511852d));

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test038"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)1);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.multiply(32768);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.floor();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test039"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(2.718281828459045d, 0.03438866972192749d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.7182818284590446d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test040"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(25);
    long long2 = mersenneTwister1.nextLong();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-2395786888487018178L));

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test041"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(0.23943949f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test042"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.504285679102231d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5550368189114809d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test043"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f2 = mersenneTwister1.nextFloat();
    byte[] byte_array5 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister1.nextBytes(byte_array5);
    int[] i_array9 = new int[] { 10, 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister(i_array9);
    mersenneTwister1.setSeed(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test044"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(4.0d, 0.8703935071703468d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.0d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test045"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0L);
    boolean b2 = mersenneTwister1.nextBoolean();
    double d3 = mersenneTwister1.nextDouble();
    int[] i_array6 = new int[] { 1, 10 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister7 = new org.apache.commons.math3.random.MersenneTwister(i_array6);
    long long8 = mersenneTwister7.nextLong();
    mersenneTwister7.clear();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister11 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f12 = mersenneTwister11.nextFloat();
    byte[] byte_array15 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister11.nextBytes(byte_array15);
    mersenneTwister7.nextBytes(byte_array15);
    mersenneTwister1.nextBytes(byte_array15);
    boolean b19 = mersenneTwister1.nextBoolean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.36343257420573716d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == (-2015080886171156972L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f12 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test046"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.36666993469117976d, (java.lang.Number)2.085591664932024d, true);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test047"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-0.024030716009390794d), 1.78729745478389d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.024030716009390794d));

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test048"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(16);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.floor();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField13 = dfp12.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getLn2();
    boolean b15 = dfp14.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp14.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp8.divide(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField21 = dfp20.getField();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp22.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField28 = dfp27.getField();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getLn2();
    boolean b30 = dfp29.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp29.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp24.nextAfter(dfp29);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp37.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp40 = org.apache.commons.math3.dfp.Dfp.copysign(dfp32, dfp39);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField44 = dfp43.getField();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField44.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField49 = dfp48.getField();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField49.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField49.getE();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp51.abs();
    boolean b53 = dfp45.lessThan(dfp51);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp51.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp32.remainder(dfp54);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp55.negate();
    boolean b57 = dfp17.greaterThan(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == true);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test049"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn5();
    boolean b4 = dfp3.isNaN();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp3.floor();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test050"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, (-580322300536297111L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test051"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(28.02290208653254d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.398807828969152E11d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test052"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(1.543185248614888d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9996188383973581d);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test053"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(16);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.floor();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp8.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.newDfp(10L);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField10.newDfp(100L);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.abs();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField19 = dfp18.getField();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp20.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    boolean b28 = dfp27.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp27.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp22.nextAfter(dfp27);
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField34 = dfp33.getField();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp35.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp38 = org.apache.commons.math3.dfp.Dfp.copysign(dfp30, dfp37);
    org.apache.commons.math3.dfp.DfpField dfpField40 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField45 = dfp44.getField();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField48.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField50 = dfp49.getField();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField50.getE();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp52.abs();
    boolean b54 = dfp46.lessThan(dfp52);
    org.apache.commons.math3.dfp.DfpField dfpField56 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField56.getZero();
    boolean b58 = dfp46.greaterThan(dfp57);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp41.nextAfter(dfp57);
    org.apache.commons.math3.dfp.Dfp dfp60 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp37, dfp59);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp60.sqrt();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField63.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField65 = dfp64.getField();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField65.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array67 = dfpField65.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode68 = dfpField65.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField65.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp70.newInstance(2);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp70.power10K((-1023));
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp60.newInstance(dfp74);
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp14.add(dfp60);
    boolean b77 = dfp14.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test054"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(3.4292855271021514d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2323519383437547d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test055"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    boolean b19 = dfp18.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp13.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp21, dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField41 = dfp40.getField();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField41.getE();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.abs();
    boolean b45 = dfp37.lessThan(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getZero();
    boolean b49 = dfp37.greaterThan(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp32.nextAfter(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp28, dfp50);
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField55 = dfp54.getField();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField55.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array57 = dfpField55.getLn2Split();
    dfpField55.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField55.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp60 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp5, dfp50, dfp59);
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp5.multiply(32760);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp5.newInstance(10L);
    org.apache.commons.math3.dfp.DfpField dfpField66 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField66.getZero();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp5.subtract(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test056"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, 8422692239103173864L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 8422692239103173864L);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test057"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(100L);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test058"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.41078129050290885d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0855637282733122d);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test059"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0L);
    double d2 = mersenneTwister1.nextDouble();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister(0L);
    boolean b5 = mersenneTwister4.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister7 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f8 = mersenneTwister7.nextFloat();
    byte[] byte_array11 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister7.nextBytes(byte_array11);
    mersenneTwister4.nextBytes(byte_array11);
    mersenneTwister1.nextBytes(byte_array11);
    mersenneTwister1.setSeed(100L);
    int i17 = mersenneTwister1.nextInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.15071724896777527d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f8 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 338087802);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test060"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    dfpField3.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField3.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField3.getPi();
    int i11 = dfp10.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test061"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = dfpField6.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getLn10();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode9 = dfpField6.getRoundingMode();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode9);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test062"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test063"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(4);
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getESplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test064"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)3.141592653589793d, (java.lang.Number)Double.NaN, true);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    java.lang.Throwable throwable6 = null;
    // The following exception was thrown during execution in test generation
    try {
      numberIsTooSmallException4.addSuppressed(throwable6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number5, Double.NaN, 0);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test065"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField3.getOne();
    double[] d_array10 = dfp9.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test066"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(37.93950924965098d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2173.77375680255d);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test067"); }


    double d2 = org.apache.commons.math3.util.FastMath.log((-0.024030716009390794d), 2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test068"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getESplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test069"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.68630636f, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.34315318f);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test070"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(1.5430806348152437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test071"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    boolean b20 = dfp19.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp14.nextAfter(dfp19);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp27.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp22, dfp29);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp22.power10(10000);
    boolean b33 = dfp7.unequal(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.reciprocal();
    boolean b35 = dfp34.strictlyPositive();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField37.newDfp(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField37.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField37.newDfp(0.15071724896777527d);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField37.getZero();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp34.subtract(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp44.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test072"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    boolean b12 = dfp11.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp6.nextAfter(dfp11);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp22 = org.apache.commons.math3.dfp.Dfp.copysign(dfp14, dfp21);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp21.multiply(2);
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField28 = dfp27.getField();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array30 = dfpField28.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField28.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp37.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField43 = dfp42.getField();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getLn2();
    boolean b45 = dfp44.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp44.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp39.nextAfter(dfp44);
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField49.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField51 = dfp50.getField();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField51.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp52.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp55 = org.apache.commons.math3.dfp.Dfp.copysign(dfp47, dfp54);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp47.power10(10000);
    boolean b58 = dfp32.unequal(dfp57);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp57.reciprocal();
    boolean b60 = dfp59.strictlyPositive();
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField62.newDfp(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array65 = dfpField62.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField62.newDfp(0.15071724896777527d);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField62.getZero();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp59.subtract(dfp68);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp21.multiply(dfp69);
    org.apache.commons.math3.dfp.DfpField dfpField71 = dfp69.getField();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp69.power10(839849605);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test073"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0L);
    double d2 = mersenneTwister1.nextDouble();
    int i3 = mersenneTwister1.nextInt();
    float f4 = mersenneTwister1.nextFloat();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister6 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f7 = mersenneTwister6.nextFloat();
    byte[] byte_array10 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister6.nextBytes(byte_array10);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister13 = new org.apache.commons.math3.random.MersenneTwister(0L);
    boolean b14 = mersenneTwister13.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister16 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f17 = mersenneTwister16.nextFloat();
    byte[] byte_array20 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister16.nextBytes(byte_array20);
    mersenneTwister13.nextBytes(byte_array20);
    mersenneTwister6.nextBytes(byte_array20);
    int[] i_array26 = new int[] { 1, 10 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister27 = new org.apache.commons.math3.random.MersenneTwister(i_array26);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister28 = new org.apache.commons.math3.random.MersenneTwister(i_array26);
    mersenneTwister6.setSeed(i_array26);
    mersenneTwister1.setSeed(i_array26);
    mersenneTwister1.setSeed(2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.15071724896777527d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 839849605);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f4 == 0.124094486f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f7 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f17 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test074"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField13 = dfp12.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getE();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.abs();
    boolean b17 = dfp9.lessThan(dfp15);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp9.power10(0);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp9.power10(32768);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp4.divide(dfp9);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp22.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField24 = dfp23.getField();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr3Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test075"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.124094486f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-4));

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test076"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(16);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.floor();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp8.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getE();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test077"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(0.8691945f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test078"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getE();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.abs();
    boolean b15 = dfp7.lessThan(dfp13);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getZero();
    boolean b19 = dfp7.greaterThan(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp2.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField24 = dfp23.getField();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField24.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.getZero();
    boolean b28 = dfp18.lessThan(dfp27);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp18.newInstance((-1L));
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp37.newInstance((byte)1, (byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField44 = dfp43.getField();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField44.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField44.getE();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp46.abs();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp37.divide(dfp47);
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getZero();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField50.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField54.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField56 = dfp55.getField();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField56.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField59.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField61 = dfp60.getField();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfpField61.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField61.getE();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp63.abs();
    boolean b65 = dfp57.lessThan(dfp63);
    org.apache.commons.math3.dfp.DfpField dfpField67 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField67.getZero();
    boolean b69 = dfp57.greaterThan(dfp68);
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp68.newInstance((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp72.newInstance(1L);
    org.apache.commons.math3.dfp.Dfp dfp75 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp47, dfp52, dfp74);
    org.apache.commons.math3.dfp.DfpField dfpField76 = dfp74.getField();
    org.apache.commons.math3.dfp.Dfp dfp77 = dfpField76.getZero();
    org.apache.commons.math3.dfp.Dfp dfp78 = dfpField76.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField80 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfpField80.getZero();
    int i82 = dfpField80.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array83 = dfpField80.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp84 = dfpField80.getE();
    org.apache.commons.math3.dfp.Dfp dfp85 = dfpField80.getSqr2Reciprocal();
    boolean b86 = dfp78.unequal(dfp85);
    org.apache.commons.math3.dfp.DfpField dfpField88 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp89 = dfpField88.getZero();
    org.apache.commons.math3.dfp.Dfp dfp91 = dfpField88.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp[] dfp_array92 = dfpField88.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp93 = dfpField88.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp94 = dfpField88.getE();
    org.apache.commons.math3.dfp.Dfp dfp95 = dfp18.dotrap(10, "-0.7071067811865475244008443621048490392848359376884740365883398689953662392310535194251937671638207863", dfp78, dfp94);
    org.apache.commons.math3.dfp.Dfp dfp97 = dfp94.newInstance(2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i82 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp97);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test079"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs((-4.313381396503285d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.313381396503285d);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test080"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    dfpField3.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getZero();
    org.apache.commons.math3.dfp.Dfp dfp9 = new org.apache.commons.math3.dfp.Dfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test081"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.5607966601082315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5607966601082316d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test082"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = dfpField3.getRoundingMode();
    int i8 = dfpField3.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField3.getZero();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField3.newDfp((byte)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test083"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn5();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test084"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2Reciprocal();
    boolean b19 = dfp4.unequal(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField23 = dfp22.getField();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField23.getE();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.abs();
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField30 = dfp29.getField();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp31.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField35.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField37 = dfp36.getField();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getLn2();
    boolean b39 = dfp38.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp38.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp33.nextAfter(dfp38);
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField45 = dfp44.getField();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp46.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp49 = org.apache.commons.math3.dfp.Dfp.copysign(dfp41, dfp48);
    org.apache.commons.math3.dfp.DfpField dfpField51 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField51.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField54.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField56 = dfp55.getField();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField56.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField59.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField61 = dfp60.getField();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfpField61.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField61.getE();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp63.abs();
    boolean b65 = dfp57.lessThan(dfp63);
    org.apache.commons.math3.dfp.DfpField dfpField67 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField67.getZero();
    boolean b69 = dfp57.greaterThan(dfp68);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp52.nextAfter(dfp68);
    org.apache.commons.math3.dfp.Dfp dfp71 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp48, dfp70);
    org.apache.commons.math3.dfp.DfpField dfpField73 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfpField73.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField75 = dfp74.getField();
    org.apache.commons.math3.dfp.Dfp dfp76 = dfpField75.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array77 = dfpField75.getLn2Split();
    dfpField75.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp79 = dfpField75.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp80 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp25, dfp70, dfp79);
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp25.multiply(32760);
    org.apache.commons.math3.dfp.Dfp dfp83 = dfp4.subtract(dfp82);
    org.apache.commons.math3.dfp.Dfp dfp85 = dfp83.power10(32768);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test085"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.001706432187949801d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.00170643135978783d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test086"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-5), (-16));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-16));

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test087"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2Reciprocal();
    boolean b19 = dfp4.unequal(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField20 = dfp4.getField();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp4.newInstance("1.884169385363720109902159116925401334697265056454741386092606479802878205484684602244776733382183");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test088"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    boolean b12 = dfp11.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp6.nextAfter(dfp11);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp22 = org.apache.commons.math3.dfp.Dfp.copysign(dfp14, dfp21);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp14.power10(10000);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp14.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test089"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-8322921849960486353L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 8322921849960486353L);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test090"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.020687957244708476d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.469446951953614E-18d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test091"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister((-5));

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test092"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(47736148);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 47736148);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test093"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp((byte)(-1));
    java.lang.Class clazz9 = dfpField3.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField3.getSqr2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test094"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array13 = dfpField12.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField12.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField12.newDfp();
    boolean b16 = dfp10.equals((java.lang.Object)dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test095"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.8434375525142134d, 0.4188520513081068d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9417133034401581d);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test096"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh((-0.7615941559557649d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8373830985134536d));

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test097"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(20.000002f, 7.629395E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 20.000002f);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test098"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.9389941379013969d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.4039531885173897d);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test099"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    dfpField3.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField3.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField3.getPi();
    double[] d_array11 = dfp10.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test100"); }


    double d2 = org.apache.commons.math3.util.FastMath.log((-1.7454888428548676d), 0.9841891471220509d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test101"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(32760);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp6.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField14 = dfp13.getField();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField23 = dfp22.getField();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField23.getE();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.abs();
    boolean b27 = dfp19.lessThan(dfp25);
    boolean b28 = dfp19.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp19.getOne();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp13.subtract(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp7.newInstance(dfp32);
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField35.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField37 = dfp36.getField();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField37.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField37.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp7.nextAfter(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test102"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(0);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test103"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb((-0.9999999999999999d), 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-15.999999999999998d));

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test104"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    int i3 = dfp2.intValue();
    boolean b4 = dfp2.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp2.sqrt();
    boolean b6 = dfp2.isNaN();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp2.getTwo();
    int i8 = dfp2.classify();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test105"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.22744338216745d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test106"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getLn5();
    boolean b8 = dfp7.isNaN();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp7.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test107"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(7.629395E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.629395E-6f);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test108"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.16298077583736445d, 41347.80639689489d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test109"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.04499701751654114d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test110"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp((byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test111"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getE();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.abs();
    boolean b15 = dfp7.lessThan(dfp13);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getZero();
    boolean b19 = dfp7.greaterThan(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp2.nextAfter(dfp18);
    int i21 = dfp2.log10K();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp2.newInstance((byte)(-1), (byte)1);
    boolean b25 = dfp2.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test112"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    dfpField3.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp(0L);
    java.lang.String str9 = dfp8.toString();
    boolean b10 = dfp8.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "0."+ "'", str9.equals("0."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test113"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b8 = dfp5.lessThan(dfp7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test114"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test115"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f2 = mersenneTwister1.nextFloat();
    byte[] byte_array5 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister1.nextBytes(byte_array5);
    int i8 = mersenneTwister1.nextInt(1);
    mersenneTwister1.setSeed(0L);
    byte[] byte_array11 = new byte[] {  };
    mersenneTwister1.nextBytes(byte_array11);
    int[] i_array15 = new int[] { 1, 10 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister16 = new org.apache.commons.math3.random.MersenneTwister(i_array15);
    mersenneTwister1.setSeed(i_array15);
    boolean b18 = mersenneTwister1.nextBoolean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test116"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(1.543185248614888d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02693366355653706d);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test117"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.124094486f, (-15.999998f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.124094486f);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test118"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test119"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.42398743697967656d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test120"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.8772835778526362E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000000176209682d);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test121"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(89.99999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test122"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.9999500037496876d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test123"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance((byte)1, (byte)0);
    int i8 = dfp4.log10();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp4.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField13 = dfp12.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array15 = dfpField13.getLn2Split();
    dfpField13.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField13.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField13.getZero();
    boolean b19 = dfp9.equals((java.lang.Object)dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField31 = dfp30.getField();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField31.getE();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.abs();
    boolean b35 = dfp27.lessThan(dfp33);
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getZero();
    boolean b39 = dfp27.greaterThan(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp22.nextAfter(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp18.multiply(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp41.rint();
    int i43 = dfp42.intValue();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp42.newInstance((byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test124"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField16 = dfp15.getField();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField21 = dfp20.getField();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField21.getE();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp23.abs();
    boolean b25 = dfp17.lessThan(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getZero();
    boolean b29 = dfp17.greaterThan(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp10.multiply(dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField32.newDfp(0);
    boolean b35 = dfp30.unequal(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp30.power10((-4));
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp37.divide(25);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp37.newInstance(0.0d);
    boolean b42 = dfp37.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test125"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(25, 32793);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 32793);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test126"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-16), (-16));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-16));

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test127"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.8665920902557962d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 49.652069331077236d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test128"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getLn5();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test129"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.41078129050290885d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5079955075497457d);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test130"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField3.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.getLn5();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test131"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.13485521404988454d, (java.lang.Number)0.7125261229939746d, true);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test132"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-2395786888487018178L), 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-2395786888487018178L));

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test133"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(16);
    int i9 = dfp5.classify();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp5.ceil();
    int i11 = dfp10.classify();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.newInstance();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test134"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(number0);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = notStrictlyPositiveException1.getContext();
    java.lang.Number number3 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test135"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp(0.6041473911933937d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test136"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum((-0.2874217652586125d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test137"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField2.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField2.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField2.getE();
    dfpField2.setIEEEFlagsBits(1024);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField2.getSqr2Split();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test138"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp6.getTwo();
    double d8 = dfp6.toDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test139"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos((-1.3468162710920835d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test140"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.0000000000000002d, 839849605);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test141"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.6420926159343306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test142"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    dfpField3.clearIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getOne();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.abs();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.power10K(8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test143"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = dfpField3.getRoundingMode();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test144"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.8605382580390188d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.927652013439856d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test145"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0L);
    double d2 = mersenneTwister1.nextDouble();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister(0L);
    boolean b5 = mersenneTwister4.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister7 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f8 = mersenneTwister7.nextFloat();
    byte[] byte_array11 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister7.nextBytes(byte_array11);
    mersenneTwister4.nextBytes(byte_array11);
    mersenneTwister1.nextBytes(byte_array11);
    mersenneTwister1.setSeed(100L);
    mersenneTwister1.setSeed(0L);
    boolean b19 = mersenneTwister1.nextBoolean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.15071724896777527d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f8 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test146"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test147"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-0.3058664272904282d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.3058664272904282d));

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test148"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    int i3 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(580322300536297111L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getE();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField13 = dfp12.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp14.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField20 = dfp19.getField();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getLn2();
    boolean b22 = dfp21.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp21.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp16.nextAfter(dfp21);
    java.lang.String str25 = dfp16.toString();
    boolean b26 = dfp9.unequal(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField1.newDfp(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "0."+ "'", str25.equals("0."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test149"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.2202074798429958d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test150"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getZero();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.newInstance(10);
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField14 = dfp13.getField();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField19 = dfp18.getField();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.getE();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.abs();
    boolean b23 = dfp15.lessThan(dfp21);
    boolean b24 = dfp15.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp15.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp15.floor();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp27.newInstance(1.8774598095898436E-4d);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp27.getOne();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp10.divide(dfp30);
    boolean b32 = dfp10.strictlyPositive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test151"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.0017078881415865557d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-6.372497676634762d));

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test152"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.013373221405912078d, 49.652069331077236d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.9050965781417827d));

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test153"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f2 = mersenneTwister1.nextFloat();
    byte[] byte_array5 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister1.nextBytes(byte_array5);
    int i8 = mersenneTwister1.nextInt(1);
    double d9 = mersenneTwister1.nextGaussian();
    mersenneTwister1.setSeed(0L);
    mersenneTwister1.setSeed((-17));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.09254824092588047d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test154"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)11.791006851082619d);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test155"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0.001706432187949801d);
    org.apache.commons.math3.dfp.Dfp dfp7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp8 = dfp4.nextAfter(dfp7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test156"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2Reciprocal();
    boolean b19 = dfp4.unequal(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField20 = dfp4.getField();
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField20.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField20.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp22.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField27 = dfp26.getField();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField32 = dfp31.getField();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField32.getE();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp34.abs();
    boolean b36 = dfp28.lessThan(dfp34);
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField38.getZero();
    boolean b40 = dfp28.greaterThan(dfp39);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp39.newInstance((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp43.newInstance(1L);
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getE();
    org.apache.commons.math3.dfp.Dfp dfp49 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp23, dfp45, dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp23.multiply((-32767));
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp23.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test157"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.017968472410822136d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.469446951953614E-18d);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test158"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.36343257420573716d);
    java.lang.Throwable[] throwable_array2 = notStrictlyPositiveException1.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test159"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(16);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.floor();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp8.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.newDfp(10L);
    java.lang.Class clazz13 = dfpField10.getRuntimeClass();
    java.lang.Class clazz14 = dfpField10.getRuntimeClass();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz14);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test160"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)2980.9579870417265d);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    java.lang.Number number3 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test161"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    boolean b19 = dfp18.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp13.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp21, dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp5, dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp5.multiply(10000);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.rint();
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField35.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField37 = dfp36.getField();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array39 = dfpField37.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode40 = dfpField37.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField37.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp42.newInstance(2);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp44.negate();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp32.subtract(dfp44);
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField48.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField50 = dfp49.getField();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField55 = dfp54.getField();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField55.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField55.getE();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp57.abs();
    boolean b59 = dfp51.lessThan(dfp57);
    boolean b60 = dfp51.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp51.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField64 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField64.getSqr2Reciprocal();
    boolean b66 = dfp51.unequal(dfp65);
    org.apache.commons.math3.dfp.DfpField dfpField67 = dfp51.getField();
    org.apache.commons.math3.dfp.Dfp[] dfp_array68 = dfpField67.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfpField67.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp69.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField72 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp73 = dfpField72.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField74 = dfp73.getField();
    org.apache.commons.math3.dfp.Dfp dfp75 = dfpField74.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField77 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp78 = dfpField77.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField79 = dfp78.getField();
    org.apache.commons.math3.dfp.Dfp dfp80 = dfpField79.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp81 = dfpField79.getE();
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp81.abs();
    boolean b83 = dfp75.lessThan(dfp81);
    org.apache.commons.math3.dfp.DfpField dfpField85 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp86 = dfpField85.getZero();
    boolean b87 = dfp75.greaterThan(dfp86);
    org.apache.commons.math3.dfp.Dfp dfp90 = dfp86.newInstance((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp92 = dfp90.newInstance(1L);
    org.apache.commons.math3.dfp.DfpField dfpField94 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp95 = dfpField94.getE();
    org.apache.commons.math3.dfp.Dfp dfp96 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp70, dfp92, dfp95);
    boolean b97 = dfp46.lessThan(dfp96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b97 == true);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test162"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-1937831252), 725161617);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 725161617);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test163"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-16.0f), 1.0855637282733122d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-15.999999f));

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test164"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)1.2202074798429958d, (java.lang.Number)0.7581936328087945d, true);
    java.lang.Throwable[] throwable_array4 = numberIsTooSmallException3.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test165"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.4E-45f, 1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test166"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(16);
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField10.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.divide(4);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp12.newInstance(2);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp5.divide(dfp12);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField21 = dfp20.getField();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField26.getE();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.abs();
    boolean b30 = dfp22.lessThan(dfp28);
    boolean b31 = dfp22.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp22.newInstance(1.0d);
    boolean b34 = dfp33.negativeOrNull();
    org.apache.commons.math3.dfp.Dfp dfp35 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp12, dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test167"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.0995739600190667d, 0.05441529794069167d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0995739600190667d);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test168"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test169"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getLn2();
    boolean b8 = dfp7.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test170"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.power10K((-1));
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test171"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp((-15.999999999999998d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-15.999999999999996d));

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test172"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.getZero();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getZero();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField3.getLn5();
    int i10 = dfpField3.getIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 16);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test173"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    boolean b12 = dfp11.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp6.nextAfter(dfp11);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp22 = org.apache.commons.math3.dfp.Dfp.copysign(dfp14, dfp21);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField29 = dfp28.getField();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField34 = dfp33.getField();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField34.getE();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.abs();
    boolean b38 = dfp30.lessThan(dfp36);
    org.apache.commons.math3.dfp.DfpField dfpField40 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getZero();
    boolean b42 = dfp30.greaterThan(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp25.nextAfter(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp44 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp21, dfp43);
    int i45 = dfp21.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test174"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(10L);
    int i2 = mersenneTwister1.nextInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1841834327));

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test175"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(1.0121198655370807d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.017664824078464345d);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test176"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getLn2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test177"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(20.0f, (-5));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.625f);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test178"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test179"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField2.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField2.getLn5();
    java.lang.Class clazz5 = dfpField2.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField2.getLn2Split();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])dfp_array6);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str8 = mathIllegalArgumentException7.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test180"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.newInstance(2);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp8.getZero();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp8.newInstance((byte)2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test181"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(70.60856494186339d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 70.0d);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test182"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)3.141592653589793d, (java.lang.Number)Double.NaN, true);
    java.lang.Throwable[] throwable_array5 = numberIsTooSmallException4.getSuppressed();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = numberIsTooSmallException4.getContext();
    java.lang.Number number8 = numberIsTooSmallException4.getArgument();
    java.lang.Throwable[] throwable_array9 = numberIsTooSmallException4.getSuppressed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext10 = numberIsTooSmallException4.getContext();
    java.lang.Number number11 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 3.141592653589793d+ "'", number8.equals(3.141592653589793d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number11, Double.NaN, 0);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test183"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.1240944887001123d, 1.6893643995071923d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.6893643995071923d);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test184"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.5398195057389559d, (java.lang.Number)0.6027633824638368d, false);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test185"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp((byte)(-1));
    java.lang.Class clazz9 = dfpField3.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField3.newDfp();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test186"); }


    int[] i_array2 = new int[] { 1, 10 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister3 = new org.apache.commons.math3.random.MersenneTwister(i_array2);
    long long4 = mersenneTwister3.nextLong();
    int i5 = mersenneTwister3.nextInt();
    double d6 = mersenneTwister3.nextGaussian();
    double d7 = mersenneTwister3.nextDouble();
    float f8 = mersenneTwister3.nextFloat();
    mersenneTwister3.setSeed(8322921849960486353L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == (-2015080886171156972L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 725161617);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-0.6603601810079769d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.43119202725154104d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f8 == 0.49023235f);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test187"); }


    int[] i_array2 = new int[] { 1, 10 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister3 = new org.apache.commons.math3.random.MersenneTwister(i_array2);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister(i_array2);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister6 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f7 = mersenneTwister6.nextFloat();
    byte[] byte_array10 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister6.nextBytes(byte_array10);
    int i13 = mersenneTwister6.nextInt(1);
    mersenneTwister6.setSeed(0L);
    byte[] byte_array16 = new byte[] {  };
    mersenneTwister6.nextBytes(byte_array16);
    int[] i_array20 = new int[] { 1, 10 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister21 = new org.apache.commons.math3.random.MersenneTwister(i_array20);
    mersenneTwister6.setSeed(i_array20);
    mersenneTwister4.setSeed(i_array20);
    long long24 = mersenneTwister4.nextLong();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f7 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == (-2015080886171156972L));

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test188"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(7.629395E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-17));

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test189"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test190"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    int i3 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField9 = dfp8.getField();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField12 = dfp11.getField();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode13 = dfpField12.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField12.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField12.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.negate();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.getOne();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp5.divide(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test191"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp4.floor();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp16.newInstance(1.8774598095898436E-4d);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp18.reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField23 = dfp22.getField();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getSqr3();
    boolean b25 = dfp19.equals((java.lang.Object)dfp24);
    boolean b26 = dfp24.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test192"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(1.5607966601082315d, 0.03972932410179319d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5453473059118723d);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test193"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-0.936930396265318d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test194"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.newInstance(2);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp8.getZero();
    boolean b13 = dfp8.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test195"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test196"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn5();
    java.lang.Class clazz4 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField12 = dfp11.getField();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField12.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField12.newDfp(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp16.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField20.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField20.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp22.divide(4);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.newInstance(2);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp5.dotrap(0, "1.884169385363720109902159116925401334697265056454741386092606479802878205484684602244776733382183", dfp16, dfp26);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp16.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test197"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.971584308461297d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test198"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister((-4));

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test199"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(1.0855916649320245d, 721.6553601029892d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0855916649320247d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test200"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(0, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test201"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(0.8734294f, 0.78593016f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8734294f);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test202"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(3.4039531885173897d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9657804386544396d));

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test203"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0d, (-0.3391769956012298d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-4.9E-324d));

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test204"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    boolean b12 = dfp11.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp6.nextAfter(dfp11);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp22 = org.apache.commons.math3.dfp.Dfp.copysign(dfp14, dfp21);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField29 = dfp28.getField();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField34 = dfp33.getField();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField34.getE();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.abs();
    boolean b38 = dfp30.lessThan(dfp36);
    org.apache.commons.math3.dfp.DfpField dfpField40 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getZero();
    boolean b42 = dfp30.greaterThan(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp25.nextAfter(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp44 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp21, dfp43);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp44.sqrt();
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField49 = dfp48.getField();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField49.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array51 = dfpField49.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode52 = dfpField49.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField49.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp54.newInstance(2);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp54.power10K((-1023));
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp44.newInstance(dfp58);
    int i60 = dfp58.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == (-4092));

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test205"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    int i4 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_EVEN;
    dfpField1.setRoundingMode(roundingMode5);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(1.036325411673969d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.getPi();
    double d12 = dfp11.toDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 3.141592653589793d);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test206"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(16);
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField10.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.divide(4);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp12.newInstance(2);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp5.divide(dfp12);
    boolean b18 = dfp12.strictlyPositive();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp12.newInstance(8);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test207"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.024030716009390794d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02374652227036264d);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test208"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(2.267909768656307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.777830702533747d);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test209"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField16 = dfp15.getField();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField21 = dfp20.getField();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField21.getE();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp23.abs();
    boolean b25 = dfp17.lessThan(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getZero();
    boolean b29 = dfp17.greaterThan(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp10.multiply(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp10.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp31.newInstance(580322300536297111L);
    int i34 = dfp33.intValue();
    boolean b35 = dfp33.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test210"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    boolean b12 = dfp11.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp6.nextAfter(dfp11);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp22 = org.apache.commons.math3.dfp.Dfp.copysign(dfp14, dfp21);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField31 = dfp30.getField();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField31.getE();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.abs();
    boolean b35 = dfp27.lessThan(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp14.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.negate();
    boolean b39 = dfp37.isZero();
    boolean b40 = dfp37.positiveOrNull();
    boolean b41 = dfp37.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test211"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(7.53114507085E-312d, 0.35587322589462245d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.531145070854E-312d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test212"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = dfpField6.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField6.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField6.newDfp((-580322300536297111L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test213"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(-1.0f));
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException7 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable3, (java.lang.Number)3.141592653589793d, (java.lang.Number)Double.NaN, true);
    java.lang.Throwable[] throwable_array8 = numberIsTooSmallException7.getSuppressed();
    java.lang.Number number9 = numberIsTooSmallException7.getMin();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext10 = numberIsTooSmallException7.getContext();
    java.lang.Number number11 = numberIsTooSmallException7.getArgument();
    java.lang.Throwable[] throwable_array12 = numberIsTooSmallException7.getSuppressed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext13 = numberIsTooSmallException7.getContext();
    notStrictlyPositiveException2.addSuppressed((java.lang.Throwable)numberIsTooSmallException7);
    boolean b15 = numberIsTooSmallException7.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext16 = numberIsTooSmallException7.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 3.141592653589793d+ "'", number11.equals(3.141592653589793d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext16);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test214"); }


    int[] i_array2 = new int[] { 1, 10 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister3 = new org.apache.commons.math3.random.MersenneTwister(i_array2);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister(i_array2);
    long long5 = mersenneTwister4.nextLong();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == (-2015080886171156972L));

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test215"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.58515181084917d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test216"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(10000);
    double d2 = mersenneTwister1.nextGaussian();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister(0L);
    double d5 = mersenneTwister4.nextDouble();
    int i6 = mersenneTwister4.nextInt();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister8 = new org.apache.commons.math3.random.MersenneTwister(0L);
    double d9 = mersenneTwister8.nextDouble();
    int i10 = mersenneTwister8.nextInt();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister12 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f13 = mersenneTwister12.nextFloat();
    byte[] byte_array16 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister12.nextBytes(byte_array16);
    int i19 = mersenneTwister12.nextInt(1);
    mersenneTwister12.setSeed(0L);
    byte[] byte_array22 = new byte[] {  };
    mersenneTwister12.nextBytes(byte_array22);
    mersenneTwister8.nextBytes(byte_array22);
    mersenneTwister4.nextBytes(byte_array22);
    mersenneTwister1.nextBytes(byte_array22);
    mersenneTwister1.setSeed((-2015080886171156972L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.8006504389082143d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.15071724896777527d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 839849605);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.15071724896777527d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 839849605);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f13 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array22);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test217"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(4);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp(0.0d);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((-1L));
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.getLn5();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test218"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-16.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4443055.260253993d);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test219"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)8322921849960486353L, true);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test220"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(16, (-3));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-3));

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test221"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(2980.957987041727d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test222"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance((byte)1, (byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getE();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.abs();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.divide(dfp14);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getZero();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField23 = dfp22.getField();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField28 = dfp27.getField();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getE();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp30.abs();
    boolean b32 = dfp24.lessThan(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    boolean b36 = dfp24.greaterThan(dfp35);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp35.newInstance((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp39.newInstance(1L);
    org.apache.commons.math3.dfp.Dfp dfp42 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp14, dfp19, dfp41);
    org.apache.commons.math3.dfp.DfpField dfpField44 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField44.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField46 = dfp45.getField();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField46.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField49.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField51 = dfp50.getField();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField51.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField51.getE();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp53.abs();
    boolean b55 = dfp47.lessThan(dfp53);
    org.apache.commons.math3.dfp.DfpField dfpField57 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField57.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField59 = dfp58.getField();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField59.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField62.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField64 = dfp63.getField();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField64.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField64.getE();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp66.abs();
    boolean b68 = dfp60.lessThan(dfp66);
    org.apache.commons.math3.dfp.DfpField dfpField70 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfpField70.getZero();
    boolean b72 = dfp60.greaterThan(dfp71);
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp53.multiply(dfp71);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp42.remainder(dfp53);
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp42.newInstance();
    double[] d_array76 = dfp42.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test223"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.185039863261519d));

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test224"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(16);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.floor();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp8.getField();
    int i11 = dfpField10.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 25);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test225"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    dfpField3.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getZero();
    dfpField3.setIEEEFlagsBits(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField3.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField3.getLn5();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test226"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(1.0000000176209682d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test227"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-1), 839849605);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test228"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0L);
    double d2 = mersenneTwister1.nextDouble();
    int i3 = mersenneTwister1.nextInt();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister5 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f6 = mersenneTwister5.nextFloat();
    byte[] byte_array9 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister5.nextBytes(byte_array9);
    int i12 = mersenneTwister5.nextInt(1);
    mersenneTwister5.setSeed(0L);
    byte[] byte_array15 = new byte[] {  };
    mersenneTwister5.nextBytes(byte_array15);
    mersenneTwister1.nextBytes(byte_array15);
    double d18 = mersenneTwister1.nextDouble();
    int i20 = mersenneTwister1.nextInt(2);
    float f21 = mersenneTwister1.nextFloat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.15071724896777527d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 839849605);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.1653253813890907d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f21 == 0.66817176f);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test229"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(32793);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test230"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(960.1282306131203d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 960.1282306131202d);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test231"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    boolean b19 = dfp18.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp13.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp21, dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField41 = dfp40.getField();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField41.getE();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.abs();
    boolean b45 = dfp37.lessThan(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getZero();
    boolean b49 = dfp37.greaterThan(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp32.nextAfter(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp28, dfp50);
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField55 = dfp54.getField();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField55.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array57 = dfpField55.getLn2Split();
    dfpField55.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField55.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp60 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp5, dfp50, dfp59);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp59.ceil();
    int i62 = dfp61.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == (-4));

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test232"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    int i4 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_EVEN;
    dfpField1.setRoundingMode(roundingMode5);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(1.036325411673969d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField14 = dfp13.getField();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField19 = dfp18.getField();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.getE();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.abs();
    boolean b23 = dfp15.lessThan(dfp21);
    boolean b24 = dfp15.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp15.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getSqr2Reciprocal();
    boolean b30 = dfp15.unequal(dfp29);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField1.newDfp(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test233"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(32768);
    mersenneTwister1.setSeed(10L);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test234"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField17.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField17.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField32 = dfp31.getField();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getLn2();
    boolean b34 = dfp33.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp33.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp28.nextAfter(dfp33);
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField38.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField40 = dfp39.getField();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp41.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp44 = org.apache.commons.math3.dfp.Dfp.copysign(dfp36, dfp43);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp36.power10(10000);
    boolean b47 = dfp21.unequal(dfp46);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp46.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp49 = new org.apache.commons.math3.dfp.Dfp(dfp46);
    boolean b50 = dfp4.unequal(dfp46);
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField52.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField54 = dfp53.getField();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField54.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array56 = dfpField54.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode57 = dfpField54.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField54.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp59.newInstance(2);
    java.lang.String str62 = dfp61.toString();
    org.apache.commons.math3.dfp.Dfp dfp63 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp4, dfp61);
    int i64 = dfp4.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "2."+ "'", str62.equals("2."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == (-1));

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test235"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp((byte)10, (byte)(-1));
    int i9 = dfpField3.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField3.newDfp("1.884169385363720109902159116925401334697265056454741386092606479802878205484684602244776733382183");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test236"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField17.getLn2Split();
    dfpField17.clearIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode21 = dfpField17.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.Dfp[] dfp_array25 = dfpField23.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField23.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField23.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField23.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode29 = dfpField23.getRoundingMode();
    dfpField17.setRoundingMode(roundingMode29);
    dfpField11.setRoundingMode(roundingMode29);
    dfpField1.setRoundingMode(roundingMode29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode29);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test237"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(10000);
    int i2 = mersenneTwister1.nextInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1952190836));

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test238"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getZero();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.newInstance(10);
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField14 = dfp13.getField();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField19 = dfp18.getField();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.getE();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.abs();
    boolean b23 = dfp15.lessThan(dfp21);
    boolean b24 = dfp15.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp15.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp15.floor();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp27.newInstance(1.8774598095898436E-4d);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp27.getOne();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp10.divide(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp32 = new org.apache.commons.math3.dfp.Dfp(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test239"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.43119202725154104d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4311920272515411d);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test240"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField3.newDfp(8);
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getZero();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField12.getE();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField12.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField12.newDfp((-32793));
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField12.getOne();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.subtract(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test241"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test242"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f2 = mersenneTwister1.nextFloat();
    byte[] byte_array5 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister1.nextBytes(byte_array5);
    int i8 = mersenneTwister1.nextInt(1);
    double d9 = mersenneTwister1.nextGaussian();
    mersenneTwister1.setSeed(0L);
    mersenneTwister1.clear();
    double d13 = mersenneTwister1.nextGaussian();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.09254824092588047d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0553194731804223d);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test243"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb((-2.185039863261519d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.185039863261519d));

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test244"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    boolean b20 = dfp19.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp14.nextAfter(dfp19);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp27.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp22, dfp29);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp22.power10(10000);
    boolean b33 = dfp7.unequal(dfp32);
    boolean b34 = dfp7.positiveOrNull();
    int i35 = dfp7.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 25);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test245"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.4E-45f, 0.49023235f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test246"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(1.5574077246549025d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9149994957367078d);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test247"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField3.newDfp(8);
    int i11 = dfpField3.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField3.getOne();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode13 = dfpField3.getRoundingMode();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode13);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test248"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(89L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 89L);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test249"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test250"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0L);
    double d2 = mersenneTwister1.nextDouble();
    mersenneTwister1.setSeed((-4));
    int i5 = mersenneTwister1.nextInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.15071724896777527d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-922155416));

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test251"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs((-16.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 16.0f);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test252"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    boolean b13 = dfp12.strictlyNegative();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField22 = dfp21.getField();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField22.getE();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp24.abs();
    boolean b26 = dfp18.lessThan(dfp24);
    org.apache.commons.math3.dfp.Dfp dfp27 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp12, dfp18);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp18.negate();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField1.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField1.getSqr2Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test253"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp4.newInstance((byte)3);
    double[] d_array9 = dfp8.toSplitDouble();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField13 = dfp12.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField18.getE();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.abs();
    boolean b22 = dfp14.lessThan(dfp20);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp14.ceil();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField29 = dfp28.getField();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp30.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getLn2();
    boolean b38 = dfp37.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp37.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp32.nextAfter(dfp37);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField44 = dfp43.getField();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField44.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp45.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp48 = org.apache.commons.math3.dfp.Dfp.copysign(dfp40, dfp47);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp40.power10(10000);
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField52.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField54 = dfp53.getField();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField54.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp55.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField59.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField61 = dfp60.getField();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfpField61.getLn2();
    boolean b63 = dfp62.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp62.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp57.nextAfter(dfp62);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp14.dotrap((-7), "-1.", dfp40, dfp65);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp8.divide(dfp14);
    double d68 = dfp67.toDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 4.328085122666891d);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test254"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    boolean b12 = dfp11.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp6.nextAfter(dfp11);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp22 = org.apache.commons.math3.dfp.Dfp.copysign(dfp14, dfp21);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField29 = dfp28.getField();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField34 = dfp33.getField();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField34.getE();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.abs();
    boolean b38 = dfp30.lessThan(dfp36);
    org.apache.commons.math3.dfp.DfpField dfpField40 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getZero();
    boolean b42 = dfp30.greaterThan(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp25.nextAfter(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp44 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp21, dfp43);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp44.negate();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp44.power10((-5));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test255"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(2L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test256"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(839849605, 338087802);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 839849605);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test257"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(4.025850779389001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6145947489450767d);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test258"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0f, 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test259"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test260"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.5403023058681398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.49321676688550387d);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test261"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f2 = mersenneTwister1.nextFloat();
    byte[] byte_array5 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister1.nextBytes(byte_array5);
    int i8 = mersenneTwister1.nextInt(1);
    mersenneTwister1.setSeed(0L);
    byte[] byte_array11 = new byte[] {  };
    mersenneTwister1.nextBytes(byte_array11);
    boolean b13 = mersenneTwister1.nextBoolean();
    double d14 = mersenneTwister1.nextGaussian();
    mersenneTwister1.setSeed(2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.6365903589914876d);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test262"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.7581936328087945d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6400117417993967d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test263"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    int i3 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(8322921849960486353L);
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField9 = dfp8.getField();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField14 = dfp13.getField();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.getE();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.abs();
    boolean b18 = dfp10.lessThan(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField22 = dfp21.getField();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField27 = dfp26.getField();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField27.getE();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp29.abs();
    boolean b31 = dfp23.lessThan(dfp29);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getZero();
    boolean b35 = dfp23.greaterThan(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp16.multiply(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp16.sqrt();
    boolean b38 = dfp5.equals((java.lang.Object)dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test264"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.0436041534378967d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-5));

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test265"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-1.3340575114981115d), 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.7040802115033878d));

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test266"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test267"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp((byte)10, (byte)(-1));
    boolean b9 = dfp8.strictlyNegative();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField13 = dfp12.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array15 = dfpField13.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode16 = dfpField13.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField13.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.newInstance(2);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp18.power10K((-1023));
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp8.newInstance(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test268"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-16L), 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test269"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(0.66817176f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test270"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test271"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField9 = dfp4.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField9);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test272"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f2 = mersenneTwister1.nextFloat();
    float f3 = mersenneTwister1.nextFloat();
    double d4 = mersenneTwister1.nextGaussian();
    int i5 = mersenneTwister1.nextInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 0.011114359f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.5191953774068153d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-2014959480));

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test273"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.getE();
    int i8 = dfpField3.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 25);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test274"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb((-15.999999f), (-1952190836));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.0f));

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test275"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)1);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.multiply(32768);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array13 = dfpField11.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode14 = dfpField11.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode15 = dfpField11.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField11.getZero();
    int i17 = dfp16.log10K();
    boolean b18 = dfp5.equals((java.lang.Object)i17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test276"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.017968472410822136d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.01780894752185294d);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test277"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(16);
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField12 = dfp11.getField();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getE();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.abs();
    boolean b21 = dfp13.lessThan(dfp19);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField30 = dfp29.getField();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField30.getE();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.abs();
    boolean b34 = dfp26.lessThan(dfp32);
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getZero();
    boolean b38 = dfp26.greaterThan(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp19.multiply(dfp37);
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField41.newDfp(0);
    boolean b44 = dfp39.unequal(dfp43);
    boolean b45 = dfp5.lessThan(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp43.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test278"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    boolean b19 = dfp18.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp13.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp21, dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp5, dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp5.getTwo();
    int i32 = dfp5.classify();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test279"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    dfpField1.setIEEEFlags(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(10L);
    dfpField1.setIEEEFlagsBits(266490893);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test280"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.5453473059118723d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2431199885416824d);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test281"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance((byte)1, (byte)0);
    int i8 = dfp4.log10();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp4.power10(32768);
    int i11 = dfp10.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp12 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b13 = dfp10.unequal(dfp12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 25);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test282"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    boolean b12 = dfp11.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp6.nextAfter(dfp11);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp22 = org.apache.commons.math3.dfp.Dfp.copysign(dfp14, dfp21);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField31 = dfp30.getField();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField31.getE();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.abs();
    boolean b35 = dfp27.lessThan(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp14.remainder(dfp36);
    boolean b38 = dfp14.positiveOrNull();
    org.apache.commons.math3.dfp.DfpField dfpField40 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField42 = dfp41.getField();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array44 = dfpField42.getLn2Split();
    dfpField42.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField42.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField42.getZero();
    dfpField42.setIEEEFlagsBits(0);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField42.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp14.divide(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test283"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.5042924971385871d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test284"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    boolean b12 = dfp11.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp6.nextAfter(dfp11);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp22 = org.apache.commons.math3.dfp.Dfp.copysign(dfp14, dfp21);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField31 = dfp30.getField();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField31.getE();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.abs();
    boolean b35 = dfp27.lessThan(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp14.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.negate();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp38.newInstance();
    boolean b40 = dfp38.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test285"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.036882332454459626d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.000680230328538d);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test286"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.009965466658366303d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.00991613884126781d);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test287"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(960.1282306131202d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.565475211164616d));

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test288"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.7162150489029074d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5401213130873803d);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test289"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.8257442387303356d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2835796614866122d);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test290"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp((byte)(-1));
    java.lang.String str9 = dfp8.toString();
    boolean b10 = dfp8.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp11 = new org.apache.commons.math3.dfp.Dfp(dfp8);
    int i12 = dfp8.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "-1."+ "'", str9.equals("-1."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 25);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test291"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(25600);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister3 = new org.apache.commons.math3.random.MersenneTwister(0L);
    double d4 = mersenneTwister3.nextDouble();
    int i5 = mersenneTwister3.nextInt();
    float f6 = mersenneTwister3.nextFloat();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister8 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f9 = mersenneTwister8.nextFloat();
    byte[] byte_array12 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister8.nextBytes(byte_array12);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister15 = new org.apache.commons.math3.random.MersenneTwister(0L);
    boolean b16 = mersenneTwister15.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister18 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f19 = mersenneTwister18.nextFloat();
    byte[] byte_array22 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister18.nextBytes(byte_array22);
    mersenneTwister15.nextBytes(byte_array22);
    mersenneTwister8.nextBytes(byte_array22);
    int[] i_array28 = new int[] { 1, 10 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister29 = new org.apache.commons.math3.random.MersenneTwister(i_array28);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister30 = new org.apache.commons.math3.random.MersenneTwister(i_array28);
    mersenneTwister8.setSeed(i_array28);
    mersenneTwister3.setSeed(i_array28);
    mersenneTwister1.setSeed(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.15071724896777527d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 839849605);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 0.124094486f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f9 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f19 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test292"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test293"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(byte)100, (java.lang.Number)1.5607966601082315d, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = numberIsTooSmallException4.getContext();
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException7 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)3.1622776601683795d);
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException12 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable8, (java.lang.Number)0.5403023058681398d, (java.lang.Number)1L, false);
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException17 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable13, (java.lang.Number)3.141592653589793d, (java.lang.Number)Double.NaN, true);
    java.lang.Throwable[] throwable_array18 = numberIsTooSmallException17.getSuppressed();
    java.lang.Number number19 = numberIsTooSmallException17.getMin();
    org.apache.commons.math3.exception.util.Localizable localizable20 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException24 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable20, (java.lang.Number)0.5403023058681398d, (java.lang.Number)1L, false);
    java.lang.Number number25 = numberIsTooSmallException24.getArgument();
    numberIsTooSmallException17.addSuppressed((java.lang.Throwable)numberIsTooSmallException24);
    numberIsTooSmallException12.addSuppressed((java.lang.Throwable)numberIsTooSmallException17);
    notStrictlyPositiveException7.addSuppressed((java.lang.Throwable)numberIsTooSmallException17);
    java.lang.String str29 = notStrictlyPositiveException7.toString();
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)notStrictlyPositiveException7);
    java.lang.String str31 = notStrictlyPositiveException7.toString();
    boolean b32 = notStrictlyPositiveException7.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + 0.5403023058681398d+ "'", number25.equals(0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math3.exception.NotStrictlyPositiveException: 3.162 is smaller than, or equal to, the minimum (0)"+ "'", str29.equals("org.apache.commons.math3.exception.NotStrictlyPositiveException: 3.162 is smaller than, or equal to, the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math3.exception.NotStrictlyPositiveException: 3.162 is smaller than, or equal to, the minimum (0)"+ "'", str31.equals("org.apache.commons.math3.exception.NotStrictlyPositiveException: 3.162 is smaller than, or equal to, the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test294"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField3.newDfp((byte)0, (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test295"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp();
    boolean b5 = dfp4.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test296"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt((-1.800650438908214d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2165869037221728d));

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test297"); }


    int[] i_array0 = null;
    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(i_array0);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test298"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.newInstance(2);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.negate();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.power10(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp11.power10K(338087802);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test299"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test300"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(1.220207479842996d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8397153675767924d);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test301"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(20.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 20);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test302"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp4.floor();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp4.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(100);
    dfpField19.setIEEEFlags(100);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField19.newDfp(32760);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField19.getSqr2Reciprocal();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister26 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f27 = mersenneTwister26.nextFloat();
    byte[] byte_array30 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister26.nextBytes(byte_array30);
    int i33 = mersenneTwister26.nextInt(1);
    mersenneTwister26.setSeed(0L);
    byte[] byte_array36 = new byte[] {  };
    mersenneTwister26.nextBytes(byte_array36);
    boolean b38 = dfp24.equals((java.lang.Object)byte_array36);
    boolean b39 = dfp4.lessThan(dfp24);
    java.lang.String str40 = dfp4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f27 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "0.6931471805599453094172321214581765680755001343602552541206800094933936219696947156058633269964186875"+ "'", str40.equals("0.6931471805599453094172321214581765680755001343602552541206800094933936219696947156058633269964186875"));

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test303"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    boolean b20 = dfp19.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp14.nextAfter(dfp19);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp27.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp22, dfp29);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp22.power10(10000);
    boolean b33 = dfp7.unequal(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField38 = dfp37.getField();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField38.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField38.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode41 = dfpField38.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode42 = dfpField38.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField38.getZero();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp43.newInstance(10);
    org.apache.commons.math3.dfp.DfpField dfpField46 = dfp45.getField();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField46.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField46.getTwo();
    boolean b49 = dfp32.greaterThan(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test304"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0);
    double d2 = mersenneTwister1.nextGaussian();
    double d3 = mersenneTwister1.nextDouble();
    mersenneTwister1.setSeed(10);
    float f6 = mersenneTwister1.nextFloat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.7805794640849414d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.6027633824638368d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 0.7713206f);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test305"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField3.newDfp("0.");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test306"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(70.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4010.7045659157625d);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test307"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(0.15071724896777527d);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.newDfp((byte)(-1), (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test308"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(1);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfp2.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test309"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.4659065448429041d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.43600279039460504d);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test310"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-6.059546439001158d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9750968811537128d);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test311"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test312"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp(100);
    dfpField3.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField3.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField3.newDfp((byte)100, (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test313"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    int i4 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_EVEN;
    dfpField1.setRoundingMode(roundingMode5);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getESplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test314"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    int i5 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getLn5Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test315"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.03440223192860908d, 7.726634610391706d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.03440223192860908d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test316"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(10.0f, 0.6972247958331285d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.999999f);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test317"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(32760);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp6.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField14 = dfp13.getField();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField23 = dfp22.getField();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField23.getE();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.abs();
    boolean b27 = dfp19.lessThan(dfp25);
    boolean b28 = dfp19.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp19.getOne();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp13.subtract(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp7.newInstance(dfp32);
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField35.getZero();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField35.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField35.newDfp(32760);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp40.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField45 = dfp44.getField();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField45.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField48 = dfp47.getField();
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField52 = dfp51.getField();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField52.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField55 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField55.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField57 = dfp56.getField();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField57.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField57.getE();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp59.abs();
    boolean b61 = dfp53.lessThan(dfp59);
    boolean b62 = dfp53.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp53.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp53.getOne();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp47.subtract(dfp65);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp41.newInstance(dfp66);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp32.multiply(dfp41);
    boolean b69 = dfp68.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test318"); }


    int[] i_array2 = new int[] { 1, 10 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister3 = new org.apache.commons.math3.random.MersenneTwister(i_array2);
    long long4 = mersenneTwister3.nextLong();
    mersenneTwister3.clear();
    mersenneTwister3.setSeed(1);
    int i8 = mersenneTwister3.nextInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == (-2015080886171156972L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1791095845);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test319"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(1.3347006188476986d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test320"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.0397188733386598d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test321"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.8703935071703467d, 10000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test322"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    java.lang.Class clazz4 = dfpField3.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getSqr2();
    boolean b6 = dfp5.isZero();
    double d7 = dfp5.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test323"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(839849605, 532981786);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 532981786);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test324"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(1.220207479842996d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test325"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.power10K((-1));
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.newInstance((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp10.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp13.multiply(0);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField19 = dfp18.getField();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField22 = dfp21.getField();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp27.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField33 = dfp32.getField();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getLn2();
    boolean b35 = dfp34.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp34.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp29.nextAfter(dfp34);
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField41 = dfp40.getField();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp42.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp45 = org.apache.commons.math3.dfp.Dfp.copysign(dfp37, dfp44);
    org.apache.commons.math3.dfp.Dfp dfp46 = org.apache.commons.math3.dfp.Dfp.copysign(dfp21, dfp44);
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField48.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField50 = dfp49.getField();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp51.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField55 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField55.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField57 = dfp56.getField();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField57.getLn2();
    boolean b59 = dfp58.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp58.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp53.nextAfter(dfp58);
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField63.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField65 = dfp64.getField();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField65.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp66.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp69 = org.apache.commons.math3.dfp.Dfp.copysign(dfp61, dfp68);
    org.apache.commons.math3.dfp.DfpField dfpField71 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp72 = dfpField71.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField74 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp75 = dfpField74.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField76 = dfp75.getField();
    org.apache.commons.math3.dfp.Dfp dfp77 = dfpField76.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField79 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp80 = dfpField79.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField81 = dfp80.getField();
    org.apache.commons.math3.dfp.Dfp dfp82 = dfpField81.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp83 = dfpField81.getE();
    org.apache.commons.math3.dfp.Dfp dfp84 = dfp83.abs();
    boolean b85 = dfp77.lessThan(dfp83);
    org.apache.commons.math3.dfp.DfpField dfpField87 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp88 = dfpField87.getZero();
    boolean b89 = dfp77.greaterThan(dfp88);
    org.apache.commons.math3.dfp.Dfp dfp90 = dfp72.nextAfter(dfp88);
    org.apache.commons.math3.dfp.Dfp dfp91 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp68, dfp90);
    org.apache.commons.math3.dfp.Dfp dfp92 = dfp91.negate();
    org.apache.commons.math3.dfp.Dfp dfp93 = dfp21.nextAfter(dfp92);
    org.apache.commons.math3.dfp.Dfp dfp94 = dfp21.abs();
    int i95 = dfp94.intValue();
    org.apache.commons.math3.dfp.Dfp dfp96 = dfp15.nextAfter(dfp94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i95 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp96);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test326"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    dfpField3.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getZero();
    dfpField3.setIEEEFlagsBits(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField3.getTwo();
    int i12 = dfpField3.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 25);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test327"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.33286857187713753d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test328"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    boolean b19 = dfp18.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp13.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp21, dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp5, dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField34 = dfp33.getField();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp35.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField41 = dfp40.getField();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getLn2();
    boolean b43 = dfp42.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp42.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp37.nextAfter(dfp42);
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField49 = dfp48.getField();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField49.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp50.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp53 = org.apache.commons.math3.dfp.Dfp.copysign(dfp45, dfp52);
    org.apache.commons.math3.dfp.DfpField dfpField55 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField55.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField58 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField58.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField60 = dfp59.getField();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField60.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField63.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField65 = dfp64.getField();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField65.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField65.getE();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp67.abs();
    boolean b69 = dfp61.lessThan(dfp67);
    org.apache.commons.math3.dfp.DfpField dfpField71 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp72 = dfpField71.getZero();
    boolean b73 = dfp61.greaterThan(dfp72);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp56.nextAfter(dfp72);
    org.apache.commons.math3.dfp.Dfp dfp75 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp52, dfp74);
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp75.negate();
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp5.nextAfter(dfp76);
    boolean b78 = dfp76.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test329"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.1261132854954694d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test330"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    java.lang.Class clazz4 = dfpField3.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField3.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp6.floor();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test331"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    dfpField3.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp(0L);
    java.lang.String str9 = dfp8.toString();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.newInstance();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException14 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)1.8184464592320668d, (java.lang.Number)0.9389941379013969d, true);
    java.lang.String str15 = numberIsTooSmallException14.toString();
    boolean b16 = dfp10.equals((java.lang.Object)numberIsTooSmallException14);
    java.lang.Number number17 = numberIsTooSmallException14.getMin();
    boolean b18 = numberIsTooSmallException14.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "0."+ "'", str9.equals("0."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooSmallException: 1.818 is smaller than the minimum (0.939)"+ "'", str15.equals("org.apache.commons.math3.exception.NumberIsTooSmallException: 1.818 is smaller than the minimum (0.939)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + 0.9389941379013969d+ "'", number17.equals(0.9389941379013969d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test332"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    boolean b19 = dfp18.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp13.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp21, dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField41 = dfp40.getField();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField41.getE();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.abs();
    boolean b45 = dfp37.lessThan(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getZero();
    boolean b49 = dfp37.greaterThan(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp32.nextAfter(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp28, dfp50);
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField55 = dfp54.getField();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField55.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array57 = dfpField55.getLn2Split();
    dfpField55.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField55.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp60 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp5, dfp50, dfp59);
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp5.multiply(32760);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp5.newInstance(10L);
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp64.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test333"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField8.getLn2Split();
    dfpField8.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField8.newDfp();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode13 = dfpField8.getRoundingMode();
    dfpField1.setRoundingMode(roundingMode13);
    org.apache.commons.math3.dfp.Dfp[] dfp_array15 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField1.newDfp("-0.7071067811865475244008443621048490392848359376884740365883398689953662392310535194251937671638207863");
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test334"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)10);
    java.lang.Number number3 = notStrictlyPositiveException2.getArgument();
    java.lang.Throwable[] throwable_array4 = notStrictlyPositiveException2.getSuppressed();
    java.lang.Number number5 = notStrictlyPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 10+ "'", number3.equals(10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0+ "'", number5.equals(0));

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test335"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1((-1.9665724694739952d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8600643310493338d));

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test336"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.27934310371786186d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.28299028130382636d);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test337"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)89.0d, number1, false);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException7 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)1.4142135623730951d, (java.lang.Number)(-16), true);
    numberIsTooSmallException3.addSuppressed((java.lang.Throwable)numberIsTooSmallException7);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test338"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    int i3 = dfp2.intValue();
    boolean b4 = dfp2.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp2.sqrt();
    boolean b6 = dfp2.isNaN();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp2.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp7.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test339"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(10L);
    int[] i_array4 = new int[] { 1, 10 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister5 = new org.apache.commons.math3.random.MersenneTwister(i_array4);
    mersenneTwister1.setSeed(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test340"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.6365903589914876d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4516289087799463d));

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test341"); }


    int[] i_array2 = new int[] { 1, 10 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister3 = new org.apache.commons.math3.random.MersenneTwister(i_array2);
    boolean b4 = mersenneTwister3.nextBoolean();
    int i6 = mersenneTwister3.nextInt(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 54);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test342"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-2.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9092974268256817d));

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test343"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test344"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(2.8188398840562523d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3171783918039669d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test345"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f2 = mersenneTwister1.nextFloat();
    byte[] byte_array5 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister1.nextBytes(byte_array5);
    int i8 = mersenneTwister1.nextInt(1);
    int i10 = mersenneTwister1.nextInt(1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 245);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test346"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(byte)100, (java.lang.Number)1.5607966601082315d, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = numberIsTooSmallException4.getContext();
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException10 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable6, (java.lang.Number)3.141592653589793d, (java.lang.Number)Double.NaN, true);
    java.lang.Throwable[] throwable_array11 = numberIsTooSmallException10.getSuppressed();
    java.lang.Number number12 = numberIsTooSmallException10.getMin();
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException17 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable13, (java.lang.Number)0.5403023058681398d, (java.lang.Number)1L, false);
    java.lang.Number number18 = numberIsTooSmallException17.getArgument();
    numberIsTooSmallException10.addSuppressed((java.lang.Throwable)numberIsTooSmallException17);
    org.apache.commons.math3.exception.util.Localizable localizable20 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException22 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable20, (java.lang.Number)10);
    java.lang.Number number23 = notStrictlyPositiveException22.getArgument();
    numberIsTooSmallException10.addSuppressed((java.lang.Throwable)notStrictlyPositiveException22);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)numberIsTooSmallException10);
    java.lang.Throwable[] throwable_array26 = numberIsTooSmallException4.getSuppressed();
    boolean b27 = numberIsTooSmallException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + 0.5403023058681398d+ "'", number18.equals(0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number23 + "' != '" + 10+ "'", number23.equals(10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test347"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getE();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.abs();
    boolean b15 = dfp7.lessThan(dfp13);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getZero();
    boolean b19 = dfp7.greaterThan(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp2.nextAfter(dfp18);
    boolean b21 = dfp18.isNaN();
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    boolean b27 = dfp26.strictlyNegative();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField31 = dfp30.getField();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField36.getE();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp38.abs();
    boolean b40 = dfp32.lessThan(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp41 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp26, dfp32);
    int i42 = dfp41.log10();
    boolean b43 = dfp18.lessThan(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test348"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(36.841361487904734d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.069708517540586d);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test349"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp6.newInstance("1.000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000e-131172");
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.newDfp(0);
    int i13 = dfpField10.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode14 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_EVEN;
    dfpField10.setRoundingMode(roundingMode14);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField10.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField10.newDfp(1.036325411673969d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField10.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField10.getPi();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp20.newInstance(100);
    int i23 = dfp20.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp6.nextAfter(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test350"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-127));

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test351"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(2.1132019882389192d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1356517747508812d);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test352"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    int i3 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.getTwo();
    double[] d_array7 = dfp5.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test353"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    int i3 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(580322300536297111L);
    double[] d_array7 = dfp6.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test354"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs((-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 4);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test355"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance((byte)1, (byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getE();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.abs();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.divide(dfp14);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getZero();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField23 = dfp22.getField();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField28 = dfp27.getField();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getE();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp30.abs();
    boolean b32 = dfp24.lessThan(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    boolean b36 = dfp24.greaterThan(dfp35);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp35.newInstance((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp39.newInstance(1L);
    org.apache.commons.math3.dfp.Dfp dfp42 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp14, dfp19, dfp41);
    org.apache.commons.math3.dfp.DfpField dfpField43 = dfp41.getField();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getZero();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp44.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test356"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2Reciprocal();
    boolean b19 = dfp4.unequal(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getZero();
    int i23 = dfpField21.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField21.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField21.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField29 = dfp28.getField();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp30.newInstance((byte)1, (byte)0);
    int i34 = dfp30.log10();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp30.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField39 = dfp38.getField();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array41 = dfpField39.getLn2Split();
    dfpField39.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField39.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField39.getZero();
    boolean b45 = dfp35.equals((java.lang.Object)dfp44);
    double d46 = dfp44.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField21.newDfp(dfp44);
    boolean b48 = dfp4.unequal(dfp44);
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField52 = dfp51.getField();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField52.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField52.getE();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp54.abs();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp54.newInstance(16);
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array60 = dfpField59.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField59.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp61.divide(4);
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp61.newInstance(2);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp54.divide(dfp61);
    org.apache.commons.math3.dfp.DfpField dfpField68 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp69 = dfpField68.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField70 = dfp69.getField();
    org.apache.commons.math3.dfp.Dfp dfp71 = dfpField70.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp71.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField75 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp76 = dfpField75.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField77 = dfp76.getField();
    org.apache.commons.math3.dfp.Dfp dfp78 = dfpField77.getLn2();
    boolean b79 = dfp78.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp80 = dfp78.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp81 = dfp73.nextAfter(dfp78);
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp78.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp83 = org.apache.commons.math3.dfp.Dfp.copysign(dfp66, dfp78);
    org.apache.commons.math3.dfp.Dfp dfp84 = dfp66.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp85 = dfp4.nextAfter(dfp84);
    org.apache.commons.math3.dfp.DfpField dfpField87 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp88 = dfpField87.getZero();
    int i89 = dfpField87.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array90 = dfpField87.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp91 = dfpField87.getE();
    org.apache.commons.math3.dfp.Dfp dfp92 = dfpField87.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp93 = dfpField87.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp94 = dfp4.nextAfter(dfp93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i89 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp94);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test357"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField3.newDfp(8);
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField14 = dfp13.getField();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.ceil();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField3.newDfp(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField21 = dfp20.getField();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp22.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp24.multiply(8);
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField32 = dfp31.getField();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField35.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField37 = dfp36.getField();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField37.getE();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp39.abs();
    boolean b41 = dfp33.lessThan(dfp39);
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField47 = dfp46.getField();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array49 = dfpField47.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode50 = dfpField47.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode51 = dfpField47.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField47.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField54.getZero();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp33.dotrap(25, "1.000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000e-131172", dfp52, dfp55);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp56.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp56.newInstance();
    double[] d_array59 = dfp56.toSplitDouble();
    org.apache.commons.math3.dfp.DfpField dfpField61 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp62 = dfpField61.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField63 = dfp62.getField();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField63.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array65 = dfpField63.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField63.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField69 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField69.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField71 = dfp70.getField();
    org.apache.commons.math3.dfp.Dfp dfp72 = dfpField71.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp72.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField76 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfpField76.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField78 = dfp77.getField();
    org.apache.commons.math3.dfp.Dfp dfp79 = dfpField78.getLn2();
    boolean b80 = dfp79.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp81 = dfp79.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp74.nextAfter(dfp79);
    org.apache.commons.math3.dfp.DfpField dfpField84 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp85 = dfpField84.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField86 = dfp85.getField();
    org.apache.commons.math3.dfp.Dfp dfp87 = dfpField86.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp89 = dfp87.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp90 = org.apache.commons.math3.dfp.Dfp.copysign(dfp82, dfp89);
    org.apache.commons.math3.dfp.Dfp dfp92 = dfp82.power10(10000);
    boolean b93 = dfp67.unequal(dfp92);
    boolean b94 = dfp67.strictlyPositive();
    org.apache.commons.math3.dfp.Dfp dfp96 = dfp67.newInstance((-2015080886171156972L));
    org.apache.commons.math3.dfp.Dfp dfp97 = dfp24.dotrap(16, "-1.", dfp56, dfp67);
    org.apache.commons.math3.dfp.Dfp dfp98 = dfpField3.newDfp(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b93 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b94 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp97);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp98);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test358"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.0d, 0.9640331872041475d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test359"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp((-0.08088739557226565d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9222975403843089d);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test360"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f2 = mersenneTwister1.nextFloat();
    byte[] byte_array5 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister1.nextBytes(byte_array5);
    int i8 = mersenneTwister1.nextInt(1);
    double d9 = mersenneTwister1.nextGaussian();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister11 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f12 = mersenneTwister11.nextFloat();
    byte[] byte_array15 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister11.nextBytes(byte_array15);
    int i18 = mersenneTwister11.nextInt(1);
    mersenneTwister11.setSeed(0L);
    byte[] byte_array21 = new byte[] {  };
    mersenneTwister11.nextBytes(byte_array21);
    int[] i_array25 = new int[] { 1, 10 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister26 = new org.apache.commons.math3.random.MersenneTwister(i_array25);
    mersenneTwister11.setSeed(i_array25);
    mersenneTwister1.setSeed(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.09254824092588047d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f12 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test361"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.22744338216745d, (java.lang.Number)0.6420926159343305d, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = numberIsTooSmallException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test362"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(16);
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField10.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.divide(4);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp12.newInstance(2);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp5.divide(dfp12);
    double[] d_array18 = dfp12.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test363"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    boolean b20 = dfp19.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp14.nextAfter(dfp19);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp27.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp22, dfp29);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp22.power10(10000);
    boolean b33 = dfp7.unequal(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.reciprocal();
    boolean b35 = dfp34.strictlyPositive();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField37.newDfp(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField37.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField37.newDfp(0.15071724896777527d);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField37.getZero();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp34.subtract(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp44.newInstance(1L);
    org.apache.commons.math3.dfp.Dfp dfp47 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b48 = dfp44.greaterThan(dfp47);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test364"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.33286857187713753d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5769476335657661d);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test365"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.28299028130382636d, (-17));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.0887388534492006E9d);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test366"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2147483647);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test367"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.8665920902557962d, 2.501522260875372d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.501522260875372d);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test368"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2Reciprocal();
    boolean b19 = dfp4.unequal(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField20 = dfp4.getField();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField20.newDfp((byte)1, (byte)0);
    java.lang.Class clazz24 = dfpField20.getRuntimeClass();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz24);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test369"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    int i6 = dfpField3.getIEEEFlags();
    int i7 = dfpField3.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 25);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test370"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0);
    double d2 = mersenneTwister1.nextGaussian();
    double d3 = mersenneTwister1.nextDouble();
    mersenneTwister1.setSeed(10);
    long long6 = mersenneTwister1.nextLong();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.7805794640849414d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.6027633824638368d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == (-4218389569722409859L));

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test371"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-4218389569722409859L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test372"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.5401213130873803d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4952271833618843d);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test373"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.66817176f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test374"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.0f);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test375"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField2.getZero();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField2.getSqr2Split();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException5 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])dfp_array4);
    java.lang.Throwable[] throwable_array6 = mathIllegalArgumentException5.getSuppressed();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException10 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)2.501522260875372d, (java.lang.Number)0.7350525871447158d, true);
    mathIllegalArgumentException5.addSuppressed((java.lang.Throwable)numberIsTooSmallException10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test376"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp(100);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.newDfp(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = new org.apache.commons.math3.dfp.Dfp(dfp11);
    org.apache.commons.math3.dfp.Dfp dfp13 = org.apache.commons.math3.dfp.Dfp.copysign(dfp7, dfp12);
    java.lang.String str14 = dfp7.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "100."+ "'", str14.equals("100."));

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test377"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.ceil();
    org.apache.commons.math3.dfp.Dfp dfp6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.add(dfp6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test378"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    dfpField3.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getZero();
    dfpField3.setIEEEFlagsBits(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField3.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance((-17));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test379"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.01111436f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.011114361f);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test380"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp((byte)(-1));
    java.lang.String str9 = dfp8.toString();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.abs();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.rint();
    boolean b12 = dfp11.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "-1."+ "'", str9.equals("-1."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test381"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(25, 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2147483647);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test382"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp6 = new org.apache.commons.math3.dfp.Dfp(dfp5);
    boolean b7 = dfp5.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test383"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(16);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.floor();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp8.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.newDfp(10L);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField10.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test384"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = dfpField3.getRoundingMode();
    int i8 = dfpField3.getRadixDigits();
    int i9 = dfpField3.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField3.getLn10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test385"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.005231949122996081d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test386"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2Reciprocal();
    boolean b19 = dfp4.unequal(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getZero();
    int i23 = dfpField21.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField21.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField21.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField29 = dfp28.getField();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp30.newInstance((byte)1, (byte)0);
    int i34 = dfp30.log10();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp30.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField39 = dfp38.getField();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array41 = dfpField39.getLn2Split();
    dfpField39.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField39.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField39.getZero();
    boolean b45 = dfp35.equals((java.lang.Object)dfp44);
    double d46 = dfp44.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField21.newDfp(dfp44);
    boolean b48 = dfp4.unequal(dfp44);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp44.newInstance(8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test387"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getE();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.newDfp(0);
    int i11 = dfpField8.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode12 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_EVEN;
    dfpField8.setRoundingMode(roundingMode12);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField8.newDfp();
    int i15 = dfpField8.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField20 = dfp19.getField();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField20.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField20.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode24 = dfpField20.getRoundingMode();
    dfpField8.setRoundingMode(roundingMode24);
    dfpField1.setRoundingMode(roundingMode24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode24);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test388"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getZero();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.newInstance(10);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.floor();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp15.divide(4);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.newInstance(2);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp11.newInstance(dfp19);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField24 = dfp23.getField();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp25.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField31 = dfp30.getField();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getLn2();
    boolean b33 = dfp32.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp27.nextAfter(dfp32);
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField39 = dfp38.getField();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp40.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp43 = org.apache.commons.math3.dfp.Dfp.copysign(dfp35, dfp42);
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField48.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField50 = dfp49.getField();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField55 = dfp54.getField();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField55.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField55.getE();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp57.abs();
    boolean b59 = dfp51.lessThan(dfp57);
    org.apache.commons.math3.dfp.DfpField dfpField61 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp62 = dfpField61.getZero();
    boolean b63 = dfp51.greaterThan(dfp62);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp46.nextAfter(dfp62);
    org.apache.commons.math3.dfp.Dfp dfp65 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp42, dfp64);
    org.apache.commons.math3.dfp.DfpField dfpField67 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField67.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField69 = dfp68.getField();
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField69.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array71 = dfpField69.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode72 = dfpField69.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfpField69.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp74.power10K((-1));
    org.apache.commons.math3.dfp.Dfp dfp78 = dfp76.newInstance((byte)(-1));
    boolean b80 = dfp78.equals((java.lang.Object)0.6367243583584816d);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfp64.newInstance(dfp78);
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp20.remainder(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test389"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField6.newDfp("0.6931471805599453094172321214581765680755001343602552541206800094933936219696947156058633269964186875");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test390"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp4.ceil();
    int[] i_array17 = new int[] { 0, 10, (-1) };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister18 = new org.apache.commons.math3.random.MersenneTwister(i_array17);
    boolean b19 = dfp4.equals((java.lang.Object)i_array17);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister20 = new org.apache.commons.math3.random.MersenneTwister(i_array17);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister22 = new org.apache.commons.math3.random.MersenneTwister(0L);
    boolean b23 = mersenneTwister22.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister25 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f26 = mersenneTwister25.nextFloat();
    byte[] byte_array29 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister25.nextBytes(byte_array29);
    mersenneTwister22.nextBytes(byte_array29);
    mersenneTwister20.nextBytes(byte_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f26 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array29);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test391"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter((-4.1933440066166324E-4d), 0.5344709151209276d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-4.193344006616632E-4d));

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test392"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(9.999999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test393"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.009430054193516519d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000444632905399d);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test394"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    dfpField3.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField3.newDfp((byte)1);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test395"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10((-18.714973875118524d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test396"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.6019877059498201d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6459880631462073d);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test397"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.78729745478389d, (-7));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.01396326136549914d);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test398"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.019429039934516334d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test399"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfp3.newInstance();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test400"); }


    int[] i_array2 = new int[] { 1, 10 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister3 = new org.apache.commons.math3.random.MersenneTwister(i_array2);
    long long4 = mersenneTwister3.nextLong();
    int i5 = mersenneTwister3.nextInt();
    double d6 = mersenneTwister3.nextGaussian();
    double d7 = mersenneTwister3.nextDouble();
    int i9 = mersenneTwister3.nextInt(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == (-2015080886171156972L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 725161617);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-0.6603601810079769d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.43119202725154104d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 5);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test401"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getZero();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.newInstance(10);
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode12 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_ODD;
    dfpField11.setRoundingMode(roundingMode12);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField11.newDfp((-17));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test402"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.16266786606160577d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.1626678660616058d);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test403"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp10.reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField14 = dfp13.getField();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.newDfp((-5253828890213626688L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test404"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0L);
    boolean b2 = mersenneTwister1.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f5 = mersenneTwister4.nextFloat();
    byte[] byte_array8 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister4.nextBytes(byte_array8);
    mersenneTwister1.nextBytes(byte_array8);
    mersenneTwister1.clear();
    mersenneTwister1.clear();
    long long13 = mersenneTwister1.nextLong();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f5 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 3607126587566499866L);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test405"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.43600279039460504d, 1.7123962111148385d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.43600279039460504d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test406"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(0.8691945f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.8691945f);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test407"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2Reciprocal();
    boolean b19 = dfp4.unequal(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField20 = dfp4.getField();
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField20.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField20.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp22.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.newDfp(0);
    int i28 = dfpField25.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode29 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_EVEN;
    dfpField25.setRoundingMode(roundingMode29);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField25.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField38 = dfp37.getField();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField38.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField43 = dfp42.getField();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField43.getE();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp45.abs();
    boolean b47 = dfp39.lessThan(dfp45);
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField49.getZero();
    boolean b51 = dfp39.greaterThan(dfp50);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp34.nextAfter(dfp50);
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField54.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField56 = dfp55.getField();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField56.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField56.getE();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp58.abs();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp58.newInstance(16);
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp61.floor();
    org.apache.commons.math3.dfp.DfpField dfpField64 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField64.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField66 = dfp65.getField();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField66.getLn2();
    boolean b68 = dfp67.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp67.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp61.divide(dfp69);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp52.divide(dfp70);
    org.apache.commons.math3.dfp.Dfp dfp72 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp22, dfp31, dfp52);
    org.apache.commons.math3.dfp.DfpField dfpField74 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp75 = dfpField74.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField77 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp78 = dfpField77.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField79 = dfp78.getField();
    org.apache.commons.math3.dfp.Dfp dfp80 = dfpField79.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField82 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp83 = dfpField82.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField84 = dfp83.getField();
    org.apache.commons.math3.dfp.Dfp dfp85 = dfpField84.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp86 = dfpField84.getE();
    org.apache.commons.math3.dfp.Dfp dfp87 = dfp86.abs();
    boolean b88 = dfp80.lessThan(dfp86);
    org.apache.commons.math3.dfp.DfpField dfpField90 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp91 = dfpField90.getZero();
    boolean b92 = dfp80.greaterThan(dfp91);
    org.apache.commons.math3.dfp.Dfp dfp93 = dfp75.nextAfter(dfp91);
    org.apache.commons.math3.dfp.Dfp dfp95 = dfp91.newInstance(2);
    org.apache.commons.math3.dfp.Dfp dfp96 = dfp95.rint();
    boolean b97 = dfp22.unequal(dfp96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b88 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b97 == true);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test408"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test409"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test410"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-580322300536297111L), (-5253828890213626688L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-5253828890213626688L));

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test411"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.625f, (-0.03142727883642935d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.62499994f);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test412"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(16.06813073475708d, 266490893);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test413"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)1.2202074798429958d, (java.lang.Number)0.7581936328087945d, true);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = numberIsTooSmallException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test414"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfp2.rint();
    org.apache.commons.math3.dfp.Dfp dfp4 = new org.apache.commons.math3.dfp.Dfp(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test415"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(4.777830702533747d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7540283012571727d);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test416"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.001706432187949801d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0017064305316256175d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test417"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.8573520788711694d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7087468698324687d);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test418"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getSqr2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test419"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-4218389569722409859L), 580322300536297111L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-4218389569722409859L));

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test420"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField3.newDfp(8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField3.getLn5();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode12 = null;
    dfpField3.setRoundingMode(roundingMode12);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField3.getLn5();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test421"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.5403023058681398d, (java.lang.Number)1L, false);
    java.lang.Number number5 = numberIsTooSmallException4.getArgument();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    java.lang.Number number7 = numberIsTooSmallException4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.5403023058681398d+ "'", number5.equals(0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 1L+ "'", number6.equals(1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0.5403023058681398d+ "'", number7.equals(0.5403023058681398d));

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test422"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getE();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.abs();
    boolean b15 = dfp7.lessThan(dfp13);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getZero();
    boolean b19 = dfp7.greaterThan(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp2.nextAfter(dfp18);
    boolean b21 = dfp18.isNaN();
    org.apache.commons.math3.dfp.DfpField dfpField22 = dfp18.getField();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test423"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.0855916649320247d, 4.313381396503285d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4250930379444757d);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test424"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(70.0d, 1.5706085808128347d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 70.0d);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test425"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs((-7));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 7);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test426"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    dfpField3.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField3.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp9.multiply(32768);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.multiply((-32767));
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp9.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test427"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    double d13 = dfp10.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp10.newInstance(10);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField19 = dfp18.getField();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField19.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode22 = dfpField19.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField19.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp24.power10K((-1));
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance((byte)(-1));
    boolean b30 = dfp28.equals((java.lang.Object)0.6367243583584816d);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp15.subtract(dfp28);
    int i32 = dfp28.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test428"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)1);
    int i6 = dfpField1.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 25);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test429"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.1653253813890907d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test430"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField3.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField3.newDfp((byte)2, (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp9.power10K((-1023));
    int i12 = dfp11.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 25);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test431"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.4188520513081068d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test432"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)2.8E-45f, (java.lang.Number)3.4039531885173897d, false);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test433"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getSqr2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test434"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(0, 47736148);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test435"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.abs();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    boolean b19 = dfp18.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp13.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp21, dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField41 = dfp40.getField();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField41.getE();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.abs();
    boolean b45 = dfp37.lessThan(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getZero();
    boolean b49 = dfp37.greaterThan(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp32.nextAfter(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp28, dfp50);
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField55 = dfp54.getField();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField55.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array57 = dfpField55.getLn2Split();
    dfpField55.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField55.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp60 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp5, dfp50, dfp59);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp59.ceil();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp59.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test436"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(1);
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test437"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getPiSplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test438"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees((-0.7805794640849414d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-44.72390886665076d));

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test439"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    dfpField1.setIEEEFlags(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(32760);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp();
    boolean b9 = dfp8.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test440"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 10.0d);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test441"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.newInstance(2);
    boolean b11 = dfp8.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp8.power10K(725161617);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test442"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField3.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField8.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField8.getLn5Split();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField15 = dfp14.getField();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array17 = dfpField15.getLn2Split();
    dfpField15.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField15.newDfp();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode20 = dfpField15.getRoundingMode();
    dfpField8.setRoundingMode(roundingMode20);
    dfpField3.setRoundingMode(roundingMode20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode20);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test443"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField3.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.newDfp(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = new org.apache.commons.math3.dfp.Dfp(dfp10);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField3.newDfp(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test444"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f2 = mersenneTwister1.nextFloat();
    byte[] byte_array5 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister1.nextBytes(byte_array5);
    int i8 = mersenneTwister1.nextInt(1);
    mersenneTwister1.setSeed(0L);
    byte[] byte_array11 = new byte[] {  };
    mersenneTwister1.nextBytes(byte_array11);
    mersenneTwister1.setSeed((-2015080886171156972L));
    boolean b15 = mersenneTwister1.nextBoolean();
    double d16 = mersenneTwister1.nextGaussian();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.947378470534763d);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test445"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp(100);
    dfpField3.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField3.getOne();
    double[] d_array11 = dfp10.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test446"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(1);
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test447"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp4.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp4.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test448"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.power10K((-1));
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField16 = dfp15.getField();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField22 = dfp21.getField();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp23.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField29 = dfp28.getField();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getLn2();
    boolean b31 = dfp30.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp30.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp25.nextAfter(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField35.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField37 = dfp36.getField();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp38.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp41 = org.apache.commons.math3.dfp.Dfp.copysign(dfp33, dfp40);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp10.dotrap(10000, "", dfp17, dfp41);
    boolean b44 = dfp42.equals((java.lang.Object)0.7350525871447157d);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp42.abs();
    int i46 = dfp42.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == (-32793));

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test449"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(25600);
    int i3 = mersenneTwister1.nextInt(25600);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 22845);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test450"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp6.multiply(8);
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField14 = dfp13.getField();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField19 = dfp18.getField();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.getE();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.abs();
    boolean b23 = dfp15.lessThan(dfp21);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField29 = dfp28.getField();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array31 = dfpField29.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode32 = dfpField29.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode33 = dfpField29.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField29.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getZero();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp15.dotrap(25, "1.000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000e-131172", dfp34, dfp37);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp38.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp38.newInstance();
    double[] d_array41 = dfp38.toSplitDouble();
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField45 = dfp44.getField();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array47 = dfpField45.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField45.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField51 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField51.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField53 = dfp52.getField();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp54.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField58 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField58.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField60 = dfp59.getField();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField60.getLn2();
    boolean b62 = dfp61.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp61.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp56.nextAfter(dfp61);
    org.apache.commons.math3.dfp.DfpField dfpField66 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField66.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField68 = dfp67.getField();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfpField68.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp69.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp72 = org.apache.commons.math3.dfp.Dfp.copysign(dfp64, dfp71);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp64.power10(10000);
    boolean b75 = dfp49.unequal(dfp74);
    boolean b76 = dfp49.strictlyPositive();
    org.apache.commons.math3.dfp.Dfp dfp78 = dfp49.newInstance((-2015080886171156972L));
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp6.dotrap(16, "-1.", dfp38, dfp49);
    org.apache.commons.math3.dfp.DfpField dfpField81 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp82 = dfpField81.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField83 = dfp82.getField();
    org.apache.commons.math3.dfp.Dfp dfp84 = dfpField83.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array85 = dfpField83.getLn2Split();
    dfpField83.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp87 = dfpField83.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp89 = dfpField83.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp91 = dfp89.multiply(32768);
    org.apache.commons.math3.dfp.Dfp dfp92 = dfp6.newInstance(dfp91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp92);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test451"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.78729745478389d, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.1944321918769716d);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test452"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(32760);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr3Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test453"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(0L);
    int i7 = dfp6.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-4));

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test454"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance((byte)1, (byte)0);
    int i8 = dfp4.log10();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp4.getOne();
    double[] d_array10 = dfp4.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test455"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.newInstance(2);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp8.multiply(839849605);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp12.newInstance((byte)0, (byte)100);
    int i16 = dfp12.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 2);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test456"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-2015080886171156972L), 4416880500480903301L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-2015080886171156972L));

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test457"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.12409449f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.1240945f);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test458"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(2.085591664932024d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0855916649320245d);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test459"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister((-1023));
    float f2 = mersenneTwister1.nextFloat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.4025514f);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test460"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1.3927362622954829d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.556603241979971d);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test461"); }


    double d2 = org.apache.commons.math3.util.FastMath.log((-0.08088739557226565d), 66029.68354481232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test462"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn5();
    java.lang.Class clazz4 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField13 = dfp12.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getE();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.abs();
    boolean b17 = dfp9.lessThan(dfp15);
    boolean b18 = dfp9.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2Reciprocal();
    boolean b24 = dfp9.unequal(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getOne();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField1.newDfp(dfp26);
    int i28 = dfpField1.getIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 16);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test463"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.8030557105585454d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9324055011328936d);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test464"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test465"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.9971848088551236d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test466"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);
    float f2 = mersenneTwister1.nextFloat();
    byte[] byte_array5 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister1.nextBytes(byte_array5);
    int i8 = mersenneTwister1.nextInt(1);
    mersenneTwister1.setSeed(0L);
    byte[] byte_array11 = new byte[] {  };
    mersenneTwister1.nextBytes(byte_array11);
    mersenneTwister1.setSeed((-2015080886171156972L));
    double d15 = mersenneTwister1.nextDouble();
    mersenneTwister1.setSeed(10000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8734293f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.6191043710923247d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test467"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.getSqr2();
    double[] d_array8 = dfp7.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test468"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    int i5 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(2L);
    boolean b8 = dfp7.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test469"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    boolean b12 = dfp4.lessThan(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2Reciprocal();
    boolean b19 = dfp4.unequal(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField20 = dfp4.getField();
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField20.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField20.newDfp();
    dfpField20.setIEEEFlags((-1937831252));
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField20.newDfp((-580322300536297111L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test470"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp((-16.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-15.999999f));

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test471"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.power10K((-1));
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.newInstance((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp10.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp13.multiply(0);
    boolean b16 = dfp15.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test472"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.7581936328087945d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.2768164737077907d));

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test473"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.4107812905029089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5079955075497458d);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test474"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.011114359f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-7));

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test475"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    boolean b19 = dfp18.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp13.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp21, dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp5, dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp5.multiply(10000);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.rint();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp32.power10K(54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test476"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField3.newDfp(8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField3.getTwo();
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField3.getPiSplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test477"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.4311920272515411d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4613600331636457d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test478"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    dfpField3.clearIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = dfpField3.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getOne();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.abs();
    boolean b10 = dfp9.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test479"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.003412864375899602d);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test480"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    dfpField1.setIEEEFlags(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(32760);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField15 = dfp14.getField();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.abs();
    boolean b19 = dfp11.lessThan(dfp17);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp11.ceil();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp11.negate();
    boolean b22 = dfp6.greaterThan(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test481"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp((byte)1);
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField15 = dfp14.getField();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp16.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField22 = dfp21.getField();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getLn2();
    boolean b24 = dfp23.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp23.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp18.nextAfter(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField30 = dfp29.getField();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp31.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp34 = org.apache.commons.math3.dfp.Dfp.copysign(dfp26, dfp33);
    org.apache.commons.math3.dfp.Dfp dfp35 = org.apache.commons.math3.dfp.Dfp.copysign(dfp10, dfp33);
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField39 = dfp38.getField();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp40.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField44 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField44.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField46 = dfp45.getField();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField46.getLn2();
    boolean b48 = dfp47.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp47.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp42.nextAfter(dfp47);
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField52.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField54 = dfp53.getField();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField54.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp55.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp58 = org.apache.commons.math3.dfp.Dfp.copysign(dfp50, dfp57);
    org.apache.commons.math3.dfp.DfpField dfpField60 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField60.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField63.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField65 = dfp64.getField();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField65.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField68 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp69 = dfpField68.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField70 = dfp69.getField();
    org.apache.commons.math3.dfp.Dfp dfp71 = dfpField70.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp72 = dfpField70.getE();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp72.abs();
    boolean b74 = dfp66.lessThan(dfp72);
    org.apache.commons.math3.dfp.DfpField dfpField76 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfpField76.getZero();
    boolean b78 = dfp66.greaterThan(dfp77);
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp61.nextAfter(dfp77);
    org.apache.commons.math3.dfp.Dfp dfp80 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp57, dfp79);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfp80.negate();
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp10.nextAfter(dfp81);
    org.apache.commons.math3.dfp.Dfp dfp83 = dfp10.abs();
    org.apache.commons.math3.dfp.Dfp dfp84 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp85 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp4, dfp10, dfp84);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test482"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(32768);
    double d2 = mersenneTwister1.nextDouble();
    float f3 = mersenneTwister1.nextFloat();
    float f4 = mersenneTwister1.nextFloat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6062130431812267d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 0.78593016f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f4 == 0.3868066f);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test483"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(16.0f, 4.440892098500626E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 15.999999f);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test484"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField5.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField7 = dfp6.getField();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getE();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    boolean b11 = dfp3.unequal(dfp10);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp3.newInstance((-4));
    org.apache.commons.math3.dfp.Dfp dfp14 = new org.apache.commons.math3.dfp.Dfp(dfp13);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp19.newInstance((byte)1, (byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField26.getE();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.abs();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp29);
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getZero();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField38 = dfp37.getField();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField38.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField43 = dfp42.getField();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField43.getE();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp45.abs();
    boolean b47 = dfp39.lessThan(dfp45);
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField49.getZero();
    boolean b51 = dfp39.greaterThan(dfp50);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp50.newInstance((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp54.newInstance(1L);
    org.apache.commons.math3.dfp.Dfp dfp57 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp29, dfp34, dfp56);
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField59.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField61 = dfp60.getField();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfpField61.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField64 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField64.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField66 = dfp65.getField();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField66.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField66.getE();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp68.abs();
    boolean b70 = dfp62.lessThan(dfp68);
    org.apache.commons.math3.dfp.DfpField dfpField72 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp73 = dfpField72.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField74 = dfp73.getField();
    org.apache.commons.math3.dfp.Dfp dfp75 = dfpField74.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField77 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp78 = dfpField77.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField79 = dfp78.getField();
    org.apache.commons.math3.dfp.Dfp dfp80 = dfpField79.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp81 = dfpField79.getE();
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp81.abs();
    boolean b83 = dfp75.lessThan(dfp81);
    org.apache.commons.math3.dfp.DfpField dfpField85 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp86 = dfpField85.getZero();
    boolean b87 = dfp75.greaterThan(dfp86);
    org.apache.commons.math3.dfp.Dfp dfp88 = dfp68.multiply(dfp86);
    org.apache.commons.math3.dfp.Dfp dfp89 = dfp57.remainder(dfp68);
    org.apache.commons.math3.dfp.Dfp dfp90 = dfp14.remainder(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp90);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test485"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.0553194731804223d, (-2014959480));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test486"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    dfpField1.clearIEEEFlags();
    int i7 = dfpField1.getIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test487"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    int i4 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_EVEN;
    dfpField1.setRoundingMode(roundingMode5);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp();
    int i8 = dfpField1.getIEEEFlags();
    dfpField1.setIEEEFlags(32768);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.newDfp("1.000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000e-131172");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test488"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.5403023058681398d, (java.lang.Number)1L, false);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException9 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable5, (java.lang.Number)3.141592653589793d, (java.lang.Number)Double.NaN, true);
    java.lang.Throwable[] throwable_array10 = numberIsTooSmallException9.getSuppressed();
    java.lang.Number number11 = numberIsTooSmallException9.getMin();
    org.apache.commons.math3.exception.util.Localizable localizable12 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException16 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable12, (java.lang.Number)0.5403023058681398d, (java.lang.Number)1L, false);
    java.lang.Number number17 = numberIsTooSmallException16.getArgument();
    numberIsTooSmallException9.addSuppressed((java.lang.Throwable)numberIsTooSmallException16);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)numberIsTooSmallException9);
    java.lang.Number number20 = numberIsTooSmallException9.getMin();
    java.lang.Number number21 = numberIsTooSmallException9.getMin();
    java.lang.Throwable[] throwable_array22 = numberIsTooSmallException9.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + 0.5403023058681398d+ "'", number17.equals(0.5403023058681398d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test489"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    dfpField3.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getSqr3();
    double[] d_array9 = dfp8.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test490"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getLn2();
    boolean b19 = dfp18.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp13.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp21, dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp5, dfp28);
    boolean b31 = dfp28.strictlyPositive();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp28.multiply(13664);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test491"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp5.getField();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getE();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.abs();
    boolean b15 = dfp7.lessThan(dfp13);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getZero();
    boolean b19 = dfp7.greaterThan(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp2.nextAfter(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField24 = dfp23.getField();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField24.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.getZero();
    boolean b28 = dfp18.lessThan(dfp27);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp18.newInstance((-1L));
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp37.newInstance((byte)1, (byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField44 = dfp43.getField();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField44.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField44.getE();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp46.abs();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp37.divide(dfp47);
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getZero();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField50.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField54.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField56 = dfp55.getField();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField56.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField59.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField61 = dfp60.getField();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfpField61.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField61.getE();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp63.abs();
    boolean b65 = dfp57.lessThan(dfp63);
    org.apache.commons.math3.dfp.DfpField dfpField67 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField67.getZero();
    boolean b69 = dfp57.greaterThan(dfp68);
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp68.newInstance((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp72.newInstance(1L);
    org.apache.commons.math3.dfp.Dfp dfp75 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp47, dfp52, dfp74);
    org.apache.commons.math3.dfp.DfpField dfpField76 = dfp74.getField();
    org.apache.commons.math3.dfp.Dfp dfp77 = dfpField76.getZero();
    org.apache.commons.math3.dfp.Dfp dfp78 = dfpField76.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField80 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfpField80.getZero();
    int i82 = dfpField80.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array83 = dfpField80.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp84 = dfpField80.getE();
    org.apache.commons.math3.dfp.Dfp dfp85 = dfpField80.getSqr2Reciprocal();
    boolean b86 = dfp78.unequal(dfp85);
    org.apache.commons.math3.dfp.DfpField dfpField88 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp89 = dfpField88.getZero();
    org.apache.commons.math3.dfp.Dfp dfp91 = dfpField88.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp[] dfp_array92 = dfpField88.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp93 = dfpField88.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp94 = dfpField88.getE();
    org.apache.commons.math3.dfp.Dfp dfp95 = dfp18.dotrap(10, "-0.7071067811865475244008443621048490392848359376884740365883398689953662392310535194251937671638207863", dfp78, dfp94);
    org.apache.commons.math3.dfp.Dfp dfp96 = dfp94.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i82 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp96);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test492"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin((-0.3324173883447951d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3388655697214486d));

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test493"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)(-16.0d), number1, false);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test494"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.662169352997253d);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test495"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.newInstance(0L);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = dfp17.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getLn2();
    boolean b20 = dfp19.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp14.nextAfter(dfp19);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = dfp25.getField();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp27.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp22, dfp29);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp22.power10(10000);
    boolean b33 = dfp7.unequal(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp35 = new org.apache.commons.math3.dfp.Dfp(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp35.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField38.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField40 = dfp39.getField();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField45 = dfp44.getField();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField45.getE();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp47.abs();
    boolean b49 = dfp41.lessThan(dfp47);
    boolean b50 = dfp41.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp41.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp41.floor();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp41.getOne();
    boolean b55 = dfp36.unequal(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp36.power10((-2014959480));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test496"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField3.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.newDfp((byte)10, (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField3.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField3.getSqr3();
    int i12 = dfpField3.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 25);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test497"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.7667041194373823d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test498"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.01111436f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.01111436f);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test499"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0);
    int i4 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_EVEN;
    dfpField1.setRoundingMode(roundingMode5);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp();
    int i8 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp9.power10(13664);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test500"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-2.565475211164616d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.5418602665603585d);

  }

}
